IMPORTANT:
-----------------------------------------------------------------------------------------
Please be sure to read the Important Update Notes before you update:
https://avada.com/documentation/important-update-information/
We are always proactive in preventing security issues, however nobody can assume they will never come up.
This is why we highly recommend to stay up to date with each new theme version and plugins.


-----------------------------------------------------------------------------------------
Version 7.15.4 - June 02nd, 2026
-----------------------------------------------------------------------------------------


Security hardening
- SECURITY: Fixed possible arbitrary file deletion via form entry value in Avada Forms
- SECURITY: Fixed possible privilege escalation via invalid role assignment in the register action of Avada Forms
- SECURITY: Fixed possible PHP object injection via live editor preview meta and unrestricted render callback in partial refreshes


Main Changelog
- NEW: Added the post author setting to the live editor, and added post author selection to Layout Sections
- NEW: Added a content height option with responsive controls to the Tabs element
- NEW: Added options to display search and/or cart icon next to the mobile menu trigger, incl. positioning to the Menu element
- NEW: Added space between as choice to the Mobile Menu Trigger Horizontal Align option of the Menu element
- NEW: Added inline dynamic data to the Popover element content
- NEW: Added a group master toggle to the Privacy & Consent bar and element consent categories to enable or disable all items in a group at once
- NEW: Added a cookie description toggle to expand and collapse individual cookie descriptions in the Privacy & Consent bar and element
- NEW: Added a content height option to the Privacy Bar Tabs content area
- NEW: Added dynamic data endpoints for privacy consent category headings, descriptions, and action links
- NEW: Added an optiont to output ACF Link dynamic data as HTML link and added Page Link and Link Fields types to the dynamic data option
- NEW: Added visibility options to the Nested Columns Row element
- COMPATIBILITY: Fixed compatibility issue between the MemberPress Scale plugin and the Layout Builder
- UPDATED: Compatibility with WordPress 7.0 styles
- UPDATED: Compatibility with WooCommerce 10.8
- FIXED: Post Card Archives pagination not working correctly on pages 2 and above when an offset is set
- FIXED: Mailchimp OAuth connection causing repeated token reset attempts when the token was invalid
- FIXED: Command Palette and Inline Editor not always working in Live Editor
- FIXED: Column and element names are updated to Container names when changing options in the settings modal of backend builder


-----------------------------------------------------------------------------------------
Version 7.15.3 - May 12th, 2026
-----------------------------------------------------------------------------------------


Security hardening
- SECURITY: Fixed possible remote code execution via PHP function injection in the Widget component
- SECURITY: Fixed missing output sanitization on elements that accept base64 encoded parameters
- SECURITY: Fixed regex for the fusion_code parameter check not being robust enough
- SECURITY: Added additional checks for even better handling of custom SVG upload in Section Separator element


Main Changelog
- NEW: Added integration of Google Consent Mode v2 to Avada's privacy and consent settings
- NEW: Added a new tab layout to the Privacy Bar
- NEW: Added several new options for better control of the Privacy Bar
- NEW: Added options to display lifespan and description for different cookies
- NEW: Added an option to auto-display the WordPress native necessary cookies in the Privacy Bar
- NEW: Added cookie groups to the Privacy element, as well as accept and reject buttons
- NEW: Added several new design options to the Privacy element for full flexibility
- NEW: Added the possibility to use several Privacy elements at the same time and have them update like one
- NEW: Added consent interaction to Off Canvas rule options
- NEW: Added a command palette to the Live Editor (Ctrl/Cmd + K)
- NEW: Added a blur animation to the rotation effects in the Title element
- NEW: Added two border highlight rotation animations as hover transitions to the Button element
- NEW: Font weight and style can now be set for every uploaded Custom Font
- NEW: Added support for form input values as variables in the form redirect URL
- NEW: Added the possibility to use the WooCommerce user registration/login/lost password/reset password flow when using the Avada Form actions
- NEW: Add Page Reload as setting to the form confirmation option in Avada Forms
- NEW: Added form render logic support to the Columns element
- NEW: Added an option to let the placeholder text shrink when the focus animation is used in Avada Forms
- NEW: Added support for ACF fields in option groups in dynamic data options
- PERFORMANCE: Added content visibility option to Containers
- PERFORMANCE: Added a global off-screen content optimization option, utilizing Container content visibility
- PERFORMANCE: Added automatic conditional loading for Off-Canvas assets
- IMPROVEMENT: Button element visibility settings now apply to the outer wrapper, allowing gap to work when buttons are hidden
- UPDATED: Compatibility with WordPress 7.0 styles
- UPDATED: Compatibility with WooCommerce 10.7
- FIXED: Dynamic data full event date output from The Events Calendar being wrong when foreign languages are used
- FIXED: Block editor generic border style CSS affecting Avada elements
- FIXED: Number of columns being wrong in Chrome sometimes when using masonry layouts in Gallery or Post Cards element
- FIXED: WooCommerce customer details only showing for logged-in users on the Thank You page
- FIXED: Column background slider in Post Cards and Nested Columns not always being visible
- FIXED: Woo Category Filter not working in AJAX mode when using the dropdown layout
- FIXED: Woo AJAX filtering not re-initializing the load more button in Post Cards Archive after content reload
- FIXED: Nested Rows editing flex wrap option not working correctly on desktop
- FIXED: Button gradients not working correctly if either of the 2 color sets in Global Options do not contain the same colors
- FIXED: Flex grow and shrink 0 values not working in responsive options in Column element
- FIXED: Form Date/Time field localization only working when the CSS compiler is off
- FIXED: Select2 dropdowns displaying incorrectly inside Off-Canvas
- FIXED: JS error happening on Avada Form submission in rare cases, via the Notices element
- FIXED: JS error in backend builder when base64Decode receives an undefined or empty input value
- FIXED: Condition-dependent PHP warning when editing a WooCommerce product category in the Layout Builder


-----------------------------------------------------------------------------------------
Version 7.15.2 - April 13th, 2026
-----------------------------------------------------------------------------------------


Security hardening
- SECURITY: Fixed vulnerability of unauthenticated SQL injection via the product_order parameter in Post Cards element
- SECURITY: Fixed Subscriber+ users being able to set up a stored XSS through the fallback option in dynamic data
- SECURITY: Fixed Subscriber+ users being able to access arbitrary file contents through the custom SVG option in Section Separator
- SECURITY: Enforced that non-admin users cannot store Code Block element in their user meta
- SECURITY: Enforced that protected (underscore-prefixed) post meta fields and WordPress actions cannot be used in dynamic data by non-admin users


Main Changelog
- NEW: Added options to rename Columns and all other elements
- NEW: Added options to allow Woo Category Filter element to filter categories on the shop page directly
- NEW: Already picked filters will now be kept when using the Woo Category Filter element in the change page mode
- NEW: Added breakpoint-specific options for margin, padding, and button span to the Button, Form Submit, and Stripe Button elements
- NEW: Added page options to allow setting robots follow and index meta tag
- NEW: Added loop option to the Image Carousel element
- NEW: Added WooCommerce brands to the Woo Active Filters element
- NEW: Added an option to enable/disable the AJAX updating of sub-totals and totals on the WooCommerce Cart page
- NEW: Added CSS Class and ID options to the Nested Columns Row editing
- NEW: Added singular and plural text options to the order item count dynamic data endpoint
- ACCESSIBILITY: Added keyboard navigation and aria-selected attribute to the Tabs element
- PERFORMANCE: Improved the db query when using the Avada Forms form view count
- PERFORMANCE: Changed the element auto-activation to reduce the number of option queries and the size of the builder settings variable
- IMPROVEMENT: Made sure that Avada Forms can be submitted correctly when using AJAX nonce and adding form to a page cached page
- IMPROVEMENT: Added a fallback for SVG image URL retrieval in case an SVG has an incorrect MIME type in the media library
- IMPROVEMENT: WooCommerce order-specific dynamic data endpoints can now also be used for non-logged-in users and orders
- IMPROVEMENT: Variable-based font sizes can now be used in the Social Links element
- COMPATIBILITY: Ensured that saved library content is also available on secondary languages when using PolyLang
- COMPATIBILITY: Fixed compatibility issue between the MemberPress Directory plugin and the Layout Builder
- COMPATIBILITY: Added check for protected widget clone function to avoid AJAX error on third-party widgets
- UPDATED: Compatibility preparations for WordPress 7.0
- UPDATED: Compatibility with WooCommerce 10.6.2
- UPDATED: Chart.js to version 2.9.4
- FIXED: Auto column breaking not correctly working in Post Cards and Gallery elements
- FIXED: Border of the tab nav being doubled in some cases when using Tabs element in horizontal layout
- FIXED: Loader missing on the legacy single product pages, when using AJAX add to cart
- FIXED: Cart totals not correctly auto-updating if the quantity is first set to 0 and then increased
- FIXED: Syntax error in Image element when using fetch priority in the Image element
- FIXED: Sticky header height not being taken into account when scrolling to the WooCommerce Notices after AJAX complete
- FIXED: Avada Forms with required upload fields with single file add/remove being able to be submitted, even if all files have been removed
- FIXED: Bottom margin removal of the last p tag in Text Block element only working on desktop
- FIXED: Avada Forms form entry table pagination input not working correctly
- FIXED: PHP notice in Form element, when using the form label typography options
- FIXED: Potential PHP error when padding on a 100% width page adds up to 100%


-----------------------------------------------------------------------------------------
Version 7.15.1 - March 17th, 2026
-----------------------------------------------------------------------------------------


- NEW: Added a Woo Filter Categories element with a large variety of options that can now be used together with the other filter elements
- NEW: Added an option to turn on The Events Calendar category colors for archive views
- NEW: Added inline dynamic data endpoint to the notification message in Avada Forms
- NEW: Added width, height and border size options for the swatches in the Woo Filter Attributes element
- NEW: Added option to link Off Canvas to Post Card Archives element
- NEW: Added a lot of dynamic data endpoints for order billing and shipping
- NEW: Made scroll items option available for responsive breakpoints in Post Cards and Image Carousel element
- NEW: Added an option to limit the Woo Sorting element to a specific Post Card Archives element instance
- NEW: Added current date to conditional rendering engine
- NEW: Added element search to the element navigator in the Live Editor
- SECURITY: Fixed a vulnerability that could lead to an arbitrary file upload through the Avada Forms upload file feature
- IMPROVEMENT: Added workaround to make translation motion effects smooth in newer Safari versions (Safari bug)
- IMPROVEMENT: Added filters to PHP and JS to allow customization of live search results
- IMPROVEMENT: Adjusted the Woo Filter Attributes rendering to make alignment more consistent
- UPDATED: Compatibility with WordPress 6.9.5
- UPDATED: Compatibility with WooCommerce 10.6.1
- FIXED: ACF field results sometimes being incorrect in dynamic data on term pages
- FIXED: Post ID sometimes being incorrect in conditional rendering
- FIXED: Post ID sometimes being incorrect in layout elements, when a Post Cards element is rendered before them
- FIXED: YouTube/Vimeo background videos not always playing correctly in Container element
- FIXED: Project Details element not being listed in the element section of the Builder options
- FIXED: 0 value without a unit in margin options not working in all elements
- FIXED: JS error happening in some cases in Avada Forms when no Notices element is used
- FIXED: Video embeds added through Post Options not being correctly rendered in the Post Card Image element
- FIXED: Linked Off Canvas not working correctly when using masonry layout in Post Cards
- FIXED: Clear all button in the Woo Active Filters element only working in AJAX mode
- FIXED: Column inheritance being incorrect in Post Cards grid when using 0 (inherit) in the responsive column options
- FIXED: JS error in Live Editor when adding background image slider to Container element
- FIXED: Off Canvas Page Options not correctly saving in the Live Editor
- FIXED: Live preview not always being correct in Live Editor when responsive option settings are undefined
- FIXED: Avada Library edit pages not always being accessible in backend editor


-----------------------------------------------------------------------------------------
Version 7.15 - March 3rd, 2026
-----------------------------------------------------------------------------------------


Security hardening
- SECURITY: Fixed a vulnerability in the ToC element cache that allowed arbitrary content injection, which could be indexed by search engines or shown in social media previews
- SECURITY: Fixed an issue where Contributor+ users could create, edit, delete, or access layouts via custom code
- SECURITY: Fixed an issue where Contributor+ users could inject JavaScript into the Content Box and Portfolio elements
- SECURITY: Fixed JavaScript execution on the critical CSS page (administrator level only) when code was appended to the URL
- SECURITY: Fixed a minor CSRF issue where a user could be tricked into having their privacy consent cookie modified


Main Changelog
- NEW: Added option for AJAX-driven WooCommerce product sorting
- NEW: Added option for AJAX-driven WooCommerce product filters, either on change or button submit
- NEW: Added 20+ options to the Woo Sorting element to allow for absolute design and layout freedom
- NEW: Added the Woo Filter By Brands element for WooCommerce brand filtering
- NEW: Added an option to make all Woo Filter elements collapsible
- NEW: Added an option to display checkboxes in the Woo Filter Attributes/Brands element
- NEW: Added an option to display brand thumbnails in the Woo Filter Attributes/Brands element
- NEW: Added border radius option to the Woo Filter Attributes/Brands element
- NEW: Added button padding and position options to the Woo Price Filter element
- NEW: Added the possibility to use Avada Forms user input value in the Notices element via placeholders
- NEW: Added typography options for Avada Form labels
- NEW: Added option for field placeholder focus animation to Avada Forms
- NEW: Added device-type to the Avada Forms submission table
- NEW: Added new placeholders to Avada Forms for use in notification emails: [device_type], [user_agent], [date], [time]
- NEW: Added localization option for the custom picker in Date Field and Time Field elements of Avada Forms
- NEW: Added orderby, order, number of tags and range font size options to the Tag Cloud element
- NEW: Added an option to Button element to decide if text and icon should change on hover or click
- NEW: Added Events Calendar categories with custom coloring to the Meta element
- NEW: Added flex grow and shrink options to the Nested Columns element
- NEW: Added position offset option for the to top button
- NEW: Added a copy text to clipboard option to dynamic data
- NEW: Added option to set up a remote navigation for Carousel and Post Cards elements
- NEW: Added post status, sticky and featured checks to the rendering logic engine
- NEW: Added WP conditional tags to the rendering logic engine
- NEW: Added Woo pages to the rendering logic engine
- NEW: Added active language to the rendering logic engine
- NEW: Added a global option to set conditional rendering conditions group binding to strict OR
- IMPROVEMENT: Increased the maximum upload file size option in Avada Forms to 250MB
- UPDATED: Compatibility with WordPress 6.9.1
- UPDATED: Compatibility with WooCommerce 10.5.2
- UPDATED: Compatibility with Stripe Getway 10.4+ plugin
- UPDATED: GSAP library to version 3.14.2
- UPDATED: ScrollTrigger library to version 3.14.2
- FIXED: Linked Off Canvas content not correctly loaded when Post Cards element is set to carousel layout
- FIXED: $ sign followed by numbers without white space being cut out from post card content rendered in the linked Off Canvas
- FIXED: Shipping method text not always being "start" aligned in Woo Cart Totals element
- FIXED: Avada Forms step progress bar not filling up fully in all cases
- FIXED: Dynamic data "Terms" options not being available in all cases
- FIXED: Dynamic data for full event date not always being correct when not using the current year in date format
- FIXED: Turnstile in WordPress comment form not working correctly for replies to a comment
- FIXED: Wavy style in Separator element not displaying when using default global color
- FIXED: Role manager not working for Yoast SEO user roles
- FIXED: SVG images not getting the correct MIME type assigned when importing a prebuilt website
- FIXED: Avada Forms IP storage not working when Submission Expiration Action is set to no action
- FIXED: Post Card loops on single event posts not always being correct due to TEC plugin template "hijacking"
- FIXED: Load more posts message using wrong post type name, when having several Post Cards elements on one page with different post types
- FIXED: WooCommerce admin product table sorting not working correctly in all cases
- FIXED: ACF post ID in dynamic data not always being correct when used on term pages
- FIXED: Custom side header sticky offset not respected for anchor scrolling when header moves to top position
- FIXED: Related posts fixed image size, image creation can cause a fatal error on the newest PHP versions, depending on server's image library
- FIXED: Possible PHP notice in conditional rendering when using term-related options and no terms are present
- FIXED: Non-breaking error log caused by WooCommerce's wc_get_related_products() function in Woo Related Products element
- FIXED: Some element data being incorrect in Post Cards in Live Editor, if the content is re-fetched via AJAX after option change
- FIXED: Triangle separator type of the Section Separator element not always being correctly displayed in Live Editor when being switched to from another type
- FIXED: JS error happening in Live Editor when using Google Maps element and changing to theme styling
- FIXED: Layout elements not being available in Off Canvas when editing in backend builder


-----------------------------------------------------------------------------------------
Version 7.14.2 - December 18th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added unit position and 100% filled bar color options to the Progress Bar elements
- NEW: Added functionality to auto-load the originally uploaded, compatible image format for OG image tag, if using webP/AVIF conversion
- IMPROVEMENT: Modernized the output of the main fav icon setup
- FIXED: WooCommerce Free Shipping Min. Amount dynamic data endpoint not respecting disabled free shipping methods
- FIXED: Display issues of some WooCommerce price formats in the Progress Bar element
- FIXED: Cell background color issue in the Woo Cart Table element happening in some cases
- FIXED: Dynamic data endpoints for Page Title Bar not working in some cases
- FIXED: AJAX loop happening in a few cases when using dynamic data in an element hidden through rendering logic in Live Editor


-----------------------------------------------------------------------------------------
Version 7.14.1 - December 15th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added options to set custom authentication pages for user registration, login, lost password and reset password
- NEW: Added user registration, login, lost password, and reset password form submission actions to Avada Forms to perform the corresponding WordPress actions
- NEW: Added options to count current live visitors on a post or WooCommerce product
- NEW: Added a dynamic data endpoint to display the rest amount needed to receive free shipping for WooCommerce products (incl. options)
- NEW: Added a buy now endpoint to dynamic data, which adds the WooCommerce product to cart and takes the customer directly to the checkout
- NEW: Added stock mode option to the Progress Bar element to allow for a product stock progress bar when using WooCommerce stock management
- NEW: Added several new options to the Progress Bar element, including active and max values, display types and filling speed
- NEW: Added several new options to the Breadcrumbs element, including several independent color options, Home and separator icon options
- NEW: Added a password strength indicator option to the Password Field of Avada Forms
- NEW: Added the possibility to have Avada Forms display notices and perform redirects on the same submission, using a redirect delay
- NEW: Added an HTML attributes repeater option to Container, Column, Title, Text Block, Image and Button elements to allow for easy attributes addition
- NEW: Added Instagram to the privacy embeds
- NEW: Added support for the Pagination element inside of an Off Canvas tied to Post Cards element
- NEW: Added post IDs as option to the query builder in Post Cards element
- NEW: Added  a position offset option to the Container element
- NEW: Added an option to set the webP image quality
- NEW: Added the possibility to display the WooCommerce cart sub-totals before or after the discounts using the Cart Totals dynamic data endpoint
- NEW: Added sizes="any" to the fav icon, if an SVG image is used
- NEW: Added the "does not contain" comparison option to the Avada Forms conditional logic setup
- IMPROVEMENT: Added explicit checks for image types to make sure webP/AVIF conversion does not affect unwanted MIME types
- IMPROVEMENT: Changed the way the OG image render function works, to make sure there is no output if the image cannot be constructed
- IMPROVEMENT: Refactored the way the actual image source data is retrieved in the Image element to avoid backwards compatibility issues
- IMPROVEMENT: Dynamic data source images now always take precedence over an uploaded image in the Image element
- IMPROVEMENT: Made sure that Woo Product Sorting element on search pages is compatible with third-party plugins
- IMPROVEMENT: Added the fallback "Home" label also to the Breadcrumbs element
- IMPROVEMENT: CSV exports of Avada Forms data are now UTF-formatted to avoid HTML entities in the export data
- IMPROVEMENT: Page Title Bar dynamic data endpoints are allowed now on all posts
- IMPROVEMENT: Added note to WooCommerce shipping totals, if shipping still needs to be calculated
- IMPROVEMENT: Live Editor element previews of WooCommerce elements now also work on Off Canvas edit screens
- IMPROVEMENT: Warnings on SVG upload, when the dimensions can not be retrieved, are suppressed now
- UPDATED: Compatibility with WordPress 6.9
- UPDATED: Compatibility with WooCommerce 10.4.2
- FIXED: webP images being converted to AVIF, even if webP was chosen as output format
- FIXED: Turnstile used for the WordPress comments form not working as expected
- FIXED: Addresses with added line breaks getting output with newline char (\n) in Google Maps info windows
- FIXED: AJAX add to cart loader also being shown on in the Cart element when using text links
- FIXED: Videos not always displaying correctly in the lightbox of the Instagram element
- FIXED: Modal element on mobile causing a a container width change on sticky containers
- FIXED: WooCommerce cart quantity change no longer triggering cart totals auto-update
- FIXED: Inconsistency in the Term Count dynamic data endpoint between normal and inline dynamic data
- FIXED: Some Avada Forms not submitting correctly, depending on the nonce setting
- FIXED: Cache clearing nonce name for a few third party API calls not adjusting according to multi-language sites Global Options name
- FIXED: PHP notice in the Woo Order Table element
- FIXED: PHP notice in the Woo Cart Total element
- FIXED: PHP notice in the background image slider random ordering option of the Column element
- FIXED: Avada Forms notification attachment option not always being correctly styled and working in the backend builder
- FIXED: Incorrect option rendering of the responsive background color options in the Column element in the backend builder


-----------------------------------------------------------------------------------------
Version 7.14 - November 12th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added the Conditional Rendering engine to all Avada elements, allowing for maximum fine-tuning
- NEW: Added user meta data to Conditional Rendering options
- NEW: Added "does not contain" as comparison option to Conditional Rendering
- NEW: ACF field value comparison for bool fields now works with both bool and numerical values in Conditional Rendering
- NEW: Added user meta data to Dynamic Data options
- NEW: Added separator option for ACF single repeater field dynamic data endpoint
- NEW: Added possibility to link an Off Canvas to Post Cards element, allowing for dynamic content being pulled into the Off Canvas per Post Card (e.g. allowing custom Quick View)
- NEW: Nested rows wrapping the Nested Columns element can now be edited directly in the builder, offering flex alignment options
- NEW: Added flex gap option to the Column element
- NEW: Added max height option to Column element
- NEW: Extended the overflow options in Container and Column element for separate values on the x and y axis
- NEW: Added global option and options for individual forms to disable the form view counting in Avada Forms
- NEW: Added a custom attachment option to Notifications in Avada Forms
- NEW: Added preview options, min and max files and single add and remove options to Avada Forms Upload field element
- NEW: Added capture option to the Avada Forms Upload field element
- NEW: Added the possibility to have a reset button in Avada Forms
- NEW: Added the possibility to have a reset form step button in Avada Forms
- NEW: Added the possibility to have a save to local storage button in Avada Forms allowing to save for m data for later continuation
- NEW: Added hover text and icon options to the Submit / Reset Button element in Avada Forms
- NEW: Added a random order option to the background image slider setup for Container element
- NEW: Added option to sort post cards by recently purchased WooCommerce products in Post Cards element
- NEW: Added different styling approach for WooCommerce cart shipping options to improve appearance at narrow widths
- NEW: Added global options for Turnstile styling and made Turnstile available for the comments form
- PERFORMANCE: Added global option to convert uploaded images to webP or AVIF format automatically
- PERFORMANCE: Added global option to replace or keep original uploads after conversion
- PERFORMANCE: Added option to Avada System Status page to bulk convert already existing images in the media library to webP or AVIF format
- PERFORMANCE: Adjusted Lightbox element to store the image IDs for faster lookup and better accessibility
- IMPROVEMENT: Combine Third Party CSS Files option is now a multi-select, which makes it easier to add or remove certain plugins
- IMPROVEMENT: Woo Sorting element now works on a search results page that only contains WooCommerce products
- IMPROVEMENT: Images in AVIF format will now open in the lightbox
- IMPROVEMENT: Updated the video element or embed option in Media Slider element for easier usage
- IMPROVEMENT: Set the default heading tag for the Title element to h3
- IMPROVEMENT: Cards layout in Image Carousel element can now loop even if less than 5 images have been added
- IMPROVEMENT: Made sure that library templates are not cached when selecting them in maintenance mode option
- IMPROVEMENT: Updated the inline dynamic data parser to allow for more formats and made sure it only reruns on options where a callback is available
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability and internationalization
- UPDATED: Compatibility with WordPress 6.8.3
- UPDATED: Compatibility with WooCommerce 10.3.4
- UPDATED: Compatibility with The Events Calendar 6.15.11
- FIXED: Custom icons set scroll not working in Avada Menu Options
- FIXED: Fallback image option in Post Card Image element not working correctly
- FIXED: Adjusted the Google reCAPTCHA v3 implementation to make sure the token does not expire before the form is submitted
- FIXED: Empty paragraph tags being output when using a page template in the maintenance mode settings that includes several containers
- FIXED: Page Options custom CSS being incorrectly escaped when using a library template in the maintenance mode
- FIXED: Bottom margin not being removable in Media Slider element
- FIXED: Testimonial pagination container always loading, even if there is only one item
- FIXED: Some animated elements do not init when more posts are loaded dynamically via AJAX in Post Cards element
- FIXED: Global social icon set for Email not working in elements using social icons
- FIXED: Dynamic data term count using single and plural label, if both are set and only 1 element being in that term
- FIXED: Quick-view modal not being closed correctly, after a variable product was added to cart
- FIXED: WooCommerce ajax add to cart button loading not always styled correctly
- FIXED: WooCommerce notices displaying twice when using the Woo Notices element and a coupon error happens
- FIXED: Event organizer post content option of Dynamic Data always displaying excerpt, even if full content is chosen
- FIXED: z-index issue with select2 powered select fields, when being used within animated Containers / Columns
- FIXED: Text align option Text Block element not working in responsive modes if "justify" is chosen
- FIXED: PHP notice happening in a few cases within the ACF repeater count function in the Conditional Rendering engine
- FIXED: Posts appearing as "changed" in Live Editor after page load when inline dynamic data is used
- FIXED: Patterns and masks not live updating their colors in Live Editor if set to a global color that gets changed
- FIXED: Blank page info box in Off-Canvas editing in Live Editor picking up Off-Canvas styles
- FIXED: Separator preview in LE being incorrect when the parent column uses flex direction row
- FIXED: Off-Canvas close icon not appearing selected in the corresponding option in the builders, and hover indication not working


-----------------------------------------------------------------------------------------
Version 7.13.3 - September 23rd, 2025
-----------------------------------------------------------------------------------------


- NEW: Added the possibility to use inline dynamic data syntax inside the fallback option of dynamic data
- NEW: Added dynamic data options to the min and max value settings in Avada Forms Date field
- NEW: Added progress bar pagination style to Image Carousel element
- NEW: Added text-align option to the Woo Short Description element
- NEW: Added option to also count dynamically added Post Cards element headings in the number of headings conditional rendering option
- SECURITY: Fixed Contributor+ level XSS issue in the Vimeo element, allowing contributors to use JS in the video ID
- SECURITY: Fixed Subscriber+ level broken access control in the Avada 5.0 migration tool
- IMPROVEMENT: clamp() is now also working when used in Global Options typography settings, even if responsive typography is enabled
- IMPROVEMENT: Refined encoding/decoding to allow usage of UTF8 encoded chars inside the Code Block element
- IMPROVEMENT: Ensured that Live Editor preference options all have saved defaults
- UPDATED: swiper.js to version 12
- UPDATED: Compatibility with WooCommerce 10.2.1
- UPDATED: Compatibility with The Events Calendar 6.15.4
- FIXED: Not all bundled and recommended plugins from the Avada plugins page updating correctly
- FIXED: Discounts displayed in amounts not respecting the decimals as set in the WooCommerce settings in Woo Price element
- FIXED: Countdown element not always initializing when being used as part of dynamically used content
- FIXED: End animation option not correctly working in Lottie element
- FIXED: Scrolling issue in responsive mode in Image Carousel when using an explicitly set number of columns for responsive modes
- FIXED: Button gradients set in Global Options overriding button background color options in Instagram element
- FIXED: PHP notice happening in some cases in post date dynamic data
- FIXED: Device type rendering logic preference not working in Live Editor


-----------------------------------------------------------------------------------------
Version 7.13.2 - September 09th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added Cloudflare Turnstile element to Avada Forms
- NEW: Added option to include/exclude password-protected posts to Post Cards element
- NEW: Added support for ACF repeaters to the Title element rotation text
- SECURITY: Fixed Contributor+ level CSRF and broken access control, which could lead authenticated users to disable plugins from the Avada plugins page
- IMPROVEMENT: Increased compatibility of inline dynamic data with third-party plugins and parsing optimizations 
- FIXED: Google Maps element not displaying if not using an overlay color
- FIXED: Plural comment number in the Comment element
- FIXED: Lightbox in Image Carousel not working, if images need to be cloned to allow for an infinite carousel
- FIXED: Custom field name option in Post Cards element not displaying ACF text field dynamic data as text field
- FIXED: Live Editor preference on/off toggle for absolutely positioned Containers not working correctly
- FIXED: JS error happening on page load in Live Editor at times when using Firefox
- FIXED: Some dynamic data options not displaying correctly when using the backend builder


-----------------------------------------------------------------------------------------
Version 7.13.1 - August 26th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added an option to Text Block element to easily disable inline dynamic data on a per element basis
- NEW: Added parameter disable_idd for all elements and general shortcodes to disable inline dynamic data, if set to yes
- IMPROVEMENT: Adjusted the inline dynamic data parser to make it possible to use commas and colons as part of the values
- IMPROVEMENT: Adjusted the inline dynamic data parser to automatically ignore content in inline <script> and <style> tags injected by plugins
- IMPROVEMENT: Added aria-label option to the Menu element
- IMPROVEMENT: Added color burn to the pattern and mask blend modes of the Container element
- FIXED: Some scripts added to the Code Block element not working correctly
- FIXED: Off Canvas trigger links not working on elements that get dynamically added to the DOM
- FIXED: Overlay color in Google Maps element not working when using global colors
- FIXED: Instagram element not displaying correctly when the first image is deleted from the carousel
- FIXED: PHP notice in the Social Sharing element
- FIXED: JS error in Live Editor, when using the inline editor if the Dynamic Data element is disabled
- FIXED: JS error happening when editing the Gravity Forms element
- FIXED: ACF field name selects not populated correctly when using the backend editor
- FIXED: Autoplay speed of Image Carousel and Post Card Archives elements not updating in backend editor


-----------------------------------------------------------------------------------------
Version 7.13 - August 19th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added support for inline dynamic data, allowing usage of several dynamic data endpoints within element options
- NEW: Added a Dynamic Data element for easy inline dynamic data management
- NEW: Added an easy-to-use syntax allowing you to write dynamic data directly into element and SEO post option
- NEW: Added Text Path element to easily add text along an SVG path, including a lot of design, layout, and animation options
- NEW: Added conditional sending options to Avada Forms notifications, allowing notification emails to be sent when meeting certain conditions
- NEW: Added post excerpt to the settings in Live Editor
- NEW: Added Off Canvas push option when sliding bar layout and position top are used
- NEW: Added an option to word wrap Avada Forms labels in notification emails
- NEW: Added readonly option to Avada Forms Text and Textarea fields
- NEW: Added responsive column count options to the Image Carousel element
- NEW: Added item border radius option to the Meta element
- NEW: Added password reveal icon to the User Login element
- NEW: Added a copy link option to the Social Sharing element
- NEW: Added link decoration to Off Canvas and added option for exclusion
- NEW: Added option to Post Card Image element to choose the rollover button design
- NEW: Added aria-label option to the Icon element
- NEW: Added responsive margin options to the Text Block element
- NEW: Added offset option to the FAQ element
- NEW: Added conditional form rendering to the Submit element
- NEW: Added conditional form rendering to the Title element
- NEW: Added Post ID and post type to the rendering logic
- NEW: Added support for ACF options pages to the rendering logic
- NEW: Added WooCommerce order status to dynamic data
- NEW: Added search term to dynamic data
- NEW: Added The Events Calendar category colors to dynamic data
- NEW: Added The Events Calendar event ticket forms to dynamic data
- NEW: Added The Events Calendar subscribe button to dynamic data
- NEW: Added dynamic data to Container and Column background slider option
- NEW: Added timezone to structured data of YouTube and Vimeo elements
- NEW: Added a visual indicator when using the automatic WooCommerce cart updating
- NEW: Added a filter to allow unfiltered HTML uploads for admins on multi-site installs
- PERFORMANCE: Added fetch priority option to the Image element
- IMPROVEMENT: Added options to Cart Totals dynamic data endpoint to choose between subtotals and totals, as well as taxes or no taxes
- IMPROVEMENT: Added Avada Taxonomy Options to WooCommerce Brands CPT
- IMPROVEMENT: Added more event status options to the corresponding conditional rendering endpoint
- IMPROVEMENT: Layout section preview data is now kept when importing Avada Studio content as a full replacement
- IMPROVEMENT: Cart totals dynamic data endpoint is now automatically updating when the WooCommerce cart updates
- IMPROVEMENT: Vimeo facade preview image is now loaded according to the set video dimensions
- IMPROVEMENT: Added automatic object cache clearing when viewing Avada Forms entries page to make sure the latest entries show
- COMPATIBILITY: Updated cart template and Woo Cart element for compatibility with WooCommerce 10.0+
- COMPATIBILITY: Fixed compatibility issue of event series of The Events Calendar Pro and Events Tickets with the Layout Builder
- COMPATIBILITY: Fixed compatibility issue between the MasterStudy LMS plugin and the Layout Builder
- COMPATIBILITY: Fixed compatibility issue with the WooCommerce Stripe Gateway plugin version 9.5.0
- COMPATIBILITY: Fixed compatibility issue with the WooCommerce All Products for Subscription plugin and the subscription select field in product variations
- COMPATIBILITY: Fixed compatibility issue with the Google Analytics For WooCommerce when using single product AJAX add to cart
- COMPATIBILITY: Fixed compatibility issue with the Optima Express plugin and the layout builder
- COMPATIBILITY: Fixed compatibility issue leading to Avada Forms emails not being sent when using Amazon servers
- UPDATED: Compatibility with WordPress 6.8.2
- UPDATED: Compatibility with WooCommerce 10.1
- UPDATED: Compatibility with The Events Calendar 6.14.2
- ACCESSIBILITY: Added alt attributes for images within lightboxes
- ACCESSIBILITY: Added fieldset and legend tags to Avada Forms Radio, Checkbox, and Image Select elements
- ACCESSIBILITY: Changed the HTML tag used for Highlight element to mark
- ACCESSIBILITY: Added aria-label to the play buttons of YouTube and Vineo elements when using video facade
- FIXED: Custom icon font icons not working in the Avada Forms Rating element
- FIXED: Children content color option not working in Toggles element
- FIXED: Gradient font options missing dependencies in Title 
- FIXED: Toggle element clicks within a Mega Menu, causing page scroll
- FIXED: Dynamic data callback being called twice when being used for element_content options
- FIXED: Global border options not correctly being used in Gallery element
- FIXED: Default taxonomy not always being correctly set for filters in the Post Cards element
- FIXED: Post Cards not staying at one column in responsive mode in the Post Cards element when using stacking cards layout
- FIXED: Avada Forms notification being sent to BCC email set to the previous notification on some hosts
- FIXED: Avada Icon option being displayed in ACF CPT menu icon settings, although it should not be
- FIXED: Events Date dynamic data not always being displayed correctly when using 12-hour time formats
- FIXED: Flex grow and shrink options not respecting set values but inheriting parent column setting, when using Nested Columns or having Columns in Columns
- FIXED: WooCommerce Shop page not being able to be excluded from a layout using the "All Archive Pages" condition
- FIXED: Posts showing multiple times in Related Posts element, if there are fewer posts related than columns set in options
- FIXED: Aspect ratio not always being respected on resize when using cross-fade images in Image Carousel
- FIXED: Lightbox and Image Carousels not working correctly in Post Cards, when additional cards get AJAX loaded
- FIXED: Comments element not casting the number of comments explicitly to a string
- FIXED: Instagram videos using the Facebook CDN not working in the lightbox
- FIXED: Button element visibility not being correctly initialized when using animation settings
- FIXED: PHP notice in Woo Rating element
- FIXED: PHP warning in sanitation class happening on some installs using PHP 8.3+
- FIXED: PHP warning in Table Of Contents element happening in some cases
- FIXED: JS error happening when using the Media Slider element
- FIXED: Typos in Avada Forms autocomplete feature
- FIXED: Social icons being cut off on top in some cases in WebKit browsers in Social Links element
- FIXED: Form field colors to always applying on select2 dropdowns when set on element level
- FIXED: Add to cart button not being excluded from link text decoration in the Post Card Cart element
- FIXED: Using a font size of 0px causing a fatal error in a few cases when using responsive typography
- FIXED: Inline editor always opening the first inline element settings view, even if there are several inline elements within a parent in Live Editor
- FIXED: Font families with spaces and special chars not always loading correctly in Live Editor
- FIXED: Global Options sub-tabs can't be opened in Live Editor, if they contain a dimension option
- FIXED: Post Cards element not initialized correctly when using slider layouts, and the element is not visible on initial page load
- FIXED: Column resizer not working correctly in Live Editor when Column element is set to be sticky
- FIXED: Dynamic data post excerpt endpoint preventing the following Post Cards element from rendering in Live Editor
- FIXED: Nested column set to "auto" width in a Post Card, creating fatal error in LE if a header layout is used
- FIXED: Empty column image dimensions calculation affecting Post Card images in some cases in Live Editor
- FIXED: Inline editor elements being removed when adding several elements while the parent element options being open in Live Editor
- FIXED: Font size rendering being incorrect in Live Editor in Titel element, when using global typography set to em unit and not using a value in the element itself
- FIXED: Post Cards edit links in Live Editor not being correct when the Post Card has been imported
- FIXED: Autoplay speed option of Post Cards element not saving in backend builder


-----------------------------------------------------------------------------------------
Version 7.12.2 - July 07th, 2025
-----------------------------------------------------------------------------------------


- SECURITY: Fixed Contributor+ level XSS vulnerability in the Google Maps element


-----------------------------------------------------------------------------------------
Version 7.12.1 - May 06th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added border radius, width, style, and color options to the Image Carousel element
- NEW: Added the global color palette to the text color picker in the TinyMCE editor
- NEW: Added a subtle indicator when the WooCommerce cart gets auto-updated
- NEW: Dynamic data cart counter now gets updated if a product is fully removed from the cart
- NEW: Added option to YouTube element, so that the embed URL can be chosen for facade videos: no-cookie vs. normal URL
- NEW: Supporting the usage of clamp() in the Title element even if responsive typography is enabled
- NEW: Clamp() is also supported in Text Block element, Button element, Checklist element, and Toggle element
- IMPROVEMENT: Changed the pause on hover setup when using marquee layouts on Image Carousel and Post Cards elements
- IMPROVEMENT: 100% Height Scrolling Sections that are disabled on mobiles are now also disabled through browser window resize
- COMPATIBILITY: Fixed issue with BigCommerce, causing a fatal error when using dynamic data
- FIXED: Tax rates and item quantity plural text not getting auto updated correctly in the WooCommerce cart on some setups 
- FIXED: Privacy bar content being incorrectly ordered when order is changed through the drag and drop area
- FIXED: Live search results not being displayed if no terms are included or excluded
- FIXED: JS error in Avada Slider
- FIXED: Responsive margin options not working in Title element
- FIXED: Issue in Image Carousel element where pagination dots get doubled up when using coverflow layout
- FIXED an issue in the role manager, keeping some custom user roles from accessing the Live editor or saving post content
- FIXED: Filters not displaying correctly in Post Cards element for grid and masonry layouts
- FIXED: Image Before / After element not rendering links on RTL languages
- FIXED: PHP notice happening when using ACF field in rendering logic
- FIXED: PHP notice happening in Column transition options, if custom easing is left on default
- FIXED: Issue in Avada Forms date fields, where date layout can lead to incorrect min/max settings in the date picker
- FIXED: 100% Height Scrolling Section navigation being always displayed when using left/right mode
- FIXED: Cards and slider layouts in Image Carousel incorrectly basing image size on the number of columns
- FIXED: Custom headers in Avada Forms not being sent along when using "send to URL" submission type
- FIXED: Element animations being re-triggered if infinite scroll is used inside a closed Off Canvas
- FIXED: Nested columns having incorrect width in the Live Editor if used in Post Card , and the Post Cards element re-renders
- FIXED: Editing of Avada Forms in Live Editor leading to a JS error in some cases
- FIXED: JS error happening on some setups, causing issues with loading the backend builder
- FIXED: Dynamic data description being incorrectly displayed in the backend builder


-----------------------------------------------------------------------------------------
Version 7.12 - April 22nd, 2025
-----------------------------------------------------------------------------------------


- NEW: Added options to set up multiple, alternate Post Card designs, column span, and ordering to the Post Cards and Post Card Archives elements
- NEW: Added 3 layout styles to the Post Cards and Post Card Archives elements, incl. stacking cards, coverflow, and marquee effects, plus advanced option controls
- NEW: Added 6 additional transition modes to the slider layout of Post Cards and Post Card Archives elements
- NEW: Added possibility to display half images on the edges, incl. a centered slide in Post Cards and Post Card Archives elements
- NEW: Added the possibility to navigate Post Cards and Post Card Archives sliders and carousels through Button elements
- NEW: Added free scroll mode to Post Cards and Post Card Archives elements
- NEW: Added autoplay stop on hover option to Post Cards and Post Card Archives elements
- NEW: Added a mask edges option to Post Cards and Post Card Archives elements
- NEW: Added a transition shadow option to Post Cards and Post Card Archives elements
- NEW: Added an option to the Post Cards element to condense events in a series to just the next one
- NEW: Added 6 layout styles to the Image Carousel element, incl. coverflow and marquee effects, plus advanced option controls
- NEW: Added possibility to display half images on the edges, incl. centered slides in Image Carousel and Post Cards elements
- NEW: Added the possibility to navigate Image Carousels through Button elements
- NEW: Added navigation arrow styling options and pagination with styling options to Image Carousel element
- NEW: Added free scroll mode to Image Carousel element
- NEW: Added autoplay stop on hover option to Image Carousel element
- NEW: Added a mask edges option to Image Carousel element
- NEW: Added a transition shadow option to Image Carousel element
- NEW: Added hover text and hover icon option to the Button element, working with all other transitions
- NEW: Added width, min-width and max-width options to the Text Block element to easily control space the text takes up on all screen sizes
- NEW: Added left and right scroll options, both captured and free mode, to 100% Height Scrolling Sections
- NEW: WooCommerce cart is now auto-updating subtotals when changing product quantities in the cart
- NEW: Added 8 scroll reveal effects, including advanced control, to the Title element
- NEW: Added highlight marker pen style to the highlight options in the Title element
- NEW: Added an option to get a masked edges effect for marquee style in the Title element
- NEW: Added gallery style hover layout to the Post Card Image element
- NEW: Added auto-complete attribute to Avada Forms, for browser-based field recommendations
- NEW: Added post published date, post modified date, featured images count, and ACF true/false field to the Rendering Logic engine
- NEW: Added attachment post type to the query options in Post Cards element
- NEW: Added option to show or hide the Woo out-of-stock badge in the Woo Featured Products Slider and the Woo Product Carousel
- NEW: Added a new cropped image size option to the Woo Featured Products Slider
- NEW: Added an option to set the "Home" label in the Breadcrumbs element easily
- NEW: Added structured data support for "Post" post type to the Meta element
- NEW: Added a copy feature to easily get the CSS variables for the global colors, which can then be used in ACF color pickers
- NEW: Added WordPress compatibility information to Avada and plugins
- IMPROVEMENT: Hotspot item previews can now list chosen icons when now triggering text is used in Image Hotspot element in both builders
- IMPROVEMENT: Added Avada's privacy setup to the Events Calendar Google maps
- IMPROVEMENT: Adjusted the formatting of Avada Forms notification emails for better readability
- IMPROVEMENT: Adjusted the loading sequence of Avada's YouTube facade image loading for easier interaction with third parties
- COMPATIBILITY: Added table of contents readability for RankMath
- COMPATIBILITY: Added possibility for WPML auto-translate mode to Avada Off Canvas items
- COMPATIBILITY: Added action to the Woo Checkout Payment element to support WooCommerce Stripe Gateway express checkout buttons
- COMPATIBILITY: Fixed issue of Events Calendar venue and organizer pages not rendering when Post Cards or Mega Menus are used in custom header
- COMPATIBILITY: Made sure that Off Canvas items don't load in Slider Revolution preview when set to load on all pages
- COMPATIBILITY: Made sure that some hosts not accepting PHP 7.4 as minimum PHP version do not deactivate Avada
- UPDATED: Woo cart spinner on product image hovers
- UPDATED: Compatibility with WordPress 6.8
- UPDATED: Compatibility with WooCommerce 9.8.1
- UPDATED: Compatibility with The Events Calendar 6.11.2
- UPDATED: GSAP.js to version 3.7.12
- UPDATED: Swiper.js to version 11.2.5
- FIXED: Breadcrumb separator missing on Search and 404 pages when post tiles are disabled
- FIXED: 100% Height Scrolling Sections width being too large when being used inside the layout builder
- FIXED: Caption overlay color default not being applied in Image Carousel
- FIXED: Thumbnail missing in lightbox preview for portfolio items that are set to display a video in the lightbox
- FIXED: Include and exclude terms options not working correctly in the Search element for live search results
- FIXED: Before and after values not being displayed in dynamic data, when the main value is numeric
- FIXED: Instagram videos not correctly loading in lightbox in the Instagram element
- FIXED: RTL display issue of the Navin and Dario image caption styles
- FIXED: Images using aspect ratio in Image element not correctly upsized when browser width changes
- FIXED: Fullscreen mode not being available when using Avada lazy loading without video facade in YouTube element
- FIXED: Placeholder text appearing in Woo Short Description element in some cases on the front end
- FIXED: Global Options page not being accessible, when set to be in the role manager
- FIXED: PHP notice in Social Links widget
- FIXED: Heading color not being correctly applied to the Pricing Table element in Live Editor when using style 1
- FIXED: Container padding and margin being wrong in some cases for Off Canvas in Live Editor
- FIXED: Live update issue between the Inline Editor and the corresponding option textareas in Live Editor
- FIXED: Some Global Option changes not correctly live updating in Live Editor when there are corresponding Post Options
- FIXED: Grid to Carousel or Masonry layout change in Post Cards element, creating spacing issue in Live Editor
- FIXED: Options that need an AJAX re-render in the Woo Cart element not working correctly in Live Editor
- FIXED: AJAX-driven select options having a potential datatype mismatch in Live Editor
- FIXED: Rendering logic button color being incorrect when using panel mode and dak mode in Live Editor
- FIXED: 100% Height Scrolling Sections content position and width being incorrect in Preview mode in Live Editor
- FIXED: ACF Repeater options causing a JavaScript error in the backend editor


-----------------------------------------------------------------------------------------
Version 7.11.15 - March 18th, 2025
-----------------------------------------------------------------------------------------


- SECURITY: Fixed Contributor+ level XSS issue, allowing authenticated users to use "javascript:" in element link fields
- FIXED: Privacy embed notices not correctly showing on some installs


-----------------------------------------------------------------------------------------
Version 7.11.14 - January 28th, 2025
-----------------------------------------------------------------------------------------


- NEW: Added custom code fields to single posts and pages
- NEW: Added code field to Off Canvas
- NEW: Added custom CSS field to Mega Menu library elements
- NEW: Added Threads, Bluesky, Mastodon, and Github to Social Links, Person, and Sharing Box elements
- NEW: Added an option to set a custom lightbox ID in the Gallery element, for easy connecting an Image element to it
- NEW: Added option to include WooCommere SKUs in the global search and also the Search element
- NEW: Added options to Search element to include or exclude specific terms to/from search results
- NEW: Added Post Views to the order by query parameters in Post Cards element
- NEW: Added short slide animation to element animation options
- NEW: Added options for Portfolio and FAQ post types to include or exclude the front base defined in permalink settings
- NEW: Added option to Sharing Box element to disable tooltips
- SECURITY: Fixed arbitrary shortcodes being able to be executed when using render_content REST API endpoint or reCAPTCHA on comments form
- PERFORMANCE: Added preview image lazy loading to Video facade images in YouTube and Vimeo elements
- IMPROVEMENT: Updated some of the keyboard shortcuts for the Live Editor
- IMPROVEMENT: Added icon set navigation to icons picker in backend builder
- IMPROVEMENT: Made sure that Post Card Archives auto sets the term order to menu order to reflect backend table ordering
- IMPROVEMENT: Added a fallback for old dynamic data logo images to prevent missing logos on front-end
- IMPROVEMENT: Changed bottom shadow in Tagline Box element to SVG for better displayability
- IMPROVEMENT: Made The Events Calendar event status dynamic data translateable
- COMPATIBILITY: Added support WooCommerce Zip Payment payment option to the Woo Cart element
- COMPATIBILITY: Added support for WooCommerce Germanized legal info to the Woo Price element
- COMPATIBILITY: Added support for more the_content filter scenarios in the Memberpress plugin to avoid issues with the Layout builder
- COMPATIBILITY: Made sure that Avada's featured image takes precedence of the WooCommerce category thumbnail in dynamic data
- COMPATIBILITY: Made sure that third-party plugins do not change how the builder controls are rendered in the back-end builder
- FIXED: PHP notice for loading text domain too early (WP native issue)
- FIXED: Woo variation image not being updated correctly in the product gallery when using Avada lazy loading and variation is set on load
- FIXED: Gallery column spacing not working when using ACF repeaters
- FIXED: Hidden conditional forms being treated as required within multi-step forms
- FIXED: Responsive typography not working in Title element when using the div tag
- FIXED: Incorrect text color in lightbox when using the mac skin
- FIXED: Global option border-radius setting for Gallery element not being applied, if nothing is set in the Gallery element itself
- FIXED: Audio element not being correctly initialized when AJAX loading more posts in Post Cards element
- FIXED: Chrome console error, when using scroll progress on the to top button
- FIXED: PHP notice in legacy menu options, when Off Canvas post type is disabled
- FIXED: Data type check in the emoji script disabling function
- FIXED: User text selection option in Text Block element missing the default value indicator
- FIXED: Button color option being incorrectly rendered in some cases in the Tagline Box element
- FIXED: Special characters in translation files not working in option headings in Live Editor


-----------------------------------------------------------------------------------------
Version 7.11.13 - December 18th, 2024
-----------------------------------------------------------------------------------------


- IMPROVEMENT: Limited scroll to notice to WooCommerce single product pages on add to cart Ajax complete 
- UPDATED: Compatibility with WooCommerce 9.5.1
- FIXED: Data attributes not always being set in Counter element, Gallery element, and Lightboxes leading to display issues due to JS error
- FIXED: Menu elements being misplaced when used together with collapsed mobile menus in some setups
- FIXED: Border radius not working in Chrome for the to-top button when using scroll progress indicator
- FIXED: WooCommerce product category featured image not always being displayed correctly
- FIXED: Person element bottom shadow not displayed correctly in Live Editor


-----------------------------------------------------------------------------------------
Version 7.11.12 - December 16th, 2024
-----------------------------------------------------------------------------------------


- NEW: Added publishing status and date scheduling options to Off-Canvas
- NEW: Added playback rate options to the Audio element
- NEW: Added WooCommerce product's last purchase date and total purchase count to the dynamic data engine
- NEW: Added WooCommerce product purchased / not purchased checks to the rendering logic engine
- NEW: Added feature to dynamic data engine to pull images directly from a FileBird folder in the media library
- NEW: Added an option to Lightbox settings to allow Lightbox images to loop
- NEW: Added an option to display a page scroll indicator to floated to-top buttons
- NEW: Added possibility to cancel the to-top scroll, when interfering with a click or mouse wheel move while scrolling is in progress
- NEW: Added page post type to the available post types in Post Cards element query
- NEW: Added post status to the query options filters in Post Cards element
- NEW: Added ignore sticky posts to the query options filters in Post Cards element
- NEW: Added support for ACF repeaters from option pages in Post Cards element
- NEW: Added support for ACF icon pickers to dynamic data repeater options
- NEW: Added a maintenance / coming soon mode indicator to the WP admin bar
- NEW: WooCommerce quick view now supports AJAX add-to-cart
- NEW: Added field value option to Textarea element in Avada Forms
- NEW: Avada Forms submission expiration functionality will now be useable independent from the privacy settings
- NEW: Added option to Avada Forms to remove/add the required field symbol decoration
- NEW: YouTube shorts are now working in the Avada lightbox
- NEW: Added option to System Status to copy the main site Global Options across all sites on a multisite install
- NEW: Added the possibility to use clamp()-based font-sizes in Avada Slider
- NEW: Added Woo logo badge to WooCommerce elements in the builder element selection
- SECURITY: Contributor+ level users being able to clone arbitrary posts and thus being able to view contents of drafted or pending posts
- SECURITY: Contributor+ level users being able to add JS code to a few elements for execution on page preview of an admin user
- PERFORMANCE: Vastly improved the image ID lookup for images retrieved through the dynamic data engine
- PERFORMANCE: Vastly improved speed of the attachment data lookup function when the attachment ID is not available
- IMPROVEMENT: Added the possibility to paste content that was copied through the editor context menu directly to tinyMCE options
- IMPROVEMENT: Changed initialization of the WooCommerce Image Gallery element to improve compatibility with certain hosts
- IMPROVEMENT: Added the AvadaCustom Branding plugin to the Avada Patcher system
- IMPROVEMENT: Made sure that the Avada favicon settings take precedence over the default WP Site Logo
- IMPROVEMENT: Excluded post queries that use random post order from the Avada query cache to avoid result duplication
- IMPROVEMENT: Removed the deprecated Google Maps pan control option when using the JS API
- IMPROVEMENT: Scroll-to-step navigation in multi-step Avada Forms is now limited to forms with the navigation on top
- IMPROVEMENT: Added maximum file size to the Avada Forms Upload field description
- IMPROVEMENT: Made sure that all relevant FAQ items are shown in FAQ element, even if used on archives or on an FAQ itself
- IMPROVEMENT: Dynamic data will now display category names of The Evnts Calendar plugin on archive pages instead of just "Events"
- IMPROVEMENT: Added the set Favivon to Live Editor screens
- IMPROVEMENT: Excerpt basis value is now linked to the excerpt length options for easier overview
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability and internationalization
- COMPATIBILITY: Replaced outdated wp_smush_should_skip_parse for compatibility with the latest version of WP Smushit plugin
- COMPATIBILITY: Fixed GravityView plugin icons not correctly working in Avada Builder
- COMPATIBILITY: Fixed single post content compatibility issue with the latest versions of the Sermon Manager plugin
- COMPATIBILITY: Fixed 520 loading error when using the WooCommerce My Account login on sites hosted by WPEngine
- COMPATIBILITY: Fixed BuddyPress email templates URL replacements being filtered out creating link issues
- COMPATIBILITY: Fixed media library scrolling issue when Instant Images plugin is used
- UPDATED: Compatibility with WordPress 6.7.1
- UPDATED: Compatibility with WooCommerce 9.4.3
- UPDATED: Compatibility with The Events Calendar 6.8.3
- UPDATED: Instagram element to comply with latest requirements from Meta
- ACCESSIBILITY: Added alt and aria-label attributes to empty Column background images
- ACCESSIBILITY: Fixed itemprop attribute in Vimeo and YouTube elements
- ACCESSIBILITY: Fixed aria-expanded attribute being added to desktop menus that have a mobile mode
- ACCESSIBILITY: Fixed aria-expanded attribute not correctly working in the Menu element when toggling different sub-menus
- ACCESSIBILITY: Fixed WooCommerce My Account menu login labels using incorrect for attribute
- ACCESSIBILITY: Fixed two misspelled aria-label attributes
- FIXED: ACF repeater data not being retrievable on archive pages when using parent/child element setups
- FIXED: Required fields in Avada Forms getting hidden/shown through conditional logic no longer being required then
- FIXED: Error styling not being applied to required select fields in Avada Forms
- FIXED: Default sender email being incorrect in Avada Forms in secondary languages when using WPML with sub-folder setup
- FIXED: Elements with dynamic content not rendering correctly when added to multi-step forms in Avada Forms
- FIXED: Form submission not working for second form when adding the same Avada Form twice to one page and using reCAPTCHA v3
- FIXED: Links to post not added when using the single post share box and sharing on X
- FIXED: Variation images not correctly displayed in lightbox when the WooCommerce product gallery does not have thumbs (i.e. only one featured image is used)
- FIXED: Before & After elements not correctly initialized when being part of Post Cards that get loaded through load more feature
- FIXED: Full-screen slider option not working correctly for Avada Slider when using slide animation
- FIXED: Read more symbol not respecting the Global Option setting when using dynamic data excerpts option and WP auto excerpts
- FIXED: Breadcrumbs element being hidden on mobile in custom Page Title Bar (PTB) layout, if the legacy PTB breadcrumbs are disabled in Global Options on mobile
- FIXED: URL for layout imports in the Setup Wizard
- FIXED: Post Card Image link being incorrect for WoCoomerce product variation after choosing a variation on the Post Card
- FIXED: Apply/remove coupon notices not always being correctly displayed in the Woo Notices element
- FIXED: Border radius option in Search element not correctly inheriting from the global form options
- FIXED: Background image fase option not respecting the background-repeat option in Container element
- FIXED: Woo Rating element not using full product link when being used as part of a Post Card
- FIXED: Percentage-based discount badge being wrong in Woo Price element when product price is below 1
- FIXED: Button element gradient angle option having incorrect default value
- FIXED: Top and bottom padding options not working in Checklist element when using the divider line option
- FIXED: Display issue in Post Cards element when a CPT with the name "product" is used that is not related to WooCommerce
- FIXED: Caption color being incorrect in Image element when using the Schantel caption effect
- FIXED: Spacing issue on the Events Calendar main archive pages
- FIXED: Styling issue of options in the WordPress Customizer
- FIXED: JS error happening when using the HubSpot oAuth API
- FIXED: PHP notice for load text domain too early
- FIXED: PHP notice in the Social Links widget regarding the Snapchat link
- FIXED: PHP notice in class-fusion-images.php
- FIXED: PHP notice appearing for subscriber role users in the WP Dashboard
- FIXED: PP notice in Menu element on some expand directions when using active border sizes 
- FIXED: History no always correctly working in Backend Editor  when using undo and redo
- FIXED: Critical error happening due to wp_check_post_lock() function in Live Editor when user gets logged out automatically
- FIXED: Absolutely positioned Comtainers not always having the correct width in Live Editor, depending on responsive settings and hover state
- FIXED: Next/prev icons not being displayed correctly in Woo Product Images element in Live Editor
- FIXED: Nested columns as children of a global Column being duplicated when added twice to a page in Live Editor and content getting edited
- FIXED: Transform origin option not working correctly in Live Editor
- FIXED: First placeholder image not being properly loaded in the Image Carousel element in Live Editor
- FIXED: TinyMCE editor options in Live Editor leading to unwanted page scroll in WP 6.7
- FIXED: Color option descriptions in Live Editor displaying global color variable instead of color name


-----------------------------------------------------------------------------------------
Version 7.11.11 - October 23rd, 2024
-----------------------------------------------------------------------------------------


- SECURITY: Avada's WooCommerce quick view setup is vulnerable to Broken Access Control (BAC). Worst case: drafted or private products could be obtained through quick view.
- SECURITY: Deprecated custom colors are vulnerable to Cross Site Request Forgery (CSRF). Worst case: An admin user could be tricked into creating a new color.
- IMPROVEMENT: Removed a few unnecessary cache clearing hooks
- UPDATED: Option description for OSM element Map Style to include link to the Wiki
- FIXED: Compatibility issue between Layout Builder and plugins using object type filters
- FIXED: URI Exception happening when using unaccepted characters in Code Block element
- FIXED: Possible PHP notice in dynamic data when looping through ACF options page options


-----------------------------------------------------------------------------------------
Version 7.11.10 - September 02nd, 2024
-----------------------------------------------------------------------------------------


- SECURITY: Additional security hardening for Button element attributes (This is only relevant when saving through a different page builder)
- NEW: Added 29 different dynamic data endpoints for The Events Calendar, making it easy to create custom single event layouts using the Layout Builder
- NEW: Added possibility to assign a layout to single Events Calendar events
- NEW: Added Event Venue Name, Event Organizer Name, Event Address and Event Cost to Post Meta element
- NEW: Added post type as option to the Post Meta element
- NEW: Sortable option types like "Meta Elements" in Post Meta element can be adjusted through a double click on individual items now
- NEW: Added the possibility to cross-site copy and paste Avada Builder content
- NEW: Added right-click copy feature to icon pickers, to copy the icon name CSS easily
- NEW: Added support for ACF icon pickers in dynamic data
- NEW: Added support for ACF Option Pages in dynamic data
- NEW: Added do_action() to dynamic data options
- NEW: Added dynamic data to the Pinterest image option in the Sharing Box element
- NEW: WooCommerce out-of-stock badge is now also shown when choosing the clean product design
- NEW: Added loop and player control options to YouTube element
- NEW: Added the interior content width option to Container elements in Off Canvas
- NEW: Added animation timing function option to Off Canvas animations
- NEW: Added option to allow Select elements in Avada Forms to be multi-select
- NEW: Added posts offset option to the Post Card Archives element
- NEW: Added functionality to have several Post Card Archives element on the same archive layout, for "featured post" like setups
- NEW: Added option to control what is displayed in Post Card element when no posts have been found
- NEW: Added LIKE operator to custom field comparison option in Post Card element
- NEW: Added "Post In" setting to the order by option in Post Card element
- NEW: Added session value as selection to the Rendering Logic engine
- NEW: Added Portfolio categories, skills, and tag and FAQ categories to the admin tables for easier management
- NEW: Added menu order option to the admin post tables for Pages, Portfolio, and FAQ post types, for easier sorting
- NEW: Added an option to Button element to add the ARIA role button
- IMPROVEMENT: Added support for the woocommerce_add_to_cart_redirect filter when using single product ajax add to cart feature
- IMPROVEMENT: Element names in the Live Editor Navigator are no longer escaping special chars for better readability
- IMPROVEMENT: Dynamic data global option logos will now always display correctly (not just a placeholder) when used on Image element
- IMPROVEMENT: Changed Instagram social link icon color to one of the Instagram gradient main colors
- IMPROVEMENT: Changed tagline color option in the Sharing Box element to the normal/hover states setup
- IMPROVEMENT: Implicit consent text color is now tied to the form label color in Avada Forms
- IMPROVEMENT: Soft linebreaks are now working in the Tex element when used inside of Avada Forms
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability
- UPDATED: Off Canvas post option icon picker to make it work with latest versions of Google Chrome
- UPDATED: Changed priority of the menu inline scripts enqueueing for better performance for other plugins enqueueing to footer 
- UPDATED: Removed the placeholder JS script for better compatibility and performance
- UPDATED: Compatibility with WooCommerce 9.2.3
- UPDATED: Compatibility with The Events Calendar 6.6.2
- ACCESSIBILITY: Added product name to the "Remove Item" button of the Cart Table element
- ACCESSIBILITY: Fixed menu trigger button not changing aria-expanded attribute to true on menu open in Menu element
- COMPATIBILITY: WooCommerce menu login box to use the wp_login_url() function for better compatibility with third parties.
- COMPATIBILITY: Fixed compatibility issue with the Dynamic Menu Product Categories plugin
- COMPATIBILITY: Fixed more content issues with the MemberDash plugin when using the Layout Builder
- FIXED: Image element magnify and scroll features not working for AJAX loaded postcards when using load more option in Post Card element
- FIXED: Custom capability CPTs not always being correctly matched in role manager for accessing the builders
- FIXED: ACF relationship post source setting not working in Post Card element when being used on Archive pages 
- FIXED: WooCommerce order attribution not being added when using Woo Checkout Billing element (necessary for latest versions of WooCommerce)
- FIXED: Responsive columns not always working correctly in Gallery element
- FIXED: Maintenance / coming soon mode not being able to exclude the site homepage alone
- FIXED: Maintenance / coming soon mode default template displaying incorrectly on mobile
- FIXED: Caption text not using correct font style in Image element
- FIXED: The Events Calendar main loop being incorrect when using a Post Card element before the main content (e.g. in mega menus)
- FIXED: Bottom shadow width not always being correct in Image element
- FIXED: Instagram element not being able to load the feed correctly, if the site is not using pretty permalinks
- FIXED: show_product_loop_outofstock_flash() function using incorrect class for action hook in WooProduct Grid element
- FIXED: YouTube element autoplay not working when using Avada lazyloading and content being below the fold
- FIXED: Missing px unit in inline CSS of the width setting for LayerSlider
- FIXED: JS error happening when using the URL regex pattern Avada Forms
- FIXED: JS error preventing WooCommerce quick view from working, when no product title is set on the product
- FIXED: JS error happening in some cases in Post Card element when post slider is not initialized
- FIXED: PHP notice in add-to-cart.php template when using WooCommerce 9.0+
- FIXED: PHP notice when using Snapchat social link in combination with brand colors
- FIXED: PHP notice when using an SVG as image that has no vieBox param set
- FIXED: Potential fatal error if Avada And WooCommerce are active, but Avada Builder is not
- FIXED: Image element focal point position difference between Live Editor and backend editor
- FIXED: Slider Revolution element not rendering properly in the Live Editor
- FIXED: SEO title and meta description options not triggering content changed action to make post saveable in Live Editor
- FIXED: Several options of Media Slider element not live updating in Live Editor
- FIXED: Post Card element preview being empty in Live Editor when a Blog or Portfolio element is rendering before it with full content
- FIXED: Subgroup option types being incorrectly displayed in medium and small editor mode in the backend builder
- FIXED: Wave weight and size options not saving correctly in Separator element in backend editor


-----------------------------------------------------------------------------------------
Version 7.11.9 - June 05th, 2024
-----------------------------------------------------------------------------------------


- SECURITY: Fixed Contributor+-level-only XSS vulnerability, allowing site Contributors to add event attributes to link attributes options
- FIXED: Conditional rendering logic not working correctly in Containers on some specific setups
- FIXED: Generated dimensions of some registered image sizes being incorrect
- FIXED: Some Global Options and Page Options not correctly triggering page changed actions in Live Editor
- FIXED: Bulk removal of Avada Form enrties not working


-----------------------------------------------------------------------------------------
Version 7.11.8 - June 04th, 2024
-----------------------------------------------------------------------------------------


- NEW: Added a completely revamped role manager version to allow better control over different Avada areas for different WP user roles
- NEW: Submission view access for Avada Forms can now be set to give read-only access for different user roles
- NEW: Added an option to Avada Forms, for easy resetting of form submission and view count
- NEW: Added video start and end times to YouTube, Vimeo, and Video elements
- NEW: Added an alignment option to the Audio element
- NEW: Added options to Post Cards element to query WooCommerce products by SKU
- NEW: Added a Global Option to display HTML and JS right after the opening body tag
- NEW: Added option to hide subsequent events from an event series in the Events element
- NEW: Added HTML track tag options to the Video element
- NEW: Added option to Text element to make text unselectable
- NEW: Added open graph image tag option to the SEO tab in Page Options
- NEW: Added a character counter to the SEO "Meta Description" Page Option to suggest optimal description length
- NEW: Added option to change the Avada FAQ categories slug analog to Avada Portfolio
- NEW: Added "Is Term" check and referrer options to the conditional rendering setup
- NEW: Added leading and trailing whitespace check to global and page options of type text and textarea to avoid input issues (e.g. Avada Forms notification emails)
- NEW: Added several new vendors to out reset all caches setup (like WP Rocket, Hummingbird, Autoptimize, LiteSpeed and WP Fatest Cache)
- PERFORMANCE: Vastly improved cache clearing performance on post save in Live Editor
- PERFORMANCE: Added a new image sizes select option, to control which image sizes Avada creates when an image is uploaded to the media library
- PERFORMANCE: Moved the WooCommerce quick view scripts to their own file that can now conditionally be enqueued
- PERFORMANCE: WooCommerce quick view HTML elements will now get added dynamically to the DOM only on first quick view click
- IMPROVEMENT: Added support for custom fields with serialized data when checking for equal value in Post Cards element
- IMPROVEMENT: Removed deprecated sidebars.css in favor of widgets.css
- IMPROVEMENT: Live Editor main element setting tabs now use text-overflow ellipses to adjust better to longer texts in other languages
- IMPROVEMENT: Input field of the Range element of Avada Forms now auto-adjusting to the maximum number of digits
- IMPROVEMENT: Made sure the Off-Canvas animation trigger is limited to the main parent, to avoid issues once the accessibility focus trap is invoked
- IMPROVEMENT: Made sure to cast saved extra Google fonts to array to prevent issues with incorrectly saved font data
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability
- UPDATED: Vimeo player script is now at version 2.23
- UPDATED: Font Awesome is now at version 5.14.4
- UPDATED: Compatibility with WordPress 6.5.2
- UPDATED: Compatibility with WooCommerce 8.9.1
- COMPATIBILITY: Removed the Slider Revolution 7 rendering engine CSS from the combined third-party styles to ensure compatibility
- COMPATIBILITY: Added possibility to set the "Show WooCommerce Shop Loop" Page Option also on secondary languages when using PolyLang
- COMPATIBILITY: Fixed Gravity plugin doubling up its contents in layout sections when using the Layout Builder
- COMPATIBILITY: Fixed Optima Express plugin doubling up its contents in layout sections when using the Layout Builder
- COMPATIBILITY: Fixed PrivateContent plugin doubling up its contents in layout sections when using the Layout Builder
- COMPATIBILITY: Fixed MemberDash plugin doubling up its contents in layout sections when using the Layout Builder
- FIXED: Woo Reviews element displaying review sub-heading incorrectly as title
- FIXED: Tag-based filters being incorrect in the Portfolio element when using WPML and viewing page in a secondary language
- FIXED: Avada Forms Submit element loading styles interfering with button background hover animation
- FIXED: Content background image Page Option dependent sub-options having wrong dependency check
- FIXED: Page Options being reset when a post is saved by a user with editor role
- FIXED: Image Carousel looping through initial set of images when scroll items option is set to higher than 1
- FIXED: Dynamic data post ID being incorrect when used on archive pages
- FIXED: Dynamic data term titles being incorrect in Post Cards when used on Search page
- FIXED: Exit animation speed option not working in Off-Canvas when using sliding bar type
- FIXED: Container gradient backgrounds not always being correctly applied when using a parallax background image and Avada lazy loading
- FIXED: First and last image in Avada Woo product gallery being doubled in lightbox when using WooCommerce product zoom
- FIXED: Incorrect legacy page title bar font styling being applied to h3 elements used in page title bar Layout Section
- FIXED: WooCommerce quantity box styling being off when using Woo Cart Table element in an Off-Canvas
- FIXED: WooCommerce quick view not working when using Post Cards Cart element in Post Card
- FIXED: ACF repeater sub-field dynamic data not rendering before/after fields when populating Tabs element children
- FIXED: WooCommerce order attribution not being added when using Woo Checkout Billing element
- FIXED: woocommerce_get_catalog_ordering_args filter not being correctly removed from Woo Product Slider elements causing ordering issues in the following Post Cards element
- FIXED: Responsive WooCommerce list view not staying fixed to one column
- FIXED: Pricing Table element styling being incorrect when Critical CSS loading is used
- FIXED: Space missing between posts when using medium alternate layout in Archive element on post types other than posts
- FIXED: Section Separator element throwing PHP warning when set to a custom design but no SVG was uploaded
- FIXED: Some option dependencies in Title element being incorrect
- FIXED: Several PHP notices happening in a few edge cases
- FIXED: Missing toolbar icons in lightbox when using para skin
- FIXED: Images used in Container and Column background sliders not being imported from Avada Studio
- FIXED: Dynamic content UI being displayed on the parent element if dynamic content is added to a nested element (e.g. )
- FIXED: Fatal error happening when saving an Avada Form in backend editor when a field name is named post_type and Mailchimp or HubSpot connections are active
- FIXED: Gravity Forms element not loading saved or changed form in Live Editor for latest Gravity Forms version
- FIXED: Global Options Search Form tab is causing a JS error in Live Editor
- FIXED: Container padding not always correctly applied when editing an Off-Canvas editing in Live Editor
- FIXED: Column z-index option not being correctly applied in Live Editor
- FIXED: Bottom shadow missing from Image element in Live Editor when zoom in or zoom out hover options are chosen
- FIXED: Hover styles of Image element not animating in Live Editor when combined with filter options
- FIXED: Child element settings dialog missing the back button in Live Editor


-----------------------------------------------------------------------------------------
Version 7.11.7 - March 19th, 2024
-----------------------------------------------------------------------------------------


- SECURITY: Fixed Contributor+-level-only XSS vulnerability, allowing site Contributors to add custom script code to certain element link options
- SECURITY: Fixed Contributor+-level-only SSRF vulnerability, allowing Contributors to set Avada Form submission type to unsafe web requests
- SECURITY: Fixed Admin+-level-only SQL injection vulnerability, where SQL code could be injected into an Avada Forms submissions entry removal request
- SECURITY: Fixed possibility of Avada Forms upload folder being directly accessible
- NEW: Added the option to bulk delete Avada Forms submission entries
- NEW: Added video facade thumbnail image size option to the YouTube element
- PERFORMANCE: SVG attachments with missing size metadata will now get the size set if possible, to avoid additional HTTP requests
- IMPROVEMENT: Made the option to exclude out of stock products to all WooCommerce relevant source types in Post Card element
- IMPROVEMENT: Added possibility to use placeholders in the Avada Forms CC and BCC fields
- UPDATED: Removed legacy add-ons from the Avada Dashboard plugins screen
- FIXED: Border options not working in Column element when using a background slider
- FIXED: WooCommerce default shop loop not displaying categories when set to do in Customizer
- FIXED: WooCommerce legacy notices icons not displaying correctly
- FIXED: WooCommerce variable product not being added to cart when using Post Card Cart element in Post Cards on a single product post
- FIXED: ACF relationships used as post source don't set the WooCommerce product post type if used in Post Card element leading to interaction issues 
- FIXED: Post Card element displaying products through secondary choice (upsells, cross-sells, etc.) when clicking on variation, changing main product thumbnail if displayed on single product page
- FIXED: Additional metadata being cut off, in Meta element, when displaying posts with empty tags or categories
- FIXED: Subpixel issue with slant type of Section Separator element
- FIXED: Lightbox triggered from rollover not always working in carousel layouts
- FIXED: Open Graph image meta tag causing fatal error on front-end on a fresh install if no image and no logo is set
- FIXED: Column element background hover color being incorrect in Live Editor when no explicit background hover color was set
- FIXED: Container & Column background image slider preview breaking at times in Live Editor when changing related options


-----------------------------------------------------------------------------------------
Version 7.11.6 - February 27th, 2024
-----------------------------------------------------------------------------------------


- SECURITY: Fixed Avada Forms database submissions entries being viewable at contributor user role level by default
- NEW: Added title and description Page Options, to easily set title and description page meta tags and open graph meta tags
- NEW: Added dynamic data options (ACF color) for all color options
- PERFORMANCE: Removed wc-functions.php and handling for very old, deprecated WooCommerce functions
- IMPROVEMENT: Added the new button hover transitions and icon dynamic data to the Submit Button element
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability
- UPDATED: Compatibility with WooCommerce 8.6.1
- FIXED: WooCommerce notices styling that was broken by WooCommerce 8.6
- FIXED: WooCommerce products shortcode columns not working correctly on a shop page that uses a layout
- FIXED: WooCommerce product review and legacy comment form submission breaking when using reCAPTCHA for comments
- FIXED: WooCommerce Product Image element changing to incorrect image, when changing a product variation inside of a Post Cards element on a single product page
- FIXED: WooCommerce Post Card Cart button stretch option not working in stacked mode
- FIXED: Motion effects device-specific option not working
- FIXED: Background images set in Column element not having the image ID stored, leading to a more expensive lookup
- FIXED: Dynamic data not working on Checklist element children
- FIXED: Avada Forms Text Field with name "s" (for search field functionality) not respecting all form field styles
- FIXED: Load More button in Post Cards element sometimes not correctly disappearing once all posts have been loaded
- FIXED: Device type rendering logic not working in Column element LE when using "not equal" comparison 


-----------------------------------------------------------------------------------------
Version 7.11.5 - February 12th, 2024
-----------------------------------------------------------------------------------------


- SECURITY: Fixed file upload bypass leading to remote code execution (RCE) vulnerability in Page Options import function (only valid for authenticated users of rol contributor or higher)
- PERFORMANCE: Removed conditionally loaded WooCommerce block styles from the combined 3rd party styles
- IMPROVEMENT: Added option to Post Card element to exclude out-of-stock items from related products query
- IMPROVEMENT: Added new actions and filters for better customizability
- UPDATED: Twitter name to X
- FIXED: WooCommerce notices not being displayed on all installs when Ajax add to cart is used on single products
- FIXED: Woo Tabs element title options not working for all tab titles and review meta text color being incorrect
- FIXED: Non-scrolling Column motion effects not animating
- FIXED: Off Canvas special menu element not working
- FIXED: Off Canvas not always closing correctly on mobiles (part 2)
- FIXED: Not all Testimonial elements auto-playing when multiple elements are on the same page
- FIXED: Carousels not correctly initialized inside of a Modal element
- FIXED: Portfolio element carousel layout displaying incorrect number of elements
- FIXED: Font-size sanitation issue in responsive type calculations, when a global typography was deleted but still used in an element
- FIXED: PHP notice in WooCommerce edit order screens and other post types that don't have a global $post variable
- FIXED: Bulk upload options not displaying in back-end editor
- FIXED: Container background slider in Live Editor causes child elements to disappear when the edit icons are hovered on some installs
- FIXED: Invalid column spacing sanitization in Live Editor
- FIXED: Custom icons not displaying in Live Editor when changing them for the add to cart button in Post Card Cart element


-----------------------------------------------------------------------------------------
Version 7.11.4 - January 30th, 2024
-----------------------------------------------------------------------------------------


- NEW: Added background image slider options to Container and Column elements
- NEW: Added background color slide hover effects to Button element
- NEW: Added an option to Post Cards element to query WooCommerce products based on "sale" status
- NEW: Added CC and BCC recipient fields to Avada Form notifications
- IMPROVEMENT: Added WooCommerce cart cross-sells to the rendering logic
- IMPROVEMENT: Removed the WooCommerce variable.php template for better compatibility
- IMPROVEMENT: Made sure that Woo elements always only load WooCommerce default templates, for better compatibility
- IMPROVEMENT: Added animation to the add to cart button in Post Cards Cart element, when using AJAX add to cart
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability
- IMPROVEMENT: Lowered the row minimum to 2 for Avada Forms Textarea element
- IMPROVEMENT: Made the device rendering logic of Column element work with responsive preview in Live Editor
- IMPROVEMENT: Added the WooCommerce standard notice to Post Cards Cart element when user wants to add product to cart without selecting any variation
- UPDATED: Compatibility with WordPress 6.4.2
- UPDATED: Compatibility with WooCommerce 8.5.2
- UPDATED: A few strings in WooCommerce templates and elements to reflect latest WooCommerce changes
- COMPATIBILITY: Added compatibility for the new WooCommerce notices setup in WooCommerce 8.5+
- FIXED: Gap appearing in some Section Separator element layouts when using Chrome 119+
- FIXED: Single WooCommerce product AJAX add to cart not auto updating the cart fragments (menu cart etc)
- FIXED: Show password icon moving on WooCommerce My Account registration form when typing
- FIXED: WooCommerce menu cart dropdown bottom border-radius not working
- FIXED: Post Card Image element link not correct when using WooCommerce variable product image
- FIXED: Woo Post Cards Cart element not initializing variations that have been AJAX loaded (load more, infinite scroll)
- FIXED: Image zoom can't be disabled in Woo Product Images element when using WooCommerce 8.3+
- FIXED: Woo Mini Cart element not auto updating when variable products get added to cart
- FIXED: Special chars being stripped from search query string, when using Woo Sorting element on a search page
- FIXED: WooCommerce quickview open transition not being correct when using sidebars and JS compiler
- FIXED: Spacing of thumbnails in the Woo Product Images element not being correct
- FIXED: Single post cards content compressed when using carousel layout in Post Cards element and Post Cards Cart element with variation in the post card
- FIXED: Add to cart margin and product link margin options not working in Post Cards Cart element
- FIXED: Portfolio post translations not working correctly, when using WPML and WooCommerce
- FIXED: Avada Library elements not keeping the correct type when translating them manually using WPML
- FIXED: Styling issues of the search button of The Events Calendar filter bar
- FIXED: Styling issues in The Events Calendar mini calendar shortcode
- FIXED: Layout not applied to The Events Calendar recurring events when the layout condition is the category of the main event
- FIXED: Images always using full available width in Image Before & After element when using fade animation
- FIXED: Incorrect focus styling in Image Select field of Avada Forms when images are unselected
- FIXED: Testimonial elements having dark border around them because of WordPress block styles change
- FIXED: Single events meta content styling issues when being displayed below the event content
- FIXED: Off Canvas not always closing correctly on mobiles
- FIXED: Off Canvas conditions not working when posts with quotation marks are added
- FIXED: Column motion effects not always correctly working when using several effects at once on scroll
- FIXED: Portfolio element carousel layout displaying incorrect number of elements
- FIXED: YouTube preview thumb missing some dimension checks when using video facade option
- FIXED: Null and false values not always being handled correctly in conditional rendering logic
- FIXED: Issue in conditional rendering logic, when a logic item is added in Live editor but nothing is chosen
- FIXED: Removed counter font size and color dependencies from Woo Rating element for better usability
- FIXED: PHP 8.1+ deprecation notice for FILTER_SANITIZE_STRING
- FIXED: PHP 8.1+ notice in maybe_add_acf_fields() function
- FIXED: PHP notice happening in Avada Forms in some cases when HubSpot integration is used
- FIXED: PHP notice in Contact Info widget
- FIXED: Alignment, box-shadow, and border-radius options not being displayed correctly when using transparent background color in Content Boxes element in Backend Editor
- FIXED: Motion effects tab being auto-added for Column element options in Backend editor
- FIXED: Responsive typography live updates not being correct for Title elements in Live Editor
- FIXED: Image size not updating on option change in Related Posts element in Live Editor
- FIXED: Gravatar URLs not correctly being displayed in Image element dynamic data in Live Editor
- FIXED: Filters not being displayed in Live Editor when enabled in Post Cards element
- FIXED: Post Cards element column classes assigned to all child elements instead of only direct children in Live Editor
- FIXED: Post Cards element rendering issue in Live Editor when changing to slider layout
- FIXED: Cart layout rendering issue in Post Cards Cart element in Live Editor
- FIXED: Container element YouTube and Vimeo background videos overflowing the container in Live Editor when freshly added
- FIXED: Library elements not being shown in the add elements modal when a shortcode generator dialog was opened and closed before in Live Editor
- FIXED: Interior content width option missing from Container element in Live Editor when editing an arbitrary CPT
- FIXED: Highlight text in Title element not displaying special chars correctly in Live Editor


-----------------------------------------------------------------------------------------
Version 7.11.3 - November 13th, 2023
-----------------------------------------------------------------------------------------


- NEW: Added lots of new styling options to Testimonial element (e.g. border, typography, alignment, icon)
- NEW: Added "marquee" style text scroll/rotation options to the Title element
- NEW: Added option to allow AJAX add-to-cart on WooCommerce single products
- NEW: Added "Reset Avada Caches" menu item to the Avada admin bar menu
- NEW: Added home URL placeholder for usage in Avada Forms
- PERFORMANCE: Huge rendering speed improvement for conditional logic for larger Avada Forms 
- IMPROVEMENT: Empty terms can now be chosen in the include and exclude options of the Post Cards element to allow later additions
- IMPROVEMENT: The Events Calendar single event sidebar will now load even when legacy widgets are disabled
- IMPROVEMENT: Added a new setup to avoid frequent HubSpot disconnection in case of server ping fluctuations
- IMPROVEMENT: Featured image of an empty category can now be loaded when using Post Cards element
- IMPROVEMENT: Popover CSS styles are now loaded in Image Hotspot element, even if Popover element is disabled
- IMPROVEMENT: Added better image srcset calculation when lazy loading images that use aspect ratio settings
- UPDATED: Rebranded Twitter to X in social icons
- UPDATED: Compatibility with WordPress 6.4.1
- UPDATED: Compatibility with WooCommerce 8.2.2
- UPDATED: Compatibility with The Events Calendar 6.2.1
- UPDATED: ScrollTrigger script to 3.12.2 and GSAP script to 3.12.2
- ACCESSIBILITY: Added product name to the "Remove Item" button of the Cart Table element
- ACCESSIBILITY: Replaced the comma separation of multiple terms in Breadcrumbs with CSS approach for a correct HTML list markup
- ACCESSIBILITY: Added aria-current attribute to the current page in menus
- COMPATIBILITY: Added compatibility layer for third-party plugins from Layouts also to Off-Canvas
- COMPATIBILITY: Fixed Events Calendar main loop being wrong when a Post Cards element is rendered before the main content (e.g. in Mega Menu)
- COMPATIBILITY: Fixed Avada Cache clearing in Global Options only working for the main language when using WPML
- COMPATIBILITY: Fixed fatal error happening when translating elemens from the Avada Library with the WPML translation management
- COMPATIBILITY: Made sure that Apple and Google Pay buttons of WooCommerce Payment plugin can be displayed when using Woo Checkout Payment element
- COMPATIBILITY: Fixed WooCommerce Thank You page being 404 in secondary language when using WPML and a layout-based checkout page
- COMPATIBILITY: Fixed WooCommerce PayPal Payments and WooCommerce Subscription plugins causing a fatal error in backend builder when the Woo Cart Table element was used
- COMPATIBILITY: Latest version of WooCommerce Gift Cards plugin causing a warning on single product pages that use layouts
- FIXED: Trailing separator showing in breadcrumbs on the homepage
- FIXED: Time picker alignment being incorrect in elements
- FIXED: Global Options reset not working
- FIXED: PHP notice when conditional rendering checks for a $_GET variable that is not present in the URL
- FIXED: Submenu dropdown arrow indicator not being visible on mobile when parent menu item has a Mega Menu on desktop
- FIXED: Alert box being displayed below button when adding Stripe Button element to a post/page
- FIXED: Dynamic data featured image sometimes not working correctly on archives
- FIXED: Dynamic content in Tabs element not loaded when tab is opened through a link click
- FIXED: Bottom border-radius values being interchanged in Alert element
- FIXED: Lightbox for Featured Images Slider element not working when using AJAX load more in Post Cards
- FIXED: Disable divider line setting in FAQ element not working
- FIXED: Additional parameters not being added to Vimeo videos when video facade option is used
- FIXED: Avada Form entry export button showing even user does not have export capability (export not working for such a user)
- FIXED: $_GET var check in conditional rendering not working for Checkbox element in Avada Forms when using labels only
- FIXED: Image caption of style Dario not being displayed correctly on mobiles in Image Carousel element
- FIXED: Mega Menu being horizontally incorrectly aligned when using a different Menu element in a Container for a sticky header
- FIXED: Text transform of menu item that is icon only on desktop being incorrect
- FIXED: Button spacing being incorrect for variable products in Post Cards Cart element
- FIXED: Variable product image linking to image instead of product when using Post Card Image element and Post Cards Cart element and changing variation
- FIXED: Woo Product Grid element not resetting the WooCommerce loop which leads to issues when element is used before the main loop
- FIXED: WooCommerce menu cart item count causing incorrect spacing of the parent menu item
- FIXED: WooCommerce product category image alt tag wrong when displaying it through dynamic data in a layout
- FIXED: WooCommerce price dynamic data not always being correct
- FIXED: YouTube element preview thumbnail always loaded in default size when video facade option is used
- FIXED: Layout conditions being removed from layout when posts/pages with quotation marks in title are added to the layout
- FIXED: Several styling issues on the Events Calendar events search bar (e.g. mode hover color, outlines, and search icon on mobile)
- FIXED: Several styling issues on the Events Calendar single events pages (like sidebar text color, link color, and quotes)
- FIXED: PHP warning on the Events Calendar single events when Event Tickets add-on is used
- FIXED: Avada Layout not applied to Events Calendar recurring events when the layout condition is set to the category of the main event
- FIXED: Submission spinner for Contact Form 7 not working
- FIXED: Alert dismiss icon being wrong for bbPress notices
- FIXED: Missing div tag in the Slider Revolution "no slides found" message leading to display issues
- FIXED: Deprecation notice for wp_global_styles_render_svg_filters
- FIXED: Scroll sections sometimes being incorrectly split when Containers are used in Mega Menus
- FIXED: PHP notice in PHP 8.3 regarding version_compare() function in the upgrade class
- FIXED: PHP notice (non-numeric value encountered) in class-fusion-sanitize.php
- FIXED: Button element gradient hover colors missing the default value
- FIXED: Default value in option description being wrong when the global option uses subsets (like typography ones)
- FIXED: Bulk actions for Layout Sections not working
- FIXED: Order by option of Gallery element not being available in Backend Editor
- FIXED: JS error when image size that was later deleted was set in an element in Live Editor
- FIXED: Styling issues in Live Editor happening when third parties use jQuery UI library
- FIXED: Adding an Avada Studio column to an empty Container not working in Live Editor
- FIXED: Center-right position not being clickable in the Transform Origin option in Live Editor


-----------------------------------------------------------------------------------------
Version 7.11.2 - July 11th, 2023
-----------------------------------------------------------------------------------------


- SECURITY: Fixed broken access control vulnerability (potentially letting authenticated users save Portfolio permalink)
- SECURITY: Fixed possible arbitrary file upload and server-side request forgery vulnerability in Page Options import function (only valid for authenticated users)
- SECURITY: Fixed arbitrary file upload vulnerability in custom icon font upload (valid only for authors or higher)
- SECURITY: Fixed SQL injection and broken access control vulnerability in Critical CSS (valid only for authenticated users)
- SECURITY: Fixed Cross Site Scripting (XSS) vulnerability in the User Register element
- SECURITY: Fixed Cross Site Request Forgery (CSRF) in elements using access tokens to third-party platforms (only valid for admin users)
- NEW: Added WooCommerce special page link options to dynamic data for text field options
- COMPATIBILITY: Fixed variation product issue when WooCommerce Product Bundle plugin is used
- FIXED: Backslash used as separator in Breadcrumbs Global Option breaking page CSS
- FIXED: Avada Slider button option defaults not cleared out when saved empty
- FIXED: Bottom left border-radius option not working in Alert element for custom styling
- FIXED: Checkbox form element content being shown in notification emails when hidden through conditional form rendering logic
- FIXED: Form being scrolled to bottom instead of top when clicking next step button on multi-step Avada Forms
- FIXED: JS error happening in multi-step Avada Forms when no Submit Button element was added to the form
- FIXED: Visibility options not working in Image element when used together with legacy Containers
- FIXED: Image Carousel element not working inside Toggles and FAQ elements
- FIXED: Layout set for the main event of The Events Calendar plugin not being applied to the series, if it is a recurring event


-----------------------------------------------------------------------------------------
Version 7.11.1 - June 29th, 2023
-----------------------------------------------------------------------------------------


- NEW: Added responsive options to the Instagram element to decide over the button layout
- IMPROVEMENT: Updated toTop option titles for consistency and easier search
- IMPROVEMENT: Avada Forms privacy params will only be added when needed now when submitting to URL
- IMPROVEMENT: Added Avada's sticky CSS class to sticky posts in Post Cards element
- COMPATIBILITY: The Event Tickets plugin causing a fatal error when using the Layout Builder
- FIXED: Breadcrumbs with disabled post title displaying a trailing separator
- FIXED: Update cart dynamic data functionality not working on WooCommerce cart page
- FIXED: Menu thumbnail images not being saved when legacy mega menu option is turned off
- FIXED: Underscore added to the anchor, even when menul link goes to external resource
- FIXED: Fatal error, when only Avada Core plugin is activated
- FIXED: PHP error and notice on PHP 8 in a few cases
- FIXED: JS error in the builder when using Flip Boxes element
- FIDED: Cancel comment link missing a white space in Comments element
- FIXED: Title element overflowing in Post Cards element one column grid layout when using ellipsis
- FIXED: Removed horizontal resize event from Toggles Element to avoid resize events on other elements
- FIXED: Icons on Button element not keeping accent color when buttons are focused
- FIXED: YouTube element iFrame being doubled when used in a Modal element and video facade option is enabled
- FIXED: Update totals button spacing on mobile in WooCommerce Cart Shipping  element
- FIXED: Posts/pages with special chars being displayed encoded in Layout Conditions
- FIXED: Posts with apostrophe in name not being saved in Layout Conditions
- FIXED: Columns jumping in live editor when being absolutely positioned and hovered
- FIXED: Form Step progress height option is not displayed in the backend editor
- FIXED: MailChimp Groups not showing in Avada Forms when using the backend editor


-----------------------------------------------------------------------------------------
Version 7.11 - June 19th, 2023
-----------------------------------------------------------------------------------------


See the promo video here: https://youtu.be/q4Zf12adBfQ

- NEW: Added full-blown multi-step form setup to Avada Forms incl. extensive step indicator styling
- NEW: Added support for ACF repeaters
- NEW: Added support for ACF relationship
- NEW: ACF fields will now be imported when they are used on prebuilt sites
- NEW: Added support for MailChimp Groups and Tags to Avada Forms
- NEW: Added option to the Column element to set column width in px and added flex-grow and flex-shrink options
- NEW: Added icon hover, border radius, box-shadow and equal height options to Content Boxes element
- NEW: Added Avada Forms conditional rendering logic for Container element, Alert element and Text Block element
- NEW: Added option to Off-Canvas to close it if an anchor link inside it gets clicked
- NEW: Added border radius option, a new dismiss style option and a link color inherit option to Alert element
- NEW: Added an option to the Meta element to easily turn off labels
- NEW: Added user logout to special menu items
- NEW: Live Editor history will now be kept, even if the post/page has just been saved
- NEW: Added dynamic data to the Audio element
- NEW: Added an option to Image Before & After element to display image labels individually
- NEW: Added background and icon color options to the toTop button
- NEW: Added an option to the Comments element to display a reCAPCHTA
- NEW: Added WooCommerce Thank You page to the import features of the Setup Wizard
- NEW: Backup of Global Options is now automatically saved to the WP uploads folder on full or partial reset of Global Options
- NEW: Added text stroke option to the Highlight element
- NEW: Added text stroke option to the Title element
- NEW: Added ellipsis overflow option to the Title element
- NEW: Added options to mute videos to YouTube and Vimeo elements
- NEW: Added text underline offset options to the link decoration Global Options
- NEW: Added custom taxonomies and terms to the conditional rendering engine
- NEW: Added option to order Post Cards by custom sorting order and by custom field
- NEW: Added possibility for single column Post Cards element to have the card full stretch in height compared to neighboring content
- NEW: Added a check for PHP mail to the Status page for easier email issue checks
- PERFORMANCE: Changed category and tag select fields for Blog, FAQ and other elements to ajax loading to improve performance on large sites
- IMPROVEMENT: Optimized the prebuilt site importer to do incremental asset import to avoid timeouts
- IMPROVEMENT: OpenStreetMap changes to allow map centering, allowing 0 on the zoom option and added a zoom snap option
- IMPROVEMENT: Slugs can now also be used to exclude certain posts/pages from the maintenance/ coming soon mode
- IMPROVEMENT: Added a cURL check to the System Status page for better issue analysis
- IMPROVEMENT: Optimized the Performance Wizard element scan, to minimize timeouts
- IMPROVEMENT: Anchor scrolling script can now directly use targets instead of DOM elements
- IMPROVEMENT: Mega menu now auto closes when clicking on an anchor link inside of it
- IMPROVEMENT: Code for all reCAPCHTA instances is now shared to optimize performance
- IMPROVEMENT: Made sure that 100% height Off-Canvas instances take into account iPhone notch areas
- IMPROVEMENT: Consolidated options for Woo Cart Table and Woo Order Table
- IMPROVEMENT: Heading count conditional rendering is now also working for posts that don't us Avada elements (helpful for Gutenberg blog posts)
- IMPROVEMENT: Moved the Avada Forms preview background color to the wrapping post-content container for better visibility
- IMPROVEMENT: Updated several option descriptions, dependencies, and dialogs for better usability
- UPDATED: Compatibility with WordPress 6.2.2
- UPDATED: Compatibility with WooCommerce 7.8
- UPDATED: scrollTrigger library is now on version 3.11.5 which fixes conflicts with leaflet.js library of some plugins
- ACCESSIBILITY: Breadcrumbs element and breadcrumbs in Page Title Bar have been optimized for WCAG compliance
- ACCESSIBILITY: Title attribute option is now also used as aria-label in the Button element
- ACCESSIBILITY: Fixed textarea label missing from the Syntax Highlighter element
- COMPATIBILITY: Fixed display issue with YITH WooCommerce Waitlist Premium Cards when using a custom product layout
- COMPATIBILITY: Events Ticket checkout leading to display issues with custom header layouts
- COMPATIBILITY: Fixed fatal error happening using Woo Subscriptions plugin when deleting posts from Avada CPTs
- COMPATIBILITY: Fixed layout builder not working with WP Members plugin
- COMPATIBILITY: Fixed issue with Learnpress where Live Editor was accessible for subscriber role
- FIXED: Mobile flyout menu not working when using legacy side header
- FIXED: Avada Forms email notifications using incorrect charset leading to special chars not being correctly encoded
- FIXED: Arrow color for menus using submenu arrow, when the first item is active with different color
- FIXED: Preview of footer not always correct in Setup Wizard
- FIXED: Avada Forms export not using the submission IDs
- FIXED: Avada Forms options not being correctly imported on prebuilt site import
- FIXED: Avada Forms conditional logic not working for fields that have no label set
- FIXED: Avada Forms entries count being incorrect when changing submission type from database to just email notifications
- FIXED: Missing escapes for form input names and values in Avada Forms
- FIXED: Conditional rendering for comments turned off not working
- FIXED: WooCommerce product attribute taxonomy options not being loaded correctly when slug uses non-ASCII chars
- FIXED: Post names not correctly encoded when used in Layout conditions leading to apostrophes being backslash escaped
- FIXED: Avada updates only showing when at least a second WP theme is installed
- FIXED: PHP notice in Page Options sidebar options and in the block editor styles class
- FIXED: rendering issue when using Post Card element inside of a mega menu in a header layout that uses the Content element itself
- FIXED: Column element background missing on column hover
- FIXED: Column element background color hover option missing
- FIXED: Empty column dimensions auto-check not taking into account different background images for different device widths
- FIXED: Ajax loading of more posts not working in Post Card Archives element when it is saved as a Global Element
- FIXED: YouTube element video not autoplaying, even when set to, if iFrame lazy loading is activated
- FIXED: Icon inactive box color being incorrect in FAQ element
- FIXED: Global default and Woo Product Images element default for out-of-stock note not being the same
- FIXED: Text on buttons in Instagram element not always being centered on mobile when there isn't enough space
- FIXED: Element animations being double executed in some cases when the JS compiler is turned on
- FIXED: Anchor linking not working for Tabs element
- FIXED: Role manager not working correctly when display name and role slug are different
- FIXED: Duplicated class attributes in Image element when image scroll or magnify options are used
- FIXED: Sticky and responsive visibility options in Image element leading to white space, when image gets hidden
- FIXED: Duplicated fill attributes in Section Separator element for some styles
- FIXED: Off-Canvas position option for the sliding bar layout not working
- FIXED: Issue width RankMath and Yoast SEO content analysis tools
- FIXED: Hover options UI being incorrectly displayed in backend editor when using legacy containers
- FIXED: Custom side header appearing full width when media query files get loaded asynchronously
- FIXED: Some PHP notices in backend meta boxes
- FIXED: Global border radius option for Person element incorrectly converting % to px
- FIXED: Some styling image links in the CSS of OpenStreetMaps being incorrect
- FIXED: OpenStreetMap icon size not correctly saved in backend editor
- FIXED: Table ordering options not working for the backend Avada Forms table
- FIXED: Some Section Separator styles not working in Live Editor if changing to them starting from Hills style
- FIXED: Column element top border size missing in Live Editor
- FIXED: Post Cards element not rendering correctly in Live Editor before an option is changed
- FIXED: Images inside of Post Cards element inside a mega menu not displaying in Live Editor
- FIXED: Sidebar toolbar order of Live Editor being incorrect in Live Editor
- FIXED: Column element background color being in front of background image in Live Editor when using a column link
- FIXED: Integer as content e.g., through dynamic data causing a JS error in the Live Editor
- FIXED: Container and Column saving to library not working when editing a mega menu in Live Editor
- FIXED: Icon hover color in preview mode being incorrect in the Button element in Live Editor
- FIXED: Mobile menu item minimum height option not working in Menu element in Live Editor
- FIXED: Mobile nav size option of Menu element not being correctly applied on re-render in live Editor
- FIXED: Some UI controls in Live Editor incorrectly getting the Global Options link style applied
- FIXED: Nested Column spacing being incorrect when used within a Post Card when re-rendering the content in Live Editor
- FIXED: Responsive margin options not updating correctly in Container element in Live Editor
- FIXED: Builder preference option for Column transforms preview not working in Live Editor


-----------------------------------------------------------------------------------------
Version 7.10.1 - April 04th, 2023
-----------------------------------------------------------------------------------------


- NEW: Added background color and border color hover options to Column element
- NEW: Made dynamic data available for the video preview image option in Video element
- IMPROVEMENT: Limited global color custom HSLA changes to color variables to avoid undefined colors
- COMPATIBILITY: Fixed issue leading to fatal error when CoBlocks plugin was installed (Issue was in plugin fixed in their version 3.0.2)
- FIXED: Fatal error happening on update, when Avada Builder is updated before Avada Core was
- FIXED: WC_Order object not always being defined, which causes fatal error on some installs
- FIXED: Usage of Post Cards element in a custom Mega Menu leading to display issues
- FIXED: Fade out motion effect not working in Column element
- FIXED: Lift-up hover and bottom shadow style selection not working in Image element
- FIXED: Hover/active border size option not working in the Menu element
- FIXED: Margin option in OpenStreetMap element not working
- FIXED: Legacy WooCommerce cart page reloading every second update cart button click
- FIXED: Numbers being in incorrect order in Countdown element on RTL sites
- FIXED: Privacy placeholders for embeds not having correct dimensions when video facade option is used
- FIXED: Custom height option in Off-Canvas working for medium and small devices only when set for large
- FIXED: PHP notice on Layouts admin page, when layout order is not already defined
- FIXED: Hover state changes frozen on option change in Live Editor in some cases
- FIXED: Editing a post in Live Editor not applying the corresponding layout correctly
- FIXED: A few styling issues of the Live Editor in RTL mode
- FIXED: Corrected some styling issues of color picker options in Live Editor when using dark mode


-----------------------------------------------------------------------------------------
Version 7.10 - March 28th, 2023
-----------------------------------------------------------------------------------------


See the promo video here: https://youtu.be/rfMZw2khYFI

- NEW: Added complex motion effect options (scroll, mouse move, and infinite animation) to Columns
- NEW: Added support to create a custom WooCommerce Thank You page by adding 5 new order-related Woo elements
- NEW: Added an Open Street Map element with tons of options
- NEW: Added scroll and magnify hover effects to the Image element
- NEW: Added responsive background image options to Container and Column elements
- NEW: Added a background size option to the background image tab in Container and Column elements
- NEW: Added a new hover/active state UI to the Live Editor to easier set hover/active colors etc
- NEW: Mega menus are now supported in Menu elements in vertical mode
- NEW: Added several live search-related options to the Search element
- NEW: Added option to disable specific days in the Avada Form Date element
- NEW: Avada color palette added to the WP block editor
- NEW: Added option to dynamic data term count to include child terms
- NEW: Added option to dynamic data term count do hide zero count
- NEW: Added filter to allow CPTs to be chosen for limiting search results to in the Search element
- NEW: Added a filter to control the content returned by the post content excerpt function
- IMPROVEMENT: Private posts/pages can now be assigned to a Layout
- IMPROVEMENT: Made array variables work in conditional rendering
- IMPROVEMENT: Added the downloads table to the default WooCommerce Thank You page
- IMPROVEMENT: Removed JavaScript Function() constructor from the iLightBox library script
- IMPROVEMENT: Made position and styling of Avada's admin notices more consistent
- UPDATED: Compatibility with WordPress 6.2
- UPDATED: Compatibility with WooCommerce 7.5+
- UPDATED: Avada is now PHP 8.2 compatible
- ACCESSIBILITY: Corrected the ARIA labelledby attribute of the Toggle element
- COMPATIBILITY: Fixed WooCommerce Filters plugin not updating correctly when using a custom shop page layout
- COMPATIBILITY: Fixed WPML not copying correct term for layout sections when creating copy for secondary language
- COMPATIBILITY: Fixed bbPress pages being broken when using custom Mega Menus in Header layouts
- COMPATIBILITY: Plugin labels using special chars break Layout conditions tab functionality for that plugin
- FIXED: "Read more" Global Option always adding a whitespace prefix
- FIXED: Maintenance mode exclude list not working correctly
- FIXED: Default maintenance mode template being incorrectly displayed in Safari < 16
- FIXED: Container overflow setting not working correctly in Safari < 16
- FIXED: Maintenance mode template contents stripping out paragraphs
- FIXED: Second sidebar displaying below content instead of next to it
- FIXED: Custom icons of Avada Form fields not being imported when importing from Avada Studio
- FIXED: Google Maps API error caused by missing callback attribute
- FIXED: Incorrect column top margin within Post Cards element
- FIXED: Avada swatch styles for WooCommerce variations being displayed even for disabled variations on some installs
- FIXED: Continue button not being displayed on the legacy WooCommerce checkout page
- FIXED: Product quantity area displaying a small borderline on products that are set to sell individually
- FIXED: Select arrow positioning for state select being wrong on legacy WooCommerce cart page
- FIXED: Quantity +/- selectors being removed after cart update on legacy WooCommerce cart page
- FIXED: WooCommerce Cart Table element missing the woocommerce_before_calculate_totals filter
- FIXED: Image element caption heading not inheriting all default font attributes from heading tag
- FIXED: Lottie element animations not fully finishing
- FIXED: Custom icons used in Table Of Contents element not taking up the set counter color
- FIXED: Inconsistencies in the Events Calendar headings typography
- FIXED: Menu element dropdown caret being visible even if mega menu is hidden on mobile (without replacement)
- FIXED: Submenu element in custom mega menu running into an animation loop when using stacked mode
- FIXED: Tabs element not working correctly when used in a custom mega menu
- FIXED: Container element 100% height scrolling not working correctly on latest iOS version
- FIXED: Next/prev navigation on single Events Calendar posts when no previous but a next event is available
- FIXED: Small and medium breakpoints not working correctly for Post Cards and Gallery elements
- FIXED: Legacy mobile flyout menu always displayed
- FIXED: Z-index issue when using a parallax footer together with a custom header, which can lead to menu dropdowns being hidden
- FIXED: Logo images from Global Options in Image element only skip lazy loading for the first applied image
- FIXED: Off Canvas special menu item close toggle icon being applied when using button style on menu item
- FIXED: reCAPCHTA being able to be bypassed in Avada Forms if it is removed with browser dev tools
- FIXED: Inline reCAPCHTA in User Login element missing a closing div, leading to display issues
- FIXED: Vertically centering images in the Image element carousel mode not working
- FIXED: Sticky container display calculation being incorrect if container isn't fully in viewport
- FIXED: Nested Column element not remaining global when saved as such
- FIXED: Post Card Archives element not rendering the "no posts" note on search page in case a prior loop is run
- FIXED: Special menu item not being hidden when correctly used on level one
- FIXED: Active item color not being applied to icons in Menu element if a child item is the active one
- FIXED: nav_menu_css_class filter in Avada's nav walkers missing the fourth argument leading to errors for plugins using the filter
- FIXED: Vertical menu widget incorrectly escaping HTML output
- FIXED: Custom SVGs in Section Separator element not working on some hosts because of missing user agent headings
- FIXED: PHP notice in Person element if no image is set
- FIXED: Box size being incorrect in FAQ element when using a custom icon size
- FIXED: PHP notice related to Google fonts happening on some installs because of missing datatype check
- FIXED: PHP notice in WooCommerce Filters element
- FIXED: PHP notice in Content element when using the dropcap option when there are no paragraphs
- FIXED: Wrong color slug being stored through the Avada 7.6 upgrade class when using custom global colors
- FIXED: Fatal error on Avada 4.0 migration screen
- FIXED: Lottie map file being recorded as 404 on server logs
- FIXED: Post lock popup not being displayed in Live Editor when not in dev mode
- FIXED: Bottom margin and padding handles overlapping on newly added Containers in Live Editor
- FIXED: JS error in Live Editor in Gallery element happening only in Firefox
- FIXED: Border color not live updating in Pagination element in Live Editor


-----------------------------------------------------------------------------------------
Version 7.9.2 - January 17th, 2023
-----------------------------------------------------------------------------------------


- NEW: Added post lock functionality and info box to Live Editor if someone else is already editing a certain post
- NEW: Added functionality to automatically invalidate critical CSS on major updates, to avoid CSS conflicts
- NEW: Added an option to enable cloning of Avada's standard post types
- NEW: Added option to conditional rendering based on available HTML heading tags within post content
- NEW: Added more animation trigger options to Lottie element, including scroll and cursor move
- NEW: Added an option to close sub-menus when clicking outside, to Menu element when using click mode
- NEW: Added wavy separator styling and options to Separator element
- NEW: Added a full typography settings option to the Tagline Box element title
- NEW: Added dropcap options to the Content element
- NEW: Added responsive column control to Gallery element
- NEW: Added option to set a min and max date for the Date Field element of Avada Forms
- NEW: Added a user role option for Avada Form submissions
- IMPROVEMENT: Added submission ID, date, and time to the Avada Forms export
- IMPROVEMENT: Show password icon is now displayed on the WooCommer My Account login page
- IMPROVEMENT: If form background is transparent, the select field option background will be auto set, depending on label color
- COMPATIBILITY: Updated structure of how checkbox values in Avada Forms are sent to HubSpot
- COMPATIBILITY: Fixed layout builder not working with FlexMLS IDX plugin
- FIXED: Tagline Box element heading not correctly using the h2 Global Option size
- FIXED: Hide scrollbar option in Off Canvas settings not working
- FIXED: Scrollbar handle color option not working correctly for Off Canvas
- FIXED: Sliding bar responsive width option not working for Off Canvas
- FIXED: Sliding bar pus transition not working for RTL languages
- FIXED: Thumbnails in Mega Menus not being displayed correctly
- FIXED: Mega Menu position sometimes being incorrect in Firefox
- FIXED: Continue button missing in the WooCommerce Checkout Tabs element
- FIXED: Duplicate filter in WooCommerce Cart Coupon element
- FIXED: Review tab using link color instead of body font color in WooCommerce Tabs element
- FIXED: Responsive columns option not working correctly for Post Cards element
- FIXED: Bottom shadow of Image element being displayed incorrectly when image width is smaller than the container
- FIXED: Recent Posts widget border missing on front-end
- FIXED: Text transform not working for the backside heading of Flip Boxes element
- FIXED: Styling of Navigation Menu widget indentation
- FIXED: Basic HTML tags and their contents being stripped out from Table Of Contents element headings
- FIXED: Numeric counter type in Table Of Contents element not working in Safari
- FIXED: Lightbox not working correctly when using Image Carousel after images have been looped
- FIXED: Auto height not working in Image Carousel element
- FIXED: Caption typography not working in Image element
- FIXED: Top and bottom margin Global Options defaults not being used in the Column element
- FIXED: Text decoration not being excluded from menus on legacy headers if set in Global Options
- FIXED: Avada Slider title/caption having incorrect default color
- FIXED: Alignment of popover in Image Hotspot element
- FIXED: Blog Sidebar name translation issue causing reset on back-end editor
- FIXED: Disabling Avada Builder for the editor role causing column issue with meta boxes on back-end edit screens
- FIXED: Yoast SEO content analysis incorrectly prepending Avada form notices to the back-end edit screens on pages that use forms
- FIXED: Icon position being incorrect for Date, Select, Time, and Textarea elements in Live Editor
- FIXED: Container element margin/padding drag handles also affecting nested Container elements in Live Editor
- FIXED: Responsive grid columns CSS not working in Live Editor
- FIXED: Gallery element not being responsive in Live Editor when checking medium or small preview
- FIXED: CSS filter options to live updating for Column element in Live Editor
- FIXED: JS error in Post Card Archives and Woo Archives elements that prevents changing the layout


-----------------------------------------------------------------------------------------
Version 7.9.1 - December 20th, 2022
-----------------------------------------------------------------------------------------


- SECURITY: Fixed a remote code execution issue in class-fusion-dynamic-datacallbacks.php, which can only be done through an authenticated user having access to nonces.
- NEW: Added column alignment option to the Image Carousel element
- IMPROVEMENT: Description option of Consent element in Avada Forms now supporting HTML
- IMPROVEMENT: ToC element now auto scrolls to the correct heading ID if one is used in the URL
- UPDATED: Compatibility with WooCommerce 7.2.1
- ACCESSIBILITY: Fixed a missing form label and the text on the legacy WooCommerce Cart page
- FIXED: Font size adjustments for h2 headings not being correctly applied for several elements
- FIXED: Title element not respecting global style type option leading to unneeded markup being added to the DOM
- FIXED: Color of h2 and h3 headings in Avada Slider being incorrectly white not respecting the set color
- FIXED: WordPress block styles creating borders around Avada Forms (no more need to turn block styles off)
- FIXED: Yoast SEO content analysis incorrectly prepending Avada form notices to the back-end edit screens
- FIXED: Width option of Off-Canvas settings showing several times responsive options shown when not active)
- FIXED: Carousel auto-play causing display issue when fewer elements are available than are set in the number of elements option
- FIXED: Global border width option of Flip Box element not working
- FIXED: Column spacing and margins not always correct when using legacy Container element
- FIXED: Legacy color preset of Button element not working correctly
- FIXED: Post Card Cart element always adding default product to cart even if not all needed attributes have been chosen in product Post Cards
- FIXED: Color reveal animation color being incorrect in the Column element
- FIXED: Avada Forms Radio fields not being selectable correctly
- FIXED: Font size of linked headings being incorrect in Circle Info element when using em as unit
- FIXED: Menu description text not being displayed in the sub-menu items
- FIXED: Mega menu alignment being incorrect when Menu is displayed only in sticky header
- FIXED: Carousels not respecting the maximum columns option if its value is 1
- FIXED: Single blog posts and event tickets boxes not correctly displaying when using The Events Calendar
- FIXED: PHP warning on the WooCommerce shop page when using Post Cards element The Events Calendar being active
- FIXED: Custom icon set icons used in Global Options social icons not working on Social Links and Person element
- FIXED: Image max width option not working in Flip Boxes element
- FIXED: WooCommerce original price strikethrough not being correctly positioned on product rollovers
- FIXED: Anchor links not always closing the Menu element correctly
- FIXED: PHP notice in Lottie element and in Avada Slider
- FIXED: Double slashes in a few asset file paths
- FIXED: Drag & drop ordering changes of Columns not working for mobile mode of the Live Editor
- FIXED: Counter Boxes not displaying correctly in Live Editor when more than 5 columns are used


-----------------------------------------------------------------------------------------
Version 7.9 - December 14th, 2022
-----------------------------------------------------------------------------------------


Avada 7.9 introduces the new Mega Menu builder, maintenance & coming soon mode, a role manager for Avada features,
5 new elements, including Table Of Contents, and a ton of new design and layout features, like link text decoration,
button text hover effects, Layout Cards re-order or new full-screen scrolling section animation. 
And there is so much more. See it all below.

See the promo video here: https://youtu.be/voUH7paWJg8

- NEW: Added a full Mega Menu builder, using the builder UI and saving to the Library for easy re-use
- NEW: Added maintenance and coming soon mode incl. settings
- NEW: Added a user role manager to easily manage which user roles have access to the different areas of Avada
- NEW: Added Table Of Contents element with various design options to easily auto-render all headings on a post/page
- NEW: Added options to display text decorations (like underline) to text links across the site
- NEW: Added the possibility to re-order Avada Layout cards
- NEW: Added several advanced transition animation options to full-screen scrolling sections
- NEW: Added a Submenu element with full set of design options for easy usage in the new Mega Menu builder
- NEW: Added Circle Info element allowing stylish and interactive presentation of short blocks of content
- NEW: Added Stripe Button element for easily selling products through Stripe
- NEW: Added text hover effects to Button element
- NEW: Added advanced transform options, both regular and hover to Column and Nested Columns element
- NEW: Added a new color swipe animation type to all element Animations
- NEW: Added a delay option to all element animations
- NEW: Added mouse scroll design options to Post Cards element
- NEW: Added extensive options for easy styling of navigation in Post Cards element
- NEW: Added image sorting option to the Image Carousel element
- NEW: Added an option to disable the post name on breadcrumbs
- NEW: Added a form label font size option to Avada Forms
- NEW: Added a Live Editor preview background color option for Avada Forms
- NEW: Added Consent Field element to Avada Forms to easily get explicit or implicit user consent
- NEW: Added support for HubSpot's advanced GDPR tools to Avada Forms
- NEW: Added support for passing data to Mailchimp depending on the new Consent Field element in Avada Forms
- NEW: Added option to Avada Forms Password element to show a password reveal icon
- NEW: Added new "must match" options to Avada Forms Email and Password elements to enable classic sign-up forms
- NEW: Added a starting value option to Avada Forms Text and Email elements
- NEW: Added options for ordered lists to the Checklist element
- NEW: Added more icon-related child options to the Checklist element
- NEW: Added border radius option and responsive padding options to Tabs element
- NEW: Added global padding option to the Sharing Box element
- NEW: Added padding options to Toggle and FAQ elements
- NEW: Added options to style the Load More button in Post Card Archives element
- NEW: Added options to have stacked sub-menu mode and additional preferences to Menu element when used in vertical mode
- NEW: Added option to the Menu element, that allows choosing between Toggle and Accordion mode when opening sub-menus on mobile
- NEW: Added link color and target, height, typography, and border-radius settings to the Newsticker element
- NEW: Added margin options to the individual boxes of the Content Boxes element
- NEW: Added z-index option to Off-Canvas
- NEW: Added an option to display "All Events" link on single Events Calendar posts
- NEW: Added Snapchat to social links
- NEW: Added user avatar to dynamic data options
- NEW: Added support for ACF select field (multi) in dynamic data options
- NEW: Added comment status and comment count to the conditional rendering engine
- NEW: Added a filter for easy extension of conditional rendering
- NEW: Added a filter for easy extension of Avada Forms actions
- NEW: Added a filter for file upload handling in Avada Forms
- NEW: Added a filter to prevent dynamic CSS generation
- PERFORMANCE: On new installs, nothing related to WP legacy widgets will be loaded anymore
- PERFORMANCE: Refactored 60+ elements to avoid style blocks in markup and improve loading
- PERFORMANCE: Added an option to WooCommerce Product Images element to skip lazy loading
- PERFORMANCE: The fusion_builder_map() function is now being skipped on the front end for all elements
- PERFORMANCE: Simplified and reduced the CSS output for the Container element link color options
- PERFORMANCE: Custom icon fonts now using the Font Face Rendering option
- PERFORMANCE: Removed several WP block-related scripts from front-end, when block styles are turned off
- PERFORMANCE: Removed WooCommerce blocks styles from front-end, when block styles are turned off
- SEO: Added content analysis integration for Yoast SEO and Rank Maths to the back-end posts/pages
- SEO: Added paragraph (p) HTML tag to title tag selection options
- IMPROVEMENT: Removed HTML markup for boxed mode and sliding bar when they are turned off
- IMPROVEMENT: Made sure that form fields are no longer cleared out when a submission error occurs
- IMPROVEMENT: Post Card Image placeholders will now respect the aspect ratio setting
- IMPROVEMENT: Image and Gallery elements are now being taken into account for reading time when using the Meta element
- IMPROVEMENT: Increased the number of images maximum in the Flickr element to 500
- IMPROVEMENT: Added better handling for add form errors in HubSpot when using Avada Forms
- IMPROVEMENT: Added consistent icons to the Portfolio and FAQ post-type menus in the WP dashboard
- IMPROVEMENT: Placeholders in Post Card Image element now also follow the set aspect ratio
- IMPROVEMENT: Made sure range slider options update directly on change and not on key-up events
- IMPROVEMENT: Removed element maximum limits 
- IMPROVEMENT: Better wrapping of long names of containers and templates in the library section of the editor
- IMPROVEMENT: Generated critical CSS will no longer be loaded in the Live Editor
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Compatibility with WooCommerce 7.1+
- UPDATED: Compatibility with The Events Calendar 6.0+
- UPDATED: HubSpot form submission handling for better compatibility
- UPDATED: Replaced the old carousel JS library with a new, lightweight, and modern library
- ACCESSIBILITY: Fixed aria-label and role of the filter items
- COMPATIBILITY: Fixed WooCommerce One Page Checkout plugin not updating values when adjusting quantity through Buttons
- COMPATIBILITY: Fixed global footer layout not working when using Woocommerce Frontend Manager
- COMPATIBILITY: Fixed WooCommerce Gift Cards plugin not working with product layouts
- COMPATIBILITY: Fixed search for multiple post types being redirected to the Events Calendar results page when events is one of the CPT
- FIXED: Twitter element not working
- FIXED: Usage of deprecated, fixed WooCommerce image size
- FIXED: WooCommerce product gallery images not displaying correctly on RTL sites in WebKit browsers
- FIXED: WooCommerce stripe button not available on checkout pages when using layouts
- FIXED: WooCommerce SKU not being correctly updated on variable products when SKU is used more than once
- FIXED: Styling and quantity update issue on Events Calendar ticket pages
- FIXED: Styling issue with the new Events Calendar event series
- FIXED: Styling issue with the new Events Calendar community events
- FIXED: Search results for Events Calendar events not being displayed on main events page
- FIXED: Custom icon sets not working in the Vertical Menu widget
- FIXED: Animations not working correctly in a few elements
- FIXED: Link expiration issue when using WP login forms in some cases
- FIXED: Side header anchor scroll not highlighting correct menu item when using a side-header layout
- FIXED: Date format not being picked from "General" settings when option is left empty in Related Posts element
- FIXED: Undefined variable notice in Content Boxes element and Avada Forms
- FIXED: Line breaks not working in Avada Forms Textarea Field if name is not the auto "textarea"
- FIXED: Avada Forms Select element arrow not respecting border sizes
- FIXED: JS error occurring on Avada Forms submission when using Hidden Field element with empty value
- FIXED: Avada Forms backend entries only display a single value for checkbox field even when multiple values were submitted
- FIXED: Placeholder values being displayed in custom email replies if no values are set in Avada Forms
- FIXED: Layout Builder override is incorrectly being used when having a post with layout as first post on dedicated blog page
- FIXED: FAQ element title color option not working
- FIXED: Color variables not always being correct when using critical CSS
- FIXED: Rotating icon option not working correctly when icon circle is off in Icon element
- FIXED: Carousel navigation box color not working in Image Carousel element
- FIXED: Cloned layout sections having incorrect edit URLs
- FIXED: Duplicate margin options in the Widget element
- FIXED: Fatal error on legacy search page when Checklist element is deactivated
- FIXED: First item in Checklist element having no top padding, even if a background color is used
- FIXED: Masonry layout incorrectly positioning postcards in Post Card Archives when using AJAX loading
- FIXED: Reading time being incorrect in some instances in the Meta element
- FIXED: Fatal error on post edit screens when Avada is disabled but builder plugin is active
- FIXED: Liftup animation in Image element not working correctly when using max-width and image aspect ratio settings
- FIXED: Video facade option not working correctly when using videos in portrait mode
- FIXED: Lightbox on mobile not auto-opening on load when using deep links
- FIXED: SVG image upload not working correctly in the Setup Wizard
- FIXED: JS error in User Login element when using v2 reCaptcha
- FIXED: Sprintf error with % symbol in off canvas title
- FIXED: Counter Circles not fully centered because of separating margins
- FIXED: Product number option not updating correctly in WooCommerce Sorting element
- FIXED: Product postcards changing incorrectly in Live Editor, when changing option after refresh
- FIXED: Focus trap missing from icon picker options, which leads to Live Editor content being pushed up a few pixels in some cases
- FIXED: A few styling issues in dark mode of the Live Editor
- FIXED: Extra space displaying and load more button missing in Gallery element in Live Editor when more images are loaded than are displaying
- FIXED: Off-canvas z-index being incorrect in Live Editor when using parallax footer
- FIXED: Hover effect of Content Boxes element not being correct in Live Editor in some cases
- FIXED: Margin picker handles being hidden when editing a Column in Live Editor that uses border-radius
- FIXED: Separator not being correctly hidden in Post Cards element in Live Editor if number of columns is set to 0
- FIXED: Inline column width options missing from Nested Columns element
- FIXED: Upload element icon alignment in Live Editor of Avada Forms
- FIXED: Global option changes that trigger a default update including AJAX callback not re-rendering elements in Live Editor
- FIXED: Nested Columns not being editable when being inside a sticky Container in Live Editor
- FIXED: Settings panel of child elements added through the add image button in Gallery element not working
- FIXED: Post type for being wrong for Post Cards and Mega Menus in Live Editor
- FIXED: Repeater row for custom fonts section requiring two clicks to remove an item in the Live Editor
- FIXED: Preview frame of Live Editor shifting up when changing last element option of a tab using TAB key
- FIXED: Notification tab being empty in Live Editor for newly created forms


-----------------------------------------------------------------------------------------
Version 7.8.2 - September 21st, 2022
-----------------------------------------------------------------------------------------


- SECURITY: Fixed CSRF (cross site request forgery) vulnerability in Avada's class-avada-admin.php


-----------------------------------------------------------------------------------------
Version 7.8.1 - July 26th, 2022
-----------------------------------------------------------------------------------------


- NEW: Added possibility to Post Card Cart element to display WooCommerce product variations as part of product post cards
- IMPROVEMENT: Drafted Containers will now be hidden from preview mode in the live editor
- COMPATIBILITY: Fixed WooCommerce Catalog Enquiry plugin compatibility issue where product exclusion does not work with layouts
- FIXED: WooCommerce cart and checkout page not being editable in live editor when cart is empty
- FIXED: Default Page Template option not being respected in live editor if being set to 100% width
- FIXED: Page parent value not being shown correctly in live editor
- FIXED: Margin options in YouTube and Vimeo elements leading to videos disappearing
- FIXED: Sticky columns offset applying even if column is not in sticky mode
- FIXED: Sticky columns not being sticky when first being added to the live editor
- FIXED: Number of columns option in Instagram element not working in responsive versions
- FIXED: Woo Active Filters element title typography options not working
- FIXED: Slashes being stripped from page-level custom CSS when using live editor
- FIXED: Syntax highlighting for custom CSS field in live editor being hard to read when using dark mode
- FIXED: Column element transform options not being editable in back-end editor
- FIXED: Tabs with icon on top position being displayed incorrectly
- FIXED: Pasting content to Tabs element in live editor leading to content being duplicated
- FIXED: Tab content of Tabs element in mobile mode being displayed above tabs in live editor
- FIXED: Several tabs in desktop mode displaying at once when changing from mobile mode if mobile mode is set to toggle
- FIXED: Number of items global option for Gallery element, having incorrect default value
- FIXED: Sorting option of Gallery element not always working correctly
- FIXED: Not all design options working correctly for attribute select field in WooCommerce Filter By Attribute element
- FIXED: Frequent disconnection of Mailchimp authentication in Avada Form Builder
- FIXED: Parent element content shown in back-end builder, although not being needed
- FIXED: WooCommrece Featured Product Slider element changing post order in elements using a query that come below it
- FIXED: Sub-menus in Vertical Menu widget being auto open on load and missing styles when displayed in Off-Canvas
- FIXED: Minor display issue in live editor in Container mask options, if hovering last two settings
- FIXED: Container background color option not live updating in live editor when used as overlay color


-----------------------------------------------------------------------------------------
Version 7.8 - July 12th, 2022
-----------------------------------------------------------------------------------------


Avada 7.8 introduces a ton of new features throughout all areas of Avada. New UI features like dark mode or navigator 
for the live editor, new elements like Instagram and Woo Mini Cart, and also awesome new design additions like
sticky Columns, Container background masks & patterns, and filters and masonry layout for Post Cards. And there
is so much more. See it all below.

See the promo video here: https://youtu.be/nt_ifA0dblg

- NEW: Added dark mode to the full UI of Avada Live Builder
- NEW: Added a page structure Navigator to Avada Live Builder for easy navigation through all content
- NEW: Typography sets using global sets will now display the set name on hover in Avada Live Builder
- NEW: Added a preference to have option sub-groups collapsible for easier option management in Avada Live Builder
- NEW: Added an option to set your preferred builder interface (back-end/front-end) for auto-loading
- NEW: Added Instagram element
- NEW: Added WooCommerce Mini Cart element
- NEW: Added WooCommerce Filters element
- NEW: Added background mask and pattern options to the Container element
- NEW: Added sticky columns setup including responsive choices and offset
- NEW: Added transform options to Column element for awesome default and hover effects
- NEW: Added new mobile mode and sticky options to Tabs element and lots of new styling options
- NEW: Added support for Adobe Fonts (Typekit)
- NEW: Added support for filters in Post Cards element including lots of styling options
- NEW: Added masonry layout and isotope support to Post Cards and Post Card Archives element
- NEW: Added load more functionality and load more button styling options to the Gallery element
- NEW: Added sorting options to the Gallery element
- NEW: Added margin options to all suitable elements that did not have them already
- NEW: Added form input validation pattern options to Text, Email, Phone, and Password elements
- NEW: Added options to set a custom invalid form field input notice to Avada Form elements
- NEW: Added z-index options to Column and Image elements
- NEW: Added option to choose if 100% width template should be the default page template
- NEW: Added option to choose the user type for which post views should be counted
- NEW: Improved the close options tab for Off-Canvas and added an option to automatically close after a set time
- NEW: Added alignment, margin, and dynamic data options to Before & After Image element
- NEW: Added dynamic data options to the Image Hotspot element
- PERFORMANCE: Added an option to automatically clear WP's object cache on post save and delete
- PERFORMANCE: Added an option to automatically remove empty element parameters from the post content output
- PERFORMANCE: Portfolio- and FAQ-specific CSS will now be skipped when the CPTs are disabled even if CSS compiler is off
- PERFORMANCE: Removed code specific to older versions of Edge browser from Container and Column elements
- SEO: Added new heading tag selection options to Tab, Toggles, and FAQ elements
- SEO: Added new heading tag selection any typography options to Flip Boxes, Social Sharing, Blog, and Recent Posts elements
- SEO: Added structured data options to YouTube and Vimeo elements
- SEO: Added div to the tag selection of Avada Slider Heading and Caption options
- IMPROVEMENT: Required plugin auto-update note will now be automatically triggered after Avada update
- IMPROVEMENT: Fixed flickering of Avada Live Builder UI when using CSS filter options
- IMPROVEMENT: Slider visibility Page Option now also working correctly on setups using page cache
- IMPROVEMENT: New styling for pagination of Avada's admin page screens
- IMPROVEMENT: Added Avada Forms data to the JS submit event for easier data handling
- IMPROVEMENT: Added prevention of loading loop when global elements reference themselves in element content
- IMPROVEMENT: Changed Button element and Tab element tabs to use inline-flex to vertically center icons and text
- IMPROVEMENT: Added Post Card edit button to Post Card Archives element
- IMPROVEMENT: Minimum spacing of 0 is now possible in Post Cards element
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Compatibility with WordPress 6.0
- UPDATED: Compatibility with The Events Calendar 6.0 Beta 3
- UPDATED: modernizr JS script to version 3.12
- ACCESSIBILITY: Added aria-labelledby attributes to Toggle and FAQ content wrappers
- ACCESSIBILITY: Fixed aria-expanded attribute being incorrect in Faq element
- ACCESSIBILITY: Fixed the landmark for legacy page title bars
- ACCESSIBILITY: Fixed the landmark for the to top button
- ACCESSIBILITY: Changed role attribute on Star Rating element
- ACCESSIBILITY: Changed custom header and footer wrappers to use generic divs, to allow Container element tag selection to create a landmark
- COMPATIBILITY: Fixed WooCommerce Filter Addons plugin filters being reset when products get sorted
- COMPATIBILITY: Fixed YITH WooCommerce Gift Cards plugin not working with layout builder
- COMPATIBILITY: Fixed Custom Template for LearnDash plugin not working with layout builder
- COMPATIBILITY: Fixed latest version of WooCommerce Paypal plugin causing a fatal error when using the layout builder
- COMPATIBILITY: Fixed PolyLang not copying correct term for layout sections when creating copy for secondary language 
- FIXED: JS compiler creating cached JS for each page instead of only pages with different JS components
- FIXED: Container width being wrong interior width is set to site width in a post using a content layout section with container interior width set to 100% width
- FIXED: Custom icons not being applied in Toggles and FAQ elements
- FIXED: iFrame lazy loading option causing video responsiveness to break
- FIXED: iFrame lazy loading breaking Google Maps iFrames
- FIXED: Product in cart icon incorrectly positioned if rollover is disabled
- FIXED: Site width incorrectly changing when using boxed mode and header is disabled
- FIXED: ACF fields added to author profiles not being correctly pulled when using dynamic data in layout sections for author archives
- FIXED: Countdown element being hidden when set to be removed after expiration if countdown is manually set but still active
- FIXED: Image element captions not being hidden when element visibility is removed when using above/below settings
- FIXED: Shortcode generator button missing from TinyMCE in text mode in WordPress 6.0
- FIXED: Button styling issue in Performance Wizard
- FIXED: Font-family change not being correctly saved when running the Performance Wizard
- FIXED: WooCommerce Featured Products Slider and WooCommerce Product Carousel not showing sale and out-of-stock badges correctly
- FIXED: Author name being displayed instead of post title in Post Cards element on author archive page
- FIXED: Section Separator default CSS overriding element CSS when using critical CSS
- FIXED: Old image placeholder markup causing width overflow in some cases
- FIXED: Lightbox not working for posts loaded through infinite scroll in Post Cards element
- FIXED: Lightbox in Image Carousel not working when using dynamic data set to Woo Gallery
- FIXED: Tooltip element having lower z-index than its animated Container parent, hiding the tooltip
- FIXED: Scroll section not always working when a direct link to a specific section is used
- FIXED: Videos not stopping when Modal element is closed if video facade option is used
- FIXED: Default columns not using default column spacing option when editing library containers
- FIXED: Vertical Menu widget not opening sub-menu when current page is part of it, when using custom menu mode
- FIXED: Self-hosted videos not stopping when Off-Canvas is closed
- FIXED: Combine third party CSS files option, when enabled, breaking The Events Calendar Pro V2 views
- FIXED: Font size CSS for headings missing from Off-Canvas
- FIXED: Line breaks in Textblock elements being removed in Off-Canvas
- FIXED: Scroll option still being applied in Off-Canvas, even if overlay is turned off
- FIXED: End date of The Events Calendar events not being considered for multi-day events when only showing upcoming events in Post Cards element
- FIXED: WooCommerce Archive Number of Product Columns option not correctly working in RTL languages
- FIXED: Border-radius of 0px not working in Icon element
- FIXED: Default database submission action in Avada Forms not working, unless explicitly set
- FIXED: Avada Forms saving of POST form submission method not working correctly
- FIXED: Avada Forms POST to URL (non-ajax) not being available
- FIXED: Avada Forms not allowing for empty submission action
- FIXED: Single field placeholders not encoding HTML entities in Avada Forms email notifications
- FIXED: Checklist values not always being correctly displayed in Avada Forms email notifications
- FIXED: Zero as value not working in Avada Forms
- FIXED: Private forms not being shown in the Avada Forms list
- FIXED: Avada Forms upload fields not being sent as links in notification emails
- FIXED: Avada Forms upload field links being displayed as raw HTML in the back-end
- FIXED: Custom Global Typography sets not being applied correctly when set on element base
- FIXED: Set scroller not working correctly in Page Option icon picker option
- FIXED: Tags post meta not being rendered for WooCommerce products in Archive element
- FIXED: Images being double lazy-loaded in the Image element
- FIXED: Point size option being set to 0 not working in the Chart element
- FIXED: WooCommerce Quickview not working correctly, when enabled in Post Card Cart alement but disabled in Global Options
- FIXED: Image element caption Dario not smoothly resizing on browser resize
- FIXED: PHP notice in helpers.php
- FIXED: PHP notice in Button element, when using deprecated shape param
- FIXED: PHP notice in Post Card element when using invalid post type
- FIXED: Fatal error happening in a few cases when connecting to HubSpot
- FIXED: Avada Builder buttons being available on edit screens where the content editor is turned off
- FIXED: Sidebars are not correctly shown when using preview mode in Avada Live Builder and editing a content layout section
- FIXED: Avada Forms Mailchimp script causing a JS error in Avada Live Builder in some cases
- FIXED: Filtering of Page Options not working correctly in Avada Live Builder
- FIXED: Removing a nested column not being recorded as history step in Avada Live Builder
- FIXED: Clear Layout button not working correctly when inserting element and container library items in Avada Live Builder
- FIXED: Rotation animation class being added to title element even if highlight is chosen in Avada Live Builder
- FIXED: Off-Canvass close button interfering with the Avada Live Builder UI
- FIXED: Box-shadow not always being correctly displayed in Avada Live Builder
- FIXED: JS error when moving a Column element into an empty Container element


-----------------------------------------------------------------------------------------
Version 7.7.1 - April 20th, 2022
-----------------------------------------------------------------------------------------


- NEW: Added a trigger of the HubSpot chat to the dynamic data sources
- NEW: Added Skip Lazy Loading option to the Column element
- NEW: Added Boxed Padding element option to the Social Links element
- IMPROVEMENT: WordPress default custom fields are now available as dynamic data sources
- IMPROVEMENT: Popover content in Image Hotspot element now allows HTML
- IMPROVEMENT: Allow more columns on larger screens in the Avada Studio modal
- COMPATIBILITY: Fixed WooCommerce Product Addons plugin causing JS error on the cart page
- FIXED: Events Calendar search bar missing mobile icons for search and filters 
- FIXED: Quick edit links for Avada Forms, Post Cards and Menus not working in back-end editor
- FIXED: Child element content being escaped when editing a sibling in the back-end editor
- FIXED: Tag Cloud element missing taxonomy option on back-end editor
- FIXED: Width of items being incorrect in Social Links element when using font size in ems
- FIXED: Issue in latest version of Event Tickets plugin, causing a fatal error when using the layout builder
- FIXED: Wrong menu item being highlighted when using anchor scrolling
- FIXED: Fatal error happening on PHP 8.1 in image class when images are corrupted and thus don't have dimensions set
- FIXED: Avada Studio import option buttons overlapping the sticky menu in the Setup Wizard
- FIXED: Font size not being based on px not working in Checklist element in live editor


-----------------------------------------------------------------------------------------
Version 7.7 - April 12th, 2022
-----------------------------------------------------------------------------------------


Avada 7.7 introduces the setup wizard, speeding up the creation of your next website project. You can either start
from a prebuilt site or let the wizard guide you through color, typography, and content selection in an intuitive and fun
to use way.

See the promo video here: https://youtu.be/FXHDMItl3Cg

- NEW: Added a complete setup wizard to Avada, which guides you through the process of setting up a full site incl. 
       registration, automatic plugin install, colors, typography, layouts, and other content
- NEW: Added notification (auto-reply) options to Avada Forms, so that you can easily send different emails to different recipients on form submission
- NEW: Added option to Avada Studio to invert colors of the content
- NEW: Added option to Avada Studio to apply local color and typography styles to the content (live preview available)
- NEW: Added option to Avada Studio to import content either with images or placeholders
- NEW: Added import button to the preview area of Avada Studio content for easier import
- NEW: Added option to right click menu in live editor to easily invert colors of a Container using background-color with a global color
- NEW: Added reject all cookies buttons option to privacy banner
- NEW: System font stacks can now be chosen in all font selection fields
- NEW: Extended the typography options in all suitable elements 
- NEW: Added Text Transform options into the combined global font options
- NEW: Added option to trigger Off-Canvas when product gets added to cart and when an Avada form gets submitted
- NEW: Added image aspect ratio feature to the Gallery element
- NEW: Added object-fit option to Post Card Image element
- NEW: Added option to pull posts from WooCommerce Featured Products in Post Cards element
- NEW: Added element options to Post Cards element to style the load more button
- NEW: Added custom icon option to change cart icon in WooCommerce Notices element
- NEW: Avada WooCommerce swatches styles are now also being used in WooCommerce widgets
- NEW: Added option to show variation prices in Woo Add To Cart element even if all variations share the same price
- NEW: Added several new styling options to the FAQ element
- NEW: Added option to easily activate support for uploading SVG files to the media library
- NEW: Added HTML tag selection option to the Column element
- NEW: Added reading time decimal precision option to the meta element
- NEW: Added quick links to elements to easily edit related Post Cards, Menus, and Forms
- NEW: Avada's Edit Live Menu will now list all used layouts used on a page with their names and types, including a direct link to the layout
- NEW: Added language choice option to the Facebook Page element
- NEW: Added WooCommerce Cart, Checkout, My Account, and Terms & Conditions page links to dynamic data
- NEW: Added dynamic data options to the User Login element
- PERFORMANCE: Added an option to choose the kind of security nonce you want to use in Avada Forms
- PERFORMANCE: Added a global option to count post views, on page load, through AJAX or to disable it completely
- IMPROVEMENT: Moved the color name to first position in global color definition
- IMPROVEMENT: WooCommerce product search results will now also use the search layout if one is set
- IMPROVEMENT: Layout Section titles are now available as HTML title attributes for easier readability
- IMPROVEMENT: Term slugs are now available as HTML title attributes in Layout Conditions
- IMPROVEMENT: Privacy consent options now also work when using video facade option
- IMPROVEMENT: Added better error reporting for prebuilt site import for easier debugging
- IMPROVEMENT: Avada dashboard video iFrame now loads only on demand
- IMPROVEMENT: Added better option grouping to the Toggle element
- IMPROVEMENT: Made sure that custom sticky header is not initialized when using 100% height scrolling sections
- IMPROVEMENT: Image focus point is now available, even if image is retrieved from dynamic data source
- IMPROVEMENT: Change label/placeholder text in User Login element to Username or Email
- IMPROVEMENT: Animated content will now fall back to being just auto-displayed if old browsers don't support IntersectionOberver
- IMPROVEMENT: "0" as string value is now allowed in Avada Forms select field
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Compatibility with PHP 8.1
- UPDATED: Compatibility with The Events Calendar 6.0 Beta
- UPDATED: Global Options Favicon settings for modern devices and use cases
- UPDATED: Several color options that did not have defaults
- ACCESSIBILITY: Make next/prev arrows focusable in Image Carousel element
- ACCESSIBILITY: Added focus trap to Off-Canvas for correct tab key progression
- ACCESSIBILITY: Added role="alert" to the Alert element
- ACCESSIBILITY: Move the close button to the end of the Alert element for screen readers
- ACCESSIBILITY: Added label to the Woo Cart Coupon element input
- ACCESSIBILITY: Login field IDs are now unique when using multiple WooCommerce login boxes different menus
- COMPATIBILITY: Fixed scrollspy library issue with WP Cost Estimation & Payment Forms Builder plugin
- COMPATIBILITY: Fixed issue with WP Hide & Security Enhancer when using Combine Third Party CSS Files option
- COMPATIBILITY: Removed changelog iFrame embed from Avada dashboard to fix issue with security rule on some hosts
- COMPATIBILITY: Fixed WP Offload Media plugin throwing fatal error on activation when SVG media files are used
- COMPATIBILITY: Fixed WooCommerce One Page Checkout plugin issue with Avada's quantity boxes
- COMPATIBILITY: Woocommerce Catalog Enquiry plugin now works with the Woo Add To Cart element
- COMPATIBILITY: Fixed Woo Notices Element when using WooCommerce Payments plugin
- COMPATIBILITY: Event Tickets Plus attendee registration incorrectly being shown in layout sections
- FIXED: iFrame based privacy consents not working when using lazy-loading option
- FIXED: Lazy-loading scripts not being correctly loaded when only iFrame Lazy Loading option is set to Avada
- FIXED: Boxed mode shadow and framed scrolling not working correctly when being set in Global Options
- FIXED: Global styles being applied to buttons when Critical CSS option is used
- FIXED: Global font backup font not always correctly being saved
- FIXED: Color picker position not always being exact
- FIXED: Social Sharing Box post title being double encoded in email subject
- FIXED: Live search showing search results from other languages in Search element when using Polylang
- FIXED: Duplicate data-touchscroll attribute in Related Posts element
- FIXED: Single portfolio pages being 404 in secondary languages when using WPML String Translation plugin
- FIXED: Visiting a category page while using WPML causing a fatal error in very rare cases
- FIXED: Avada Form submissions not working in secondary language when using WPML
- FIXED: Timezone on events edit screen always being set to UTC+0 incorrectly
- FIXED: Changing Include Context setting in title dynamic data not reflecting changes
- FIXED: Calendar rendering being incorrect when using Events Calendar Pro tribe_mini_calendar shortcode
- FIXED: Background color not being applied to custom icons in Social Links element when custom colors are chosen
- FIXED: Incorrect home label being used in breadcrumbs on the blog page, when a dedicated blog page is set
- FIXED: Sticky containers inside an Off-Canvas not being ignored in general offset calculation
- FIXED: bbPress styling issues regarding pagination
- FIXED: Global typography trigger missing from Button element in live editor 
- FIXED: Gravity Forms textareas not having the correct border width
- FIXED: WooCommerce product quantity boxes being incorrectly styled when using Gravity Forms
- FIXED: WooCommerce product variation label being incorrectly styled in latest WooCommerce version
- FIXED: WooCommerce product search results page using incorrect page width
- FIXED: WooCommerce product search results page being tied to the product loop being set on the shop page
- FIXED: WooCommerce mini cart menu cart and checkout button colors are incorrect on focus state
- FIXED: WooCommerce notices border size being incorrect
- FIXED: Checkout continue button being incorrectly displayed when using the Woo Checkout Billing element
- FIXED: Styling of Post Card element bein incorrect at times when using infinite scroll loading because of column ID collisions
- FIXED: Slider layout of Post Cards element not working when used as part of Content Layout
- FIXED: Post Card add to cart button missing hover style if left at default
- FIXED: Rollover on Post Card Image element not being automatically triggered when product gets added to cart
- FIXED: Post Card element animation firing for all elements after infinite scroll loading is completed
- FIXED: Third level menu not expanding in Avada Vertical Menu Widget
- FIXED: Menu element wrongly positioned in desktop mode when resizing from opened mobile menu
- FIXED: Sliding bar menu icon being misaligned on mobile
- FIXED: Mobile menu submenu open icon is logically reversed in Menu element
- FIXED: Legacy menu center and right position not working
- FIXED: Back-end builder not escaping HTML of child elements correctly
- FIXED: Link to album in Flickr element resulting in 404
- FIXED: Drag & drop of child elements in parent element option modal not working in back-end editor
- FIXED: Some image caption effects in Image element having slight display issues in some cases
- FIXED: Import of single pages from prebuilts not fully working
- FIXED: FAQ element toggle +/- icons being logically reversed
- FIXED: Menu First Level Style option not being hidden on second-level menu items
- FIXED: Off Canvas "on click" triggers not working with legacy mobile menu
- FIXED: Off Canvas special menu element trigger having wrong close icon size
- FIXED: Off Canvas ignoring rules if default state option is set to open
- FIXED: Toggle element not working correctly when used inside Off Canvas
- FIXED: Custom color options missing from Tag Cloud element in back-end editor
- FIXED: Duplicate variable definition in Tag Cloud element.
- FIXED: Patcher not working correctly for the required plugins
- FIXED: Alert element using Font Awesome icons, which can lead to missing icons if deactivated in Global Options
- FIXED: Disable Emoji script option not disabling DNS prefetch
- FIXED: Custom CSS on page level stripping slashes which can break the CSS output
- FIXED: Global Options font search not working for all available fonts
- FIXED: Flyout menu anchor link trying to close all flyouts on a page instead of just its parent
- FIXED: Local time not correctly respected when using date dynamic data option
- FIXED: Critical CSS being created for all posts of a CPT only being applied to latest post
- FIXED: Lightbox video duplicated in some cases on portfolio posts when video is added through Page Options
- FIXED: Media Slider element not having image srcset attribute set when lazy-loading is enabled
- FIXED: Font count in Performance Wizard being incorrect in some cases
- FIXED: Checklist element title names displaying incorrectly, when items get bulk added
- FIXED: Fuse dependency missing for Performance Wizard
- FIXED: Setting Container element background color in live editor also setting same color to any nested container
- FIXED: Issue in Gallery element where you can't update images when mixing back-end and live editor
- FIXED: Layout condition for dedicated front-page not being used on back-end Page Options
- FIXED: Submenu hover color preview not working in Menu element in live editor
- FIXED: Button element hover color preview not working in live editor
- FIXED: Blend mode being off in live editor
- FIXED: Missing string sanitation causing CSS to break, if string translation for a language is incorrectly using newline char
- FIXED: Side-header position being incorrect in live editor, after closing the main panel sidebar
- FIXED: Droppable zones in live editor being visible in some cases when they should not be
- FIXED: Avada Form entries export not working correctly when there are multiple fields with same label
- FIXED: Avada Forms tooltip icon not using the form label text color
- FIXED: Avada Forms border-radius Page Option reset and default not correctly displayed in live editor
- FIXED: Avada Forms not live updating in live editor on form options import
- FIXED: Column IDs of Post Card element not correct in live editor causing potential styling issues
- FIXED: Responsive typography not correctly recalculated in Toggle element in live editor when changing options
- FIXED: Undefined image size of Image element leading to JS error when trying to switch pages in live editor
- FIXED: Element dependency map not fully live updating on live editor
- FIXED: Changing global color not live updating the options using that color in live editor
- FIXED: Invalid category not being unselectable in multi-select field in live editor
- FIXED: Additional white space being displayed in Tooltip element trigger text in live editor
- FIXED: Font name being malformatted in live editor if there are quotes in the font name
- FIXED: Styling issue between Menu elements on option change in live editor, when several are on a single page
- FIXED: Flickering tooltip of last color picker in an option tab making the color option unusable
- FIXED: Google fonts family missing from elements imported through Avada Studio in live editor
- FIXED: Sharing Box element icon font size and boxed padding not live updating in live editor
- FIXED: A few JS checks incorrectly using undefined without quotes
- FIXED: PHP warning regarding non-numeric value being encountered when base font size is set to a variable
- FIXED: PHP warning on archive pages using a layout but not having posts
- FIXED: PHP warning on checkout page when Woo Checkout Form element being used only once


-----------------------------------------------------------------------------------------
Version 7.6.2 - April 11th, 2022
-----------------------------------------------------------------------------------------


- SECURITY: Fixed SSRF (server-side request forgery) vulnerability in Avada Forms fusionAction parameter


-----------------------------------------------------------------------------------------
Version 7.6.1 - January 17th, 2022
-----------------------------------------------------------------------------------------


- NEW: Added option to Flickr element to display images from a specific album
- NEW: Added rounding option to the Star Rating element
- PERFORMANCE: Added checks for specific ConvertPlus modules being activated to avoid unnecessary initialization
- IMPROVEMENT: Events Calendar single event pages will display title and time below featured image on mobile
- IMPROVEMENT: Live editor color pickers will no longer auto-open when clicking into the text field
- UPDATED: Compatibility with WooCommerce 6.1
- UPDATED: HubSpot API CRM scopes
- ACCESSIBILITY: Added aria-labelledby attribute to Progressbar element
- ACCESSIBILITY: Fixed WooCommerce product gallery lightbox trigger link missing title attribute
- FIXED: Compatibility issue with WooCommerce Fancy Product Designer causing issue with cart page item thumbnails
- FIXED: Compatibility issue with WooCommerce Payments plugin, causing display issues on custom checkout pages
- FIXED: Fatal error happening on backend post save when WooCommerce Payments plugin and YOAST SEO are active
- FIXED: WooCommerce sorting boxes showing on category pages, when those are set to show sub-categories
- FIXED: The link to the reviews does not work in the quick view of WooComerce products
- FIXED: Fatal error happening when using a CPT called 'product' when WooCommerce is not active
- FIXED: Incorrect sidebar classes being used on body HTML tag on WooCommerce custom taxonomy pages
- FIXED: Compatibility issue with WooCommerce Membership and Ultimate Member plugins, causing content to change in layout sections
- FIXED: Compatibility issue with WP Customer Area plugin, causing content to change in layout sections
- FIXED: Updates from versions below 6.2 triggering an error in the upgrade class
- FIXED: Attribute escaping missing for a translation string in the menu nav walker
- FIXED: Typography Global Options using the global typography sets cog icon incorrectly on margins
- FIXED: Mobile menu items not correctly aligned vertically on mobile when using legacy header/menu
- FIXED: Facebook Page element not being auto-activated
- FIXED: Global typography picker being slightly cut off in performance wizard
- FIXED: Layout dependencies and notes for header/footer social icon global options
- FIXED: Privacy placeholder not working in a few instances of iframe embeds
- FIXED: Facebook and Twitter Timeline elements loading iframes even without privacy consent
- FIXED: Videos not being stopped after closing the modal in Avada Off Canvas
- FIXED: Backgrounds of Avada Sliders in parallax mode not being shifted with Off Canvas sliding bars in push mode
- FIXED: Toggle element default active/inactive icons being reversed
- FIXED: Widget title display option not working for the Events Calendar widgets
- FIXED: Honeypot form field not being removed from submission email content in Avada Forms
- FIXED: Select form field not being removed from submission email content in Avada Forms when hidden because of conditional rendering
- FIXED: Option to create Avada Form database tables on the Avada Status page not working
- FIXED: Sub-menu expand carets not working on first click on iPhones when mobile menu is set to auto-expand
- FIXED: Framed scrolling is not working correctly when user is logged out of WordPress
- FIXED: Fatal error happening in Archive element when using in content layout section for Portfolio archive pages
- FIXED: Countdown element missing margin between heading and count down in stacked layout, when no subheading is used
- FIXED: Transition being jumpy in Testimonial element, when no avatar is elected and clean design is used
- FIXED: Social sharing box being displayed inside of layout sections on Events Calendar single events when blocks are used
- FIXED: Hover effects not working together with image masks in the Image element
- FIXED: Image centering not working in Image element when using bottom shadow style together with a max-width
- FIXED: Mask preview icons missing from Image element in the backend editor
- FIXED: Images always displaying in full width in Image element in live editor, regardless of native image dimensions
- FIXED: JS error in live editor global option search when a repeater option is part of results
- FIXED: Colors in Page Options being saved as default even when left empty in live editor
- FIXED: Single page import of a prebuilt site not working in the live editor


-----------------------------------------------------------------------------------------
Version 7.6 - December 14th, 2021
-----------------------------------------------------------------------------------------


Avada 7.6 introduces the Off Canvas builder, allowing you to build popups, flyouts, sliding bars, and pushouts, 
using our awesome building UI. We have also added global color and typography system for easy across-site management 
of these important design assets.

See the promo video here: https://youtu.be/zUBJDiwWOl8

- NEW: Added Off Canvas Builder for drag & drop creation of popups, sliding bars, flyout menus, and push menus
- NEW: Added the ability to have push menus
- NEW: Added a global color palette feature, making it easy to create and update a global color scheme and have it shared across the site
- NEW: Added a global typography feature, making it easy to create and update typography sets and have them shared across the site
- NEW: Added aspect ratio and focus point options to the Image element
- NEW: Added image mask options to the Image element for stunning new image effects, including 18 prebuilt masks and possibility to upload custom shapes
- NEW: Added option to upload custom SVGs in the Section Separator element
- NEW: Tag Cloud element
- NEW: Facebook Page element with extended options, replacing Facebook widget
- NEW: Twitter element with extended options, replacing Twitter widget
- NEW: Flickr element with extended options, replacing Flickr widget
- NEW: Added margin, border-size, border-color, hover colors, and animation options to the Social Links element
- NEW: Added option to display sub-categories instead of posts in the Post Card Archives element
- NEW: Added color picker options to Avada Slider and Page Options for easier color usage and alpha channel colors
- NEW: Added new typography option set for easier typography management
- NEW: Added border-radius option to the Social Share element
- NEW: Added responsive alignment options to the Meta element
- NEW: Added dynamic data URL options for YouTube/Vimeo/Video elements and Container/Column video backgrounds
- NEW: Added taxonomy selection to the Layout Section dynamic preview sources
- NEW: Avada Special Menu Items can now use description text
- NEW: Added The Events Calendar event date to order options of the Post Cards element
- NEW: Added order by option to Post Cards element when terms are used instead of posts
- NEW: Added WooCommerce cart total to dynamic data option
- NEW: Added a filter for the Post Cards element placeholder for easier fallback message creation
- PERFORMANCE: Added option to allow lazy loading of iframes
- PERFORMANCE: Removed two CSS related actions from being executed on admin screens
- IMPROVEMENT: Removed the "Enable CSS Variables" Global Option, as modern browsers do all support CSS variables
- IMPROVEMENT: Added dynamic data to several more places, including Google Maps element
- IMPROVEMENT: Line breaks in Avada Forms Textarea elements are now also displayed in the submission emails
- IMPROVEMENT: Added form submission error information for easier debugging
- IMPROVEMENT: Allow categories to display in the metadata of the Archives element for portfolio posts
- IMPROVEMENT: Lightbox toolbar is now visible also for logged in users (adjusting to WP admin bar)
- IMPROVEMENT: Removed unneeded, email-related form fields from form rendering
- IMPROVEMENT: Post published dynamic data now using current data, if now preview post is set
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Critical CSS creation engine
- UPDATED: Automatic cache clearing for SiteGround optimizer plugin
- UPDATED: Some outdated documentation links
- UPDATED: Compatibility with WooCommerce 6.0
- ACCESSIBILITY: Flipxbox element not staying flipped when jumping to a link on backside using tab key
- ACCESSIBILITY: Fixed aria-expanded attribute being wrong on custom mobile menu using the Menu element
- ACCESSIBILITY: Fixed incorrect role attribute in the Ticker element
- FIXED: Font-face declarations missing from criticals CSS when CSS variables are used
- FIXED: Avada Form submissions where form fields share the same name not being correctly stored in the database
- FIXED: Avada Forms on the same page using same reCAPTCHA id when using reCAPTCHA v2
- FIXED: Avada Forms submissions not working when form uses reCAPTCHA and is rendered in a Modal element
- FIXED: Avada Forms submissions working even if required fields are not filled in, if those required fields are conditional and hidden
- FIXED: JS error happening when submitting Avada Forms with conditionally hidden range and upload fields
- FIXED: JS error happening when submitting Avada Forms with conditionally hidden checkbox fields that need a minimum selection
- FIXED: Second level menu items in megamenu when title option is turned off display incorrectly in Menu element
- FIXED: Sub-menu text hover color not working in the Menu element
- FIXED: Sub-menu expand direction incorrectly changing the sub-menu link alignment in the Menu element
- FIXED: Incorrect right padding shown on buttons in mega menu columns
- FIXED: Megamenu not being closed on click on an anchor scrolling item, in the Menu element
- FIXED: Image captions title having wrong color when using heading tags
- FIXED: Widget element options not displaying in backend builder when the element settings are re-opened
- FIXED: Previous/next arrows missing in the calendar of The Events Calendar plugin
- FIXED: Plugin compatibility issue with Tutor LMS Pro plugin when Layout Sections are used
- FIXED: Plugin compatibility issue with Cooked Pro plugin when Layout Sections are used
- FIXED: Plugin compatibility issue with Private Content plugin when Layout Sections are used
- FIXED: Plugin compatibility issue where lightbox gets doubled up when the "load" event fires twice
- FIXED: Plugin compatibility issue leading to incorrect redirects (e.g. WPSEO sitemap being 404)
- FIXED: Compatibility issue with WooCommerce PayPal Payments plugin leading to wrong notice styling on checkout page
- FIXED: Compatibility issue with WooCommerce PayPal Payments plugin on legacy product template
- FIXED: Fatal error happening in the WooCommerce Price element on product posts, when it is copy/pasted in invalid layout sections
- FIXED: Displaying issue of Avada Studio content in Safari on the back-end page
- FIXED: Star rating element not working correctly when using before/after text in product rating dynamic data
- FIXED: Scrolling on sliding bar causing page scroll on latest webkit browsers
- FIXED: Facade images being broken in Vimeo element
- FIXED: Reddit social sharing link and made sure all sharing links use SSL in Social Sharing element
- FIXED: Error boxes appearance in Gravity Forms
- FIXED: Button 100% width option not respecting margins in Button element
- FIXED: Infinite scroll not working correctly in some cases, when using several Post Cards elements on one page
- FIXED: Ordering option not correctly working in Post Cards element when used to display WooCommerce product archives
- FIXED: Custom font names with whitespace in the name not working correctly in the global Button element typography
- FIXED: Alignment issue in the Countdown element when either title or link are not used
- FIXED: Sticky sidebar positioning issue when using a custom sticky header
- FIXED: Menu anchor highlights being incorrect in sub-pixel cases when using side headers
- FIXED: Gallery element not displaying images as lightbox gallery in the live editor
- FIXED: Featured image does not work inside of Post Cards element when used for tag archives
- FIXED: Main featured image being pulled in featured image dynamic data when one of the additional featured images is not set
- FIXED: After image using same image alt value as before image in the Image Before & After element
- FIXED: Loading spinner not being removed from video in when lightbox, when previously a lightbox with image was triggered
- FIXED: Double icon picker menu appearing when a new social media entry is created in Global Options
- FIXED: Performance Wizard recommends enabling "Combine Third Party CSS Files" option even if it is already enabled
- FIXED: Minor styling issue in back-end builder, showing "close" text next to the x close icon in modals
- FIXED: PHP notice in shared icon border-radius option when Icon element is disabled
- FIXED: PHP notice in older instances of Tagline element when a specific button shape is set
- FIXED: Fatal error on PHP 5.6
- FIXED: Fatal error happening in some cases when live editor is either disabled or can't get loaded
- FIXED: Rendering issue in live editor with fonts using single quotes
- FIXED: PHP notice when assigning a slider through Page Options in live editor
- FIXED: Import/Export settings of Global Options in live editor being incorrectly rendered
- FIXED: Privacy bar on/off option not correctly working in live editor
- FIXED: Rolling back to start position in live editor history, removing all post contents completely
- FIXED: Live editor button selection options jump in appearance when being the last option of a tab
- FIXED: Avada Forms submission type resets to default when selecting "Default POST HTML Form (non-AJAX)" in live editor
- FIXED: RTL styling issues in the live editor UI


-----------------------------------------------------------------------------------------
Version 7.5 - October 18th, 2021
-----------------------------------------------------------------------------------------


Avada 7.5 introduces Avada Studio, our new home for prebuilt content blocks that you can import with the click of a button.
You will find content arranged in different categories, helping you to easily build your sites and pages: full page templates, headers, footers, containers, columns, elements, icons forms, and post cards.
The Studio will start with more than 150 content blocks in total and the library is going to only grow over time to serve you 
with creative ideas and newest design trends.

See the promo video here: https://youtu.be/MlFGfh2ODN8

- NEW: Avada Studio, allowing to import prebuilt content blocks like templates, headers, footers, containers, columns, elements, icons forms, and post cards
- NEW: Image titles and captions can be displayed on the Image, the Gallery, and Image Carousel elements now, using different layouts
- NEW: Image Hotspot element with responsive positioning of the hotspots
- NEW: Button element now offers a lot more freedom, including padding, border-radius (4), border-size (4), font-family, font-size, line-height, and gradient fine-tuning options
- NEW: Added News Ticker element to render post titles of any post type in ticker style with lots of design options
- NEW: Added Star Rating element to easily display user ratings, using any icon, size, and color
- NEW: Views Counter element showing daily and total page visits
- NEW: Added the possibility to bulk apply patches for easier maintenance
- NEW: Added Mailchimp integration to Avada Forms
- NEW: Added Honeypot element to Avada Forms
- NEW: Added new options to choose number of checkboxes that are required in the Avada Forms Checkbox element
- NEW: Added minimum/maximum required characters options to the Avada Forms Textarea element
- NEW: Added option to allow file uploads to be attached to submission emails from Avada Forms
- NEW: Added preview width option to Avada Forms
- NEW: Added even/odd item background-color and padding options and bulk item additions to Checklist element
- NEW: Added option to Pagination element to swap the post order logic (previous/next)
- NEW: Added border-radius, text-align, font-family, and font-weight options to Progress Bar element
- NEW: Added border-radius and responsive alignment options to the Icon element
- NEW: Added text-transform options to Tile and Text Block elements
- NEW: Added marker style highlight option to the Highlight element
- NEW: Added splash style to Section Separator element
- NEW: Added responsive margin options to the Image element
- NEW: Added option to disable product images in WooCommerce Order Review element
- NEW: Added dynamic data sources and link setting to content type option of Lightbox element
- NEW: Added an option to choose if supported third-party stylesheets should get compiled into Avada
- NEW: Telegram added to social icons
- NEW: Microsoft Teams added to social icons
- NEW: Added event date options to the Meta element and to dynamic data
- NEW: Added post type, reading time, and number of search results to dynamic data
- NEW: Added ACF field and custom field choices to the rendering logic conditions
- NEW: Added overflow option to the Column element
- NEW: Added margin option to the Flip Boxes element
- NEW: Added an action to easily extend the Layout Builder the_content filtering process
- NEW: Added a live editor preference to toggle all option descriptions visible
- IMPROVEMENT: Single prebuilt website pages import will now import the full page content including images
- IMPROVEMENT: Sliding bar can now be closed using the Esc key
- IMPROVEMENT: Added previews for Avada's WooCommerce attribute swatches
- IMPROVEMENT: Added bulk add option to the children tab of Gallery and Image Carousel elements for easier uploads
- IMPROVEMENT: Form field logic will now also apply to submission emails so only set fields will be sent
- IMPROVEMENT: Custom CSS field in the live editor is now resizable for easier CSS editing
- IMPROVEMENT: Added noreferrer rel tag to Sharing Box links
- IMPROVEMENT: Menu element will automatically go to auto width now in case wrapping column uses row content layout
- IMPROVEMENT: Excluded admin page visits from Avada Form views
- IMPROVEMENT: Text shadow option in Title element is now working even if text gradient color is being used
- IMPROVEMENT: Added element visibility options to the Lightbox element
- IMPROVEMENT: HubSpot caches now get cleared when Avada Caches are
- IMPROVEMENT: Added a filter for Avada Forms upload filed names
- IMPROVEMENT: Removed unnecessary development files from the package
- UPDATED: Compatibility with WordPress 5.8
- UPDATED: Compatibility with WooCommerce 5.8
- ACCESSIBILITY: Added link description option to the Column element to serve as ARIA label
- ACCESSIBILITY: Tablist role in Tabs element being incorrect
- ACCESSIBILITY: Fixed internal scroll link being reported by accessibility tools due to missing text
- ACCESSIBILITY: Made sure the tab order is always correct in the mobile menu in Menu element
- ACCESSIBILITY: Made sure Image element outputs empty alt tag in case no alt attribute was set
- FIXED: Bulk select box not working correctly on the menu screen of WordPress
- FIXED: Bottom into viewport animation trigger not working correctly
- FIXED: Paragraph (p) tags having different auto margins in layout sections
- FIXED: Mobile menu trigger needing two taps to open the menu on iPhones
- FIXED: Heading background color and border color options not working in Popover element
- FIXED: Broken border-size dependency in Column element, rendering related options invisible
- FIXED: Layout Sections getting indexed by search engines
- FIXED: Compatibility issue with WooCommerce Additional Variation Images plugin
- FIXED: Wrong filter name being used for the WooCommerce cart widget
- FIXED: Wrong action name being used in the WooCommerce quantity boxes script causing an issue with WooCommerce Composite Products plugin
- FIXED: PHP error breaking live search when WooCommerce is active and no dedicated set of post types was selected
- FIXED: WooCommerce Product Grid element causing fatal error in back-end post edit screens when Yoast SEO is active
- FIXED: WooCommerce product scheme not being included in custom product layouts
- FIXED: WooCommerce woocommerce_check_cart_items action missing from Cart Totals and Order Review elements
- FIXED: WooCommerce woocommerce_checkout_billing action missing from Checkout Billing element
- FIXED: WooCommerce image rollovers not working in Post Cards element when no other WooCommerce components are on the same page
- FIXED: WooCommerce product queries sometimes messing up post queries of other elements
- FIXED: WooCommerce Price element is missing space between price badge and price
- FIXED: WooCommerce product SKU doubled on variable product if the variation get selected and deselected
- FIXED: Compatibility issue with WooCommerce PayPal plugin
- FIXED: Compatibility issue Germanized WooCommerce plugin when used together with WooCommerce PayPal plugin
- FIXED: On product layouts, WooCommerce variation SKUs don't show if main product SKU isn't assigned
- FIXED: Products that are out of stock not being excluded from WooCommerce Product Grid element queries
- FIXED: Infinite scroll issue happening in WooCommerce Grid element when several instances with different number of posts are on same page
- FIXED: WooCommerce product boxes rollover designs not correct for all elements
- FIXED: Compatibility issue of Thrive Leads plugin with the layout builder
- FIXED: The Events Calendar month view being styled incorrectly
- FIXED: The Events Calendar month view overflow issues when there are long or many events
- FIXED: The Events Calendar single event pages missing the dynamic social sharing stylesheet
- FIXED: The Events Calendar single event pages having wrong paddings in the latest version of the plugin
- FIXED: Page Title Bar title being wrong when using the main Events Calendar events page as front page
- FIXED: Recurring event part of title having incorrect color on single events pages when using latest The Events Calendar plugin
- FIXED: Portfolio slug translation not correctly working when using WPML
- FIXED: Global Options export URL not working for WMPL secondary languages
- FIXED: Container 100% width option doesn't show up when live editing a library element
- FIXED: Custom social icons not working correctly when using an icon from icon picker
- FIXED: Variants of Google fonts being incorrect when fonts are set within page contents
- FIXED: Google font family variants not correctly aggregated in layout sections, only loading ones from last section
- FIXED: Megamenu position sometimes not fully correct due to scrollbar on Windows machines
- FIXED: Hover/active colors being incorrect in some cases in the Menu element
- FIXED: Flyout menu background image transitions not being smooth when using Menu element
- FIXED: Live search results not appearing correctly when using overlay search in Menu element
- FIXED: Alternating sub-menu positioning in Menu element, when sub-menu overflows the viewport
- FIXED: Mobile menu in Menu element being too narrow when using custom scrollbar
- FIXED: Styling issues of sub-sub-menu items in mobile mode of Menu element
- FIXED: Long sub-menus sometimes being cut off in mobile menu of the Menu element
- FIXED: Menu element main menu text transform option being used on second level mega menu items
- FIXED: Lightbox displaying single image instead of slideshow in Featured Images Slider element
- FIXED: Before/after text not working in dynamic data if using ID setting
- FIXED: Featured image dimensions sometimes being incorrect when used in layout sections
- FIXED: ACF url fields not working in dynamic data in Title element permalink option in Post Cards
- FIXED: PHP notice when using ACF image field as dynamic data in Image element when no image is set in the ACF field
- FIXED: Featured images of categories and tags not working when used as dynamic data sources in layout sections
- FIXED: Term count dynamic data does not work for categories and tag archives
- FIXED: Term dynamic data in Post Cards using WooCommerce shop page contents when used on the shop page
- FIXED: Post Cards term ID is wrong when looping through term content 
- FIXED: Search field ID not being unique within search forms
- FIXED: UTF characters in Avada Forms CSV exports being incorrect
- FIXED: Avada Form entries not being displayed correctly in rare cases where label field is completely missing
- FIXED: Some form elements having styling issues when large field heights are used in Avada Forms
- FIXED: Focus not moving to the form submission alert after submission is completed in Avada Forms
- FIXED: Custom icon set icons not correctly working in some Avada Forms element
- FIXED: Checkbox element values not being visible in form submissions of Avada Forms
- FIXED: Restoring elements from trash not correctly working in Avada Builder Library
- FIXED: When critical CSS is enabled default form field margin overrides form field margin set on a specific form in Avada FOrms
- FIXED: Content element in Post Card can lead to following layout sections being incorrect
- FIXED: Category titles in Post Cards not being correct
- FIXED: Background images using a hover effect are incorrectly aligned when using Post Cards element in carousel layout
- FIXED: Default icon not working in Checklist element if Font Awesome is disabled
- FIXED: Mobile column breakpoints not correctly working within some elements when media query files are loaded asynchronously
- FIXED: Widget areas of the imported Classic prebuilt site cannot be deleted
- FIXED: Avada Slider not correctly auto-advancing when using a Vimeo video
- FIXED: Default value shown in video facade option being incorrect
- FIXED: Vimeo video facade showing a colorful stripe image on mobile
- FIXED: WooCommerce quantity boxes appearing incorrectly rounded in iOS Safari
- FIXED: Infinite scroll / load more pagination not working in Post Cards element if animation is delayed
- FIXED: Individual circles with different animation speeds in Counter Circles always using the fastest speed
- FIXED: Counter Circles set to count down being double animated
- FIXED: Supported third-party stylesheets now always combined correctly to Avada
- FIXED: Featured image markup wrong when using a video as first featured image
- FIXED: Post Card element in slider mode causing some vertical space while page loads
- FIXED: Missing sticky-kit dependency on side header scroll JS file
- FIXED: Section separator width being incorrect in some cases when using boxed layout
- FIXED: Quick view dynamic data link not working when used within Title element
- FIXED: Quick view triggering button not working when product rending elements are used on a single product page
- FIXED: PHP notice in dynamic data when element_category terms are not present
- FIXED: Anchor scroll menu highlighting not being correct when using side header layouts
- FIXED: Incorrect video script loading order causing JS error when using Vimeo videos in Avada Slider
- FIXED: Mobile menu item height being wrong in legacy headers in very rare cases
- FIXED: Post Page Options tab not showing in the live editor for CPTs
- FIXED: 100% width check in image class being not correct in layout sections, sometimes leading to incorrect image widths
- FIXED: Back-end compatibility issue with Slider Revolution rendering some icons at the end of the edit page screens
- FIXED: Switching between rendering logic methods with an additional parameter, appending parameter without removing previous one
- FIXED: AJAX selects in live editor causing a JS error in rare cases
- FIXED: JS error happening in Google Maps element when custom info box option is used
- FIXED: When using imported library content that contained Google fonts in the live editor the fonts not rendering correctly
- FIXED: Width/Height labels of text-shadow position option being incorrect in the Title element in live editor
- FIXED: PHP notice in Post Cards element in the live editor
- FIXED: Loading spinner not being removed when no data was found by the dynamic data callback in live editor
- FIXED: Icons in Icon element can have wrong color in live editor, when icons are used in different layout sections on the same page
- FIXED: Angular brackets in the button text option of the Button element added through live editor break the layout
- FIXED: YouTube script missing dependency causing JS error in live editor
- FIXED: Background color in Highlight element showing in live editor even when set to be transparent
- FIXED: Option dependencies still being applied in live editor, even when turned off in Global Options
- FIXED: Live editor toolbar going above the visual editor toolbar when using full-screen editing mode
- FIXED: Posts not changing with post type in live editor in the Post Cards element
- FIXED: PHP error in live editor in Meta element when displaying a WooCommerce product SKU that is not available


-----------------------------------------------------------------------------------------
Version 7.4.2 - September 10th, 2021
-----------------------------------------------------------------------------------------


- SECURITY: Fixed XSS (Cross-Site Scripting) issue in breadcrumbs when using bbPress plugin and being on bbPress search page
- SECURITY: Fixed XSS (Cross-Site Scripting) issue in Avada Forms component allowing unescaped HTML form entries to be loaded on the backend
- UPDATED: Compatibility with WordPress 5.8 (widget screen)
- FIXED: Dimension fields not saving in Global Options


-----------------------------------------------------------------------------------------
Version 7.4.1 - June 16th, 2021
-----------------------------------------------------------------------------------------


- NEW: Added possibility to dynamically trigger and populate Modal elements (e.g. for Post Card element)
- NEW: Added a filter for more control over additional link attributes
- IMPROVEMENT: Patcher will now only be loaded on back-end, improving compatibility and performance
- IMPROVEMENT: Refactored method of reading and filtering 3rd party CSS files for enqueuing to Avada's compiled CSS
- FIXED: Uploaded custom fonts being loaded as Google fonts when used in page contents
- FIXED: Mega menus not correctly loading, when several menu elements using mega menus are on the same page
- FIXED: Mega menu hover transition not always being correct
- FIXED: Mega menu first level items having wrong font family and color, when mega menu titles are disabled
- FIXED: Table searches on back-end pages not working
- FIXED: Compatibility issue with Polylang plugin causing a fatal error on the front-end
- FIXED: PHP notice occurring when Polylang is active but no languages have been added
- FIXED: Empty column height being sometimes wrong when using a background image
- FIXED: Custom icon set social media icons not working correctly
- FIXED: RSS icon and female testimonial avatar missing from Avada's icon font
- FIXED: Events Calendar single events sidebar items being incorrectly aligned
- FIXED: Sidebar JS script not correctly loaded on single events pages of Events Calendar, when metadata is in sidebar
- FIXED: Form logics and fields data being empty
- FIXED: Form entries pagination not working
- FIXED: Title highlight/rotation animation not working, if below it there is another title element using element animation
- FIXED: Icon padding being incorrect in sub-menus, when megamenu is turned off in Global Options
- FIXED: Avada Core plugin causing a fatal error when being active without Avada Builder or Avada
- FIXED: Minor styling issue of the theme Sharing Box
- FIXED: Title separator spacer missing from a few automatically added headings
- FIXED: PHP notice in class-fusion-searchform.php
- FIXED: WooCommerce product gallery image width being different in Firefox when left or right thumb navigation is used
- FIXED: Click mode not working in Vertical Menu widget
- FIXED: A few RTL issues in the back-end UI


-----------------------------------------------------------------------------------------
Version 7.4 - June 08th, 2021
-----------------------------------------------------------------------------------------


- NEW PERFORMANCE: Added a performance wizard to easily optimize all site settings, including recommendations for best results
- NEW PERFORMANCE: Added an engine to create critical CSS (CSS only used above the fold) to remove render-blocking CSS
- NEW PERFORMANCE: Added option to skip image lazy loading for specific images, having them preloaded by the browser for faster above the fold rendering
- NEW PERFORMANCE: Added an icon scanner to find FontAwesome icons and allow for easier replacement with a custom icon font
- NEW PERFORMANCE: Added an option to enable Gzip compression (on servers that support it)
- NEW PERFORMANCE: Added an option to load jQuery in the footer
- NEW PERFORMANCE: Added an option for facade/preview image loading in YouTube and Vimeo elements
- NEW PERFORMANCE: Added an option to set device type visibility for the Page Option slider
- NEW PERFORMANCE: Added an option to turn off legacy button presets
- NEW PERFORMANCE: Added assets from several 3rd party plugins, like WooCommerce, The Events Calendar, bbPress to our compilers for better performance
- NEW PERFORMANCE: Added Avada's own device detection library for all kids of internal checks
- PERFORMANCE: Removed the jQuery.waypoint JS library completely
- PERFORMANCE: Removed the jQuery.appear JS library completely
- PERFORMANCE: Removed the jQuery.cycle JS library completely
- PERFORMANCE: Removed the jQuery.hoverIntent JS library completely
- PERFORMANCE: Removed the jQuery.hoverFlow JS library completely
- PERFORMANCE: Removed the jQuery.niceScroll JS library completely to replace smooth scroll with CSS styling
- PERFORMANCE: Removed the responsive Title element script
- PERFORMANCE: Removed the deactivate mobile image hover script, reducing CLS (Cumulative Layout Shift) 
- PERFORMANCE: Removed empty column height and column background dimension scripts from front-end loading
- PERFORMANCE: Removed IE11 support (in line with the upcoming WordPress 5.8)
- PERFORMANCE: Changed some JavaScript event listeners to passive to improve scrolling performance
- PERFORMANCE: Refactored several JS files for better performance
- PERFORMANCE: Fixed CLS (Cumulative Layout Shift) caused by parallax footer feature
- PERFORMANCE: Removed redundant escape function calls
- PERFORMANCE: Split off lightbox skin styles and only load styles for chosen skin
- PERFORMANCE: Separated out JS code for YouTube and Vimeo from different areas, so that code will only load if YouTube/Vimeo scripts are generally enabled
- PERFORMANCE: Made sure sidebar related JS code is only being loaded when page actually uses sidebars
- PERFORMANCE: Added image lazy loading to mega menu background images
- PERFORMANCE: Change loading procedure of mega menus in the Menu element for better loading performance
- PERFORMANCE: Split off WP admin bar menu creation to avoid other admin related functions loading on front-end
- NEW: 1 professionally designed, performance-optimized prebuilt website
- NEW: Added a side header builder
- NEW: Added support to use custom icons (from icon font) for social media icons
- NEW: Added support for all social media sharing networks within the lightbox
- NEW: Added an option to download the icon selection JSON for custom icon sets
- NEW: Added options for gradient text colors in Title element
- NEW: Added an option to Avada Forms date element to set a date format for flatpickr
- NEW: Added an option to set a placeholder text color for Avada Forms
- NEW: Added responsive minimum height options for Container element
- NEW: Added responsive alignment options for Social Links element
- NEW: Added an option for mega menu title justification in Menu element
- NEW: Added a new option to allow setting a custom maximum height for mobile menus in Menu element
- NEW: Added an option for letter spacing on main menu items in Menu element
- NEW: Added an option to allow usage of reCAPTCHA to User Login/Register elements
- IMPROVEMENT: Added additional image size to responsive images sizes attribute for screens with more than 1920px width
- IMPROVEMENT: Avada Forms will now use HubSpot's form API, when submitting forms to HubSpot
- IMPROVEMENT: All features are now available after prebuilt site import, even if not used on that specific site
- IMPROVEMENT: Refactored the patcher classes, so that all parts of Avada can use them shared
- IMPROVEMENT: Refactored the Google font class, to add fewer font variants to body font, and to make sure no unneeded fonts get preloaded
- IMPROVEMENT: Extended new PHP responsive typography initialization to more areas
- IMPROVEMENT: Uploaded files in Avada Forms entries now showing as links, for easier opening
- IMPROVEMENT: Made sure the parallax JS script is not executed on mobile, if not enabled
- IMPROVEMENT: Removed compiled JS file from the builder frame in live editor to improve loading performance
- IMPROVEMENT: Added new actions and filters for better customizability
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Renamed Avada's built-in icon font names from icomoon to awb-icons and awb-admin-icons
- UPDATED: Compatibility with WooCommerce 5.3
- UPDATED: Updated lazySizesscript to latest version
- ACCESSIBILITY: Fixed anchor not having an href issue caused by the anchor scroll feature
- ACCESSIBILITY: Fixed anchor tag being used in Column element markup, if image hover effect is used, even if no link was set
- ACCESSIBILITY: Removed aria-hidden attribute from focusable close button in Alert element
- FIXED: Double slash in custom icon CSS file path
- FIXED: Responsive typography being incorrect in Title element when the sizes get below the minimum font-size
- FIXED: Responsive typography not working for animated text parts in Title element when animation font-size is set
- FIXED: Custom font-size set in Avada Slider not being respected for responsive heading typography
- FIXED: Export of Avada Forms entries not taking unfilled fields into account
- FIXED: Upload field in Avada Forms is not working correctly when multiple files are allowed and POST method is not used
- FIXED: Sliding bar special menu item toggle not being auto-hidden on mobile when the option is disabled in Global Options
- FIXED: Avada Forms reCAPCHTA failing when more than one submission is made during a single page load
- FIXED: Menu element text transform option incorrectly applying to mega menu content
- FIXED: Menu element text hover color not being applied when using a flyout menu and using background images
- FIXED: Menu element mobile menu spacing incorrectly inheriting spacing from main menu
- FIXED: Menu element dropdown indicator being incorrectly positioned when using icon only elements
- FIXED: Carousels not working correctly in mega menus of Menu element
- FIXED: Menu item center positioning not working when using desc text and vertical menu layout in Menu element
- FIXED: Sub-menu box-shadow being applied incorrectly to mega menu sub-menus in Menu element
- FIXED: Not all font styles being applied in mobile menu when icon only option is used in the Menu element
- FIXED: Mega menu title icon spacing being incorrect in Menu element
- FIXED: Spacing between icon and text missing in Menu element, when icons are positioned on top of text
- FIXED: Flyout menu icon active color being applied to the main toggle icon when on a page that is part of the menu
- FIXED: Scroll section links not working correctly when unpublished or conditionally rendered containers are on the same page
- FIXED: WP admin bar height not being respected when using anchor scroll
- FIXED: Lazy loading of background images not correctly working
- FIXED: Custom sticky headers below sliders jumping up when scrolling down in some cases
- FIXED: Page on load being scrolled to Google map when tooltip is opened by default
- FIXED: Number of products option not working correctly in Woo Archive element when set to 0
- FIXED: Icon element default margin being incorrect, when alignment is chosen and icon being displayed inside a flex container
- FIXED: Global elements missing p tags when used in legacy containers
- FIXED: Fixed CLS (Cumulative Layout Shift) issue caused by Avada Forms script on mobiles
- FIXED: Drop-down caret showing on WooCommerce Cart entry, even if cart is empty
- FIXED: WooCommerce multi-currency setup not working with quick view
- FIXED: WooCommerce quick view not working when used as dynamic data source in the Column element link option
- FIXED: WooCommerce ordering boxes incorrectly being displayed on product search result pages
- FIXED: WooCommerce Grid element having a few slider based options that don't save correctly
- FIXED: WooCommerce sale badge not showing in the Woo Carousel element
- FIXED: WooCommerce SKU for variable products not auto-updating in Meta element or dynamic data if every variation has its own SKU
- FIXED: WooCommerce shipping calculator field positioning being wrong for some countries
- FIXED: WooCommerce custom cart/checkout layouts AJAX load default cart totals when shipping method is changed
- FIXED: WooCommerce custom cart layout AJAX load default cart template when cart is updated if cart page is not set in WooCommerce options
- FIXED: Removal of last item in WooCommerce custom cart layout causing a 500 error
- FIXED: Radio input showing on WooCommerce checkout page, even if only one shipping option is available
- FIXED: WPML translations of Global elements not working when elements are in legacy mode Containers
- FIXED: Rollover title displaying category title instead of post title on Portfolio archive pages
- FIXED: Rollover icons not reflecting Page Options setting correctly for icons
- FIXED: Portfolio archives being 404 when using Polylang plugin and languages are being set to different sites
- FIXED: Image placeholder missing on Portfolio archive pages if no featured image was set
- FIXED: Flyout menu not closing on mobile when header/menu is in sticky mode
- FIXED: Date archives not displaying dynamic post titles in Post Cards element
- FIXED: Live search input ID not being unique when multiple search boxes are on the same page
- FIXED: Live search result in Search element not being limited to post type, if only a single post type is selected
- FIXED: AJAX loading of next posts not working when using a custom search layout
- FIXED: AJAX loading of next posts not working when infinite scroll and load more posts by button elements are on same page
- FIXED: Styling issues on the single events page of The Events Calendar
- FIXED: Compatibility issue with The Events Calendar Pro plugin that led to widget options not saving correctly
- FIXED: Some hosts being blocked from updating Avada due to site URL being part of the user agent
- FIXED: PHP notice happening when retrieving SVG image dimensions on hosts where allow_url_fopen is disabled
- FIXED: Alignment of privacy bar button being wrong on RTL sites
- FIXED: reCAPTCHA refresh ID being incorrect leading to a JS error
- FIXED: Button set being cut off on some screen sizes in Avada Slider options
- FIXED: Avada Slider in parallax mode being incorrectly displayed when using boxed mode
- FIXED: Removed fallback in referrer function to make sure external referrers are not allowed
- FIXED: SSL issue being reported by some scanners, due to a few social sharing networks not using HTTPS
- FIXED: Text-based next/prev pagination buttons being limited in width when using the padding mode
- FIXED: Error happening when trying to perform a bulk action without an action being selected on back-end
- FIXED: Legacy font families for header and footer loading, even if Layout Builder was used to setting up header and footer
- FIXED: Compatibility issue of the MemberPress plugin with the Layout Builder
- FIXED: Column ID collision happening sometimes when different layout section previews are loaded in the live editor Layout Builder
- FIXED: Wireframe display issue in live editor when using different layout sections on one page
- FIXED: ACF dynamic callback being incorrect in Layout Builder
- FIXED: ACF image field isn't working as dynamic option in the Image element
- FIXED: ACF dynamic data not being available in Post Card element
- FIXED: HTML content not working in before/after fields of dynamic content
- FIXED: Dynamic data countdown date not working correctly in live editor
- FIXED: Column margin/padding drag handlers disappearing on drag in some cases
- FIXED: Box shadow not working for Container element in live builder when currently editing the container
- FIXED: Social links icons boxed padding not auto-updating in live editor


-----------------------------------------------------------------------------------------
Version 7.3.1 - April 14th, 2021
-----------------------------------------------------------------------------------------


- NEW: Compatibility with WooCommerce 5.2
- PERFORMANCE: Changed display mode of Menu element to be mobile-first, based on PHP estimation, to reduce CLS
- PERFORMANCE: Added image dimension auto-calculation for SVG uploads
- PERFORMANCE: Added custom icon font CSS files to the CSS compiler
- IMPROVEMENT: WooCommerce products without featured image can now be shown in the Woo Product Grid element
- IMPROVEMENT: Added Avada's element visibility options to the WooCommerce Cart elements
- IMPROVEMENT: Added support for dependency checks in the element scanner, in case some elements are part of other elements
- FIXED: Compatibility issue between WooCommerce builder and third party SEO plugins, causing fatal errors on edit pages
- FIXED: WooCommerce list view being displayed incorrectly when using Clean layout
- FIXED: WooCommerce Checkout Form opening element disappearing on backend page save
- FIXED: WooCommerce placeholder image not being used in the clean product layout
- FIXED: WooCommerce translation string mismatch
- FIXED: PHP warning on Post Card element when the source is set to WooCommerce products and WooCommerce being inactive
- FIXED: WooCommerce product archives using the blog archives sidebar in live editor
- FIXED: Check for custom layout for the WooCommerce shop page not always correct on backend editor
- FIXED: "Cart Page" label in backend pages table potentially being doubled up, depending on custom layout setup
- FIXED: Custom Flyout Menu not opening correctly if no link is set
- FIXED: Menu items set to be mega menu column titles that are linked not being displayed in the Menu element
- FIXED: Offset option not correctly working in Post Cards element
- FIXED: Rollover title displaying taxonomy name instead of post name on taxonomy pages
- FIXED: Deleted Avada Forms showing up as empty options in the form select field on the form entries page
- FIXED: Time and date fields in Avada Forms not getting correct styles applied when flatpickr is not used
- FIXED: Avada Forms time field not displaying 12hrs time format correctly
- FIXED: Avada Forms causing a JS error when used on sites with multi-language plugins when the form is missing a translation
- FIXED: reCAPTCHA causing JS error when multiple instances are used on the same page where one is in a Modal element
- FIXED: Sticky container positioning sometimes being off, when elements prior to it dynamically change height
- FIXED: Styling issue on conditional rendering logic options in live editor
- FIXED: Prebuilt website import failing on PHP8 when no widgets are set
- FIXED: Live editor not always being able to save page in Firefox due to timing issue
- FIXED: fusion_breadcrumbs_defaults filter not being applied when using the Breadcrumbs element
- FIXED: PHP notice in live editor when using custom layouts for post type archives
- FIXED: Custom icon font preload, preloading all font files instead just .ttf one
- FIXED: Avada Element Library table not being correctly updated when elements get deleted
- FIXED: Google fonts preloading not working for 400 variants


-----------------------------------------------------------------------------------------
Version 7.3 - March 30th, 2021
-----------------------------------------------------------------------------------------

IMPORTANT: Avada will use purchase codes for product registration from version 7.3 onwards. 
Existing installs that have already been updated, will need to update their registration with 
their purchase codes, to receive future product updates.

In Avada 7.3 the WooCommerce builder gets extended and now allows fully custom shop, cart, checkout and archive pages.

- NEW: Added a completely new product registration setup, which now uses single purchase codes
- NEW: 2 professionally designed prebuilt websites using the new Avada WooCommerce Builder features
- NEW: Introducing the Avada Post Card setup, to easily create layouts to display multiple posts of a post type
- NEW: Post Cards element to display custom post cards as a grid, a carousel, or a slider
- NEW: Post Cards Archive element to render archives in the new post card style
- NEW: Post Card Image element, with specific layouts like rollover and crossfade 
- NEW: Post Card Cart element for adding WooCommerce specific elements
- NEW: 17 prebuilt post cards, including 9 blog posts, 4 products and 4 categories
- NEW: WooCommerce Sorting element for shop pages
- NEW: WooCommerce Cart Table element
- NEW: WooCommerce Cart Coupons element
- NEW: WooCommerce Cart Shipping element
- NEW: WooCommerce Cart Totals element
- NEW: WooCommerce Checkout Tabs element
- NEW: WooCommerce Checkout Billing element
- NEW: WooCommerce Checkout Shipping element
- NEW: WooCommerce Checkout Order Review element
- NEW: WooCommerce Checkout Order Payment element
- NEW: WooCommerce Checkout Form element, to wrap the main checkout form as needed
- NEW: WooCommerce Archives element to easily display archive page layouts
- NEW: WooCommerce Product Grid element, to easily display product sections and pages
- NEW: Added WooCommerce Cross Sells to the Up-Sells element
- NEW: Added 9 options for custom WooCommerce out of stock badge styling and added option to the Product Images element
- NEW: Added a new option to have the menu cart counter displayed as badge
- NEW: Added several options to Dynamic Data system (e.g. "Hello user", Cart update, items in cart, permalink etc.)
- NEW: Added Conditional element rendering system, to display elements based on custom conditions
- NEW: Conditional rendering system for Avada Forms
- NEW: Added option to easily export entries of Avada Forms
- NEW: Added option to allow multiple file uploads in one upload input in Avada Forms
- NEW: Added disabled option to text and textarea input of Avada Forms
- NEW: Added Scroll Progress element to visualize page scroll progress
- NEW: Added 3 new animation types to Avada's element animation system
- NEW: Added new options to Countdown element, including counting to a WooCommerce product sale or an Events Calendar event
- NEW: Added post content excerpts and font options to the Content element
- NEW: Added icon background size option to the Icon element
- NEW: Added link options and left/right margin to the Title element
- NEW: Added space between choice to the main menu item text align option in Menu element
- NEW: Added margin options and justification alignment choice to the Text Block element
- NEW: Added vertical alignment option of Column element when in row mode.
- NEW: Added option to YouTube and Vimeo elements to set a title attribute for accessibility
- NEW: Added option to disable FAQ element rich snippets
- NEW: Added WP CLI command to easily clear Avada caches
- NEW: Compatibility with WordPress 5.7
- NEW: Compatibility with WooCommerce 5.1
- PERFORMANCE: Added new option to automatically search site-wide for unused elements and disable them in builder option
- PERFORMANCE: Added 2 new options to choose variants and subsets for key fonts to be preloaded
- PERFORMANCE: Added a new option to disable jQuery migrate script
- IMPROVEMENT: Google fonts will now always load in woff2 format
- IMPROVEMENT: Added validation to Google maps API key field to avoid white space issues
- IMPROVEMENT: Avada Slider is now available for users with editor role
- IMPROVEMENT: Custom layouts can now be assigned to bbPress topics
- IMPROVEMENT: Meta and Pagination elements are now available in Page Title Bar Layout Sections
- IMPROVEMENT: Cloning of Layout Section elements is now possible
- IMPROVEMENT: WooCommerce Notice element now works on all pages
- IMPROVEMENT: WooCommerce rating sorting option now also gets disabled if reviews in general are disabled
- IMPROVEMENT: Added clone and live edit options and type icons to the element library table
- IMPROVEMENT: Added new actions and filters for better customizability
- UPDATED: Font Awesome now is on version 5.15.3 offering 1609 icons
- UPDATED: Added compatibility with latest Contact Form 7, which no longer uses ajax
- UPDATED: jQuery code to make sure it is compatible with WordPress 5.7+
- ACCESSIBILITY: Fixed role issue in Toggles element
- ACCESSIBILITY: Fixed legacy Page Title Bar missing landmark role
- ACCESSIBILITY: Fixed load more button not being a real button
- ACCESSIBILITY: Fixed close buttons in Modal element not working for screen readers
- FIXED: Contact Form 7 ajax loading spinner not working correctly
- FIXED: Dynamic CSS not being correctly loaded in a few cases where async loading is used
- FIXED: Color pickers in Global Options not updating in live editor
- FIXED: First and last image in the WooCommerce product lightbox being doubled
- FIXED: Hidden WooCommerce products still appearing in live search results
- FIXED: Compatibility issue with 'WooCommerce Additional Variation Images' plugin, where variation images get duplicated
- FIXED: Disabled variations not working for Avada's WooCommerce variation buttons
- FIXED: RTL issue in Avada's WooCommerce variation swatches
- FIXED: Quantity field length issue when using percentage values in the WooCommerce Add To Cart element
- FIXED: WooCommerce shop page being affected by a Layout that is set for all products in the live editor
- FIXED: PHP notice when importing a prebuilt site with products when WooCommerce is not active
- FIXED: Regular price position not working correctly for variable products when using the WooCommerce Price element
- FIXED: WooCommerce quick view image animation in cases where the featured image is larger than the quick view modal
- FIXED: WooCommerce Add To Cart element stacked variations not displaying correctly for grouped products
- FIXED: PHP notice on WooCommerce single product pages, when percentage sale badge is used and regular price missing
- FIXED: Sticky sidebars not working correctly when header is turned off in Page Options
- FIXED: Lightbox loading Vimeo preview image even if URL param is set to suppress it
- FIXED: Lightbox not working for elements added newly through ajax load more / infinite scroll actions when only first image per posts should be shown
- FIXED: Max width setting not working in Lottie element if the element is linked
- FIXED: Submitting an Avada Form through ajax causing a JS error
- FIXED: Some Avada Form elements not being translatable using WPML
- FIXED: Error message always being shown in Avada Forms when using "Send To URL" submission method
- FIXED: HTML entities encoding for Avada Forms email contents missing
- FIXED: Avada Form input labels not being correctly associated with their inputs
- FIXED: Number field in Avada Forms being able to be set to negative numbers, if min value is set to 0
- FIXED: Hidden form fields not being available for the HubSpot form mapping
- FIXED: SQL error when Avada Form tables have to be created on update
- FIXED: Avada Form labels of radio inputs not using label color
- FIXED: Form encryption type being wrong when using upload inputs and POST submission method in Avada Forms
- FIXED: Open and close action hooks for Avada Form being off
- FIXED: Emulation of terms being off in the live editor
- FIXED: Dynamic data for term count not working correctly
- FIXED: Custom footer layout can cause post contents column width to be off
- FIXED: Content width being incorrect on Events Calendar single events pages, when meta sidebar is turned off
- FIXED: JS error when using load more / infinite scroll options in Events element
- FIXED: Duplicated CSS menu ID when using vertical menu widget
- FIXED: Facebook widget disappearing on resize, if the calced width is not an integer
- FIXED: Widget element throwing PHP notice, if plugins serving corresponding widgets get disabled
- FIXED: Events Calendar widget option styling being incorrect in the editor, when using Events Calendar Pro
- FIXED: Compatibility issue with the Events Calendar lists widget, leading to settings being unchangeable
- FIXED: Default value of border color not correctly working in Meta element
- FIXED: Some elements not correctly picking up number of posts from Settings > Reading as default
- FIXED: Page Title Bar title being wrong on post type archive pages
- FIXED: Element specific JS files missing in compiled file if page is password protected
- FIXED: Lift-up shadow in Nested Columns element being incorrect when columns use rounded corners
- FIXED: Spacing issue in live editor when editing Nested Columns element in the library
- FIXED: Nested Columns element changes not always registered correctly as content change when in wireframe mode of the live editor
- FIXED: Gallery element preview in live editor not working when using the bulk image upload method
- FIXED: Backend editor jumps to top of page after editing nested columns
- FIXED: Styling of backend editor's content error modal being off
- FIXED: Checklist element having empty paragraph tags when being saved as global element
- FIXED: Clone button in Pricing Table element nor working correctly
- FIXED: JS error caused Sharing Box element script if no link is set
- FIXED: Footer font color global option using incorrect default value
- FIXED: Issue in Search element where search being limited to post title did not always work, depending on Global Options settings
- FIXED: Avada Slider height being wrong when using full screen mode but not parallax on side header layouts
- FIXED: Width and height attributes missing in Avada Slider fallback image
- FIXED: A PHP8 compatibility error in class-fusion-settings.php
- FIXED: Some scripts missing a dependency, causing JS errors
- FIXED: JetPack compatibility issue where social sharing icons were displayed in custom header and footer layouts
- FIXED: A 404 error on assets in Avada's LayerSlider styles
- FIXED: Removed hard-coded column width in Related Posts element, if there are viewer posts than set columns
- FIXED: Social Sharing element link and title don't work for archives
- FIXED: Incorrect height of SVGs when using image lazy load
- FIXED: Missing text domain on 2 strings on the Avada dashboard
- FIXED: Clickable elements not always working in Text Block element
- FIXED: PHP notice in fallback method for loading custom icon fonts
- FIXED: Element titles being escaped in the builder leading to issues with translations to some languages
- FIXED: PHP notice happening in some cases when using live search
- FIXED: Compatibility issue with some Slider Revolution slider setups
- FIXED: Post type being displayed as slug instead of name for custom post types on the search results page
- FIXED: Tracking code in a few cases not loading correctly when using privacy options
- FIXED: Live edit link in the WP admin bar being wrong when editing Layout Sections with preview set to archives
- FIXED: Dependency issue in Global Options panel, where some menu options were not correctly displayed on first tab load
- FIXED: Icon option not being correctly initialized on a fresh install, when Global Options have not been saved yet
- FIXED: Popover element displaying 'undefined' instead of staying blank when no content was set
- FIXED: Sub-menu not being toggled when clicking on link text of a hashtag online menu item in the Menu element
- FIXED: Standard font family selection not working correctly in Menu element
- FIXED: Icon alignment issue in Menu element, when using vertical layout
- FIXED: Library elements being publicly queryable


-----------------------------------------------------------------------------------------
Version 7.2.1 - December 21th, 2020
-----------------------------------------------------------------------------------------


- NEW: Added product sorting options to the WooCommerce Carousel elements
- NEW: Direct link to a Toggle element item is now possible on page load and when linking from another page
- UPDATED: Child theme in full package, to reflect change for stylesheet dependency
- FIXED: WooCommerce list view styling being incorrect
- FIXED: WooCommerce responsive columns not working for the product category shortcode
- FIXED: Featured image slider on pages / posts not working
- FIXED: Container element background videos not working
- FIXED: Lightbox not working on posts / single portfolio items
- FIXED: Lightbox thumbnail request for Vimeo videos leading to 301 and to lightbox loop request
- FIXED: Lightbox images being too large in height when no image title is displayed
- FIXED: Fixed mode in Gallery element loading full-sized images
- FIXED: Infinite scroll and load more not working in Recent Posts element
- FIXED: Email subject encoding option not working correctly
- FIXED: Legacy header causing a jump on scroll when sticky header kicks in, in certain setups
- FIXED: Google Map missing from legacy Contact Page template
- FIXED: Avada Form submission to URL option not respecting server response
- FIXED: PHP notice on terms page of WooCommerce Attributes when using Avada Button type
- FIXED: Custom variation terms missing from import of new WooCommerce prebuilt websites
- FIXED: Avada Live Builder not working in some cases, depending on post type selection


-----------------------------------------------------------------------------------------
Version 7.2 - December 15th, 2020
-----------------------------------------------------------------------------------------


- NEW: The WooCommerce single product builder, allowing fully custom products
- NEW: Added Avada custom swatches for WooCommerce variable products: colors, images, buttons
- NEW: WooCommerce Add To Cart element, with dozens of options for price, stock, variations, buy buttons, etc.
- NEW: WooCommerce Product Images element, with gallery width control, preview thumbnails position, and column amount settings
- NEW: WooCommerce Short Description element
- NEW: WooCommerce Tabs element
- NEW: WooCommerce Additional Information element
- NEW: WooCommerce Rating element
- NEW: WooCommerce Reviews element
- NEW: WooCommerce Stock element
- NEW: WooCommerce Related Products element
- NEW: WooCommerce Up-sells element
- NEW: WooCommerce Notices element
- NEW: Additions to the Meta element for WooCommerce related data like SKU
- NEW: Added 9 Global Options to style WooCommerce sale badges (shape, border options, BG color, text color, font-size, contents)
- NEW: Added a Global Option to set the size of WooCommerce product images gallery thumbnails
- NEW: Added options for sale and out of stock badges and offset to the WooCommerce carousel elements
- NEW: WooCommerce product archives now use the responsive column breakpoints to gracefully reduce column amount according to available space
- NEW: Added 8 new section separator styles plus height and repeat settings
- NEW: Added several options to Social Sharing elements, like margin, padding, border, color, etc.
- NEW: Added several options to the Pagination element including preview images, a sticky mode, and taxonomy term settings
- NEW: Gallery and image carousel elements now supports dynamic data feed, so that ACF galleries, Woo product images, and featured images can be used
- NEW: 9 prebuilt layouts, including 4 product pages, 3 blog posts, and 2 portfolio posts
- NEW: Added Reading Time and Word Count options to the Meta element
- NEW: Added a Menu Option to turn on/off the cart counter in the special cart menu element if cart is empty
- NEW: Favicon set in Global Options will now also display in admin area
- NEW: Layout Section elements can now be disabled in the Builder options
- NEW: Compatibility with Events Calendar 5.3
- NEW: Compatibility with PHP 8.0
- PERFORMANCE: Changed JS compiler, so that element relevant scripts will only be loaded, if element is used on a page
- PERFORMANCE: Added Global Option to preload key fonts (icon fonts, Google fonts)
- PERFORMANCE: Added Global Options to disable Portfolio and FAQ post types
- PERFORMANCE: Made sure that only Avada Flexslider script is loaded, when WooCommerce is active
- IMPROVEMENT: If search is set to only display WooCommerce products, the product layout will now be used for results
- IMPROVEMENT: Color palette pickers in Global Options now allowing alpha channel
- IMPROVEMENT: Avada Core and Avada Builder plugins show an info note now when product is not registered
- UPDATED: reCAPTCHA library now running on version 1.2.4
- UPDATED: Flexslider script now running on version 2.7.2
- UPDATED: Facebook SDK version to 8.0
- UPDATED: Removed Mixer social icon, as the network no longer exists
- FIXED: Extra closing ">" for the read more tag in the Blog archives
- FIXED: Saving empty Font Awesome multi-select in Global Options not correctly working
- FIXED: jQuery "ready" event being double triggered because of conflict with WP's jQuery migrate library
- FIXED: Featured image width being wrong, when set in percentage values in Page Options
- FIXED: Self-hosted video in Avada Slider being incorrectly positioned when using parallax mode and side header
- FIXED: WooCommerce single product pages content width being incorrect when using the Page Option setting
- FIXED: Plugin names in the prebuilt websites importer dialog still being Fusion Core and Fusion Builder
- FIXED: Not all needed Global Options auto-updating on changing pre-defined color scheme
- FIXED: Convert Plus plugin activation not working correctly from the prebuilt websites install modal
- FIXED: Privacy consent not working correctly on embedded iframes on single Portfolio posts
- FIXED: Avada Slider keeps auto-playing after touch advance on mobiles
- FIXED: Avada Slider metadata being wrong when slider is used in a content layout section
- FIXED: Avada Slider sometimes displaying empty slides, when using slide animation and full-screen mode
- FIXED: When image lazy loading is enabled the feed page will use placeholder images
- FIXED: Avada Live "Exit to Dashboard" toolbar link not working for non-admin users
- FIXED: Text flickering in Title element when using rotating titles in Chrome on Windows 10
- FIXED: Doubled up icons on Events Calendar pages, when using Events Calendar 5.3+
- FIXED: Events list widget of Events Calendar 5.3+ plugin not displaying when using Widget element
- FIXED: Images not loading in Blog element masonry layout when image lazy loading is disabled
- FIXED: Global elements not translatable with WPML when logged out
- FIXED: Bulk actions not working in Avada form table
- FIXED: Form subject fields being incorrectly encoded in submission email in Cyrillic languages
- FIXED: Date picker popup being behind modal when using Avada form within the Modal element
- FIXED: reCAPTCHA element not working correctly when several forms use it on the same page
- FIXED: reCAPTCHA form element using audio instead of text challenge by default when using V2
- FIXED: Some for inputs not having associated labels
- FIXED: Option values in Submit element for border size and radius can't be changed
- FIXED: Widths of containers below a container that is set to draft being wrong on some setups
- FIXED: Live search overlay not being removed correctly when search input gets deleted
- FIXED: Redirection URL in Login element strips out spaces, creating issues for some setups
- FIXED: Select icon in select field not using the set input text color
- FIXED: Flyout menu not auto-closing, when clicking on an anchor link in Menu element
- FIXED: Cart icons of the menu cart contents being wrongly positioned in flyout menu in Menu element
- FIXED: Menu element margin not being auto-removed on last menu item, which leads to positioning issue
- FIXED: Drop-down menu item active background and text color not correct in cases of hierarchical parents in Menu element
- FIXED: Lottie element size issues in Safari
- FIXED: Alignment option in Lottie element not working for medium and small sizes when a max-width is set
- FIXED: Email link in Social Links element not opening in new tab
- FIXED: PHP notice in template builder class on the blog front page
- FIXED: Media Slider element height being incorrect in some cases and throwing PHP notice if a slide is empty
- FIXED: PHP notice in Image Before & After element, if one of the 2 images is not set
- FIXED: Custom footer layout having styling issues (headings, social icons) on Events Calendar pages
- FIXED: Fatal error happening on using tags in the Meta element when a third party plugin alters the get_the_tag_list() return type
- FIXED: Compatibility issue with PrivateContent plugin and Avada's Layout Builder
- FIXED: Compatibility issue with Download Manager plugin and Avada's Layout Builder
- FIXED: Compatibility issue with Members plugin and Avada's Layout Builder
- FIXED: Compatibility issue on search results page YITH WooCommerce Ajax Search Premium plugin
- FIXED: Compatibility issue, where some plugins cause a PHP notice in function fusion_app_get_permalink()
- FIXED: Compatibility issue between WooCommerce Terms & Conditions page and layout sections
- FIXED: PHP notice on saving an Avada form when YOAST SEO is active
- FIXED: PHP issue in Tabs element in backend editor, when Yoast SEO's page analysis tool is active
- FIXED: Clicking update on Custom Icon Set screen creating a new directory
- FIXED: Custom icons not available in backend editor on an unpublished page
- FIXED: Infinite scroll being broken with the use of Archive element
- FIXED: Sticky sidebars not working for logged out users
- FIXED: Title element spacing between text and separator missing when using div tag
- FIXED: 404 and Search page layouts sharing same CSS cache ID, leading to incorrect CSS output
- FIXED: JS error on removing conditions from layouts after using the post search
- FIXED: ID collision between Avada Form and layout section, when both are used on same page, leading to layout issues
- FIXED: Font family options using italic not being correctly set
- FIXED: "Edit Live" link in WP admin bar linking to homepage when editing a layout section
- FIXED: Testimonial element background being off on WordPress 5.6
- FIXED: Sticky containers not working correctly in WordPress 5.6
- FIXED: Font family changes being off in Avada Live Builder in WordPress 5.6
- FIXED: Display issue in Avada Live Builder when using the anchor name option in Container element
- FIXED: Cloning of Nested Columns element in Avada Live Builder changing the column width
- FIXED: Blog element masonry layout having re-render issues in Avada Live Builder
- FIXED: Images not displaying correctly for Gallery element in masonry mode in Avada Live Builder
- FIXED: "Avada Form" link being doubled in the "New" menu in toolbar of Avada Live Builder
- FIXED: Links added to Image element leading to loading of the linked page in wrong frame in Avada Live Builder
- FIXED: Small display issue in warning dialog in the Avada Live Builder


-----------------------------------------------------------------------------------------
Version 7.1.2 - December 07th, 2020
-----------------------------------------------------------------------------------------


This is a maintenance update making sure Avada works fine with the upcoming release of WordPress 5.6.

- NEW: Compatibility with WordPress 5.6
- UPDATED: JS code to work with jQuery 3.5+


-----------------------------------------------------------------------------------------
Version 7.1.1 - October 15th, 2020
-----------------------------------------------------------------------------------------


- NEW: Added a reply-to option for email form submissions, for easier way to directly reply to submissions
- NEW: Added possibility to use form field placeholders in some of the submission options for easier setup
- NEW: Added tabindex options to form builder inputs for easier field focus
- NEW: Added an additional submission option which allows sending email and storing in database simultaneously
- NEW: Compatibility with WooCommerce 4.6
- IMPROVEMENT: Added a dependency to Custom Headers option in Avada Form Builder to avoid confusion
- IMPROVEMENT: Changed styling of WPML translation options in Avada's Layout Builder
- IMPROVEMENT: Updated several info boxes, option descriptions and dependencies for better usability
- FIXED: Load more button not working correctly
- FIXED: Lightbox not working, when social icons are disabled
- FIXED: Image element setting image height attribute incorrectly
- FIXED: ARIA label for social icons using a prefix
- FIXED: reCAPTCHA fields in Avada Form Builder being send along with submission email
- FIXED: HMTL special chars being incorrectly displayed in form submission emails in some clients
- FIXED: Form entries not correctly displaying when loading through the Avada dashboard menu
- FIXED: Submissions count incrementor using hard-coded database table name in Avada Form Builder
- FIXED: Is read flag in Avada Form Builder not working correctly
- FIXED: Blog image links not working correctly
- FIXED: Repeater option fields missing in back-end of Global Options
- FIXED: Compatibility issues with WooCommerce Auctions plugin where "bid now" buttons are not displayed
- FIXED: Post preview being incorrectly displayed
- FIXED: "Nothing Found" message option in Archive element not working
- FIXED: Form alert notice not displaying correctly if Alert element is disabled
- FIXED: Avada Sliders page scrolling up on WP heartbeat AJAX calls
- FIXED: Issue of the Events Calendar plugin where the events list is not properly displayed when events are excluded from our search form


-----------------------------------------------------------------------------------------
Version 7.1 - October 06th, 2020
-----------------------------------------------------------------------------------------


Avada 7.1 introduces the Avada Form Builder, our fully integrated form solution, that lets you design any form just within
the builder interface you are used to. Our incredibly customizable form builder comes with 19 different input types, new form styling options,
4 different submission options (email, database, URL and POST), confirmation and privacy options and so much more.

See the promo video here: https://bit.ly/30C8mUu

- NEW: 2 professionally designed prebuilt websites using the new Avada Form Builder
- NEW: Avada Form Builder our fully integrated form solution
- NEW: Added 19 form input elements to create virtually any form
- NEW: Added HubSpot support for Avada Forms for easy CRM integration
- NEW: Added a new Global Option to easily choose the image lazy loading method
- NEW: Added text shadow option to the Title element
- NEW: Added margin option to the Alert element
- NEW: Added maximum number of elements and post status option to FAQ element
- NEW: Added a filter to the prebuilt websites page, so that imported websites can easily be seen at once
- NEW: Added "None" choice to the tooltip option in Social Links element
- NEW: WordPress native auto updates for themes and plugins are now supported
- NEW: Compatibility with WooCommerce 4.5
- PERFORMANCE: Made sure Slider Revolution custom Avada styles database queries are not performed on every admin page load
- IMPROVEMENT: CPT taxonomies are now supported in Avada Live Builder using a filter
- IMPROVEMENT: Changed the source order for self-hosted video backgrounds in Container element for better browser loading
- IMPROVEMENT: Image element using post image as dynamic data now displaying the post's image even in archives
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Custom jQuery code to resolve warnings with the jQuery migrate plugin
- UPDATED: Font Awesome now is on version 5.15 offering 1609 icons
- FIXED: Price and popularity ordering clauses on the WooCommerce shop page, specifically for variable products
- FIXED: WooCommerce cart icon not correctly highlighting, when the cart is not empty in legacy headers
- FIXED: Compatibility issue with WooCommerce bundled products plugin and quick view
- FIXED: HTML tags in product titles not being correctly displayed on the WooCommerce cart page
- FIXED: WooCommerce placeholder image linking to current page in Avada's image gallery
- FIXED: Fatal error happening on prebuilt website import, if the website uses WooCommerce but the plugin is not active on local
- FIXED: "Open Portfolio Links In New Window" option not working for the linked post title in the Portfolio element
- FIXED: "Custom Link URL On Archives" option not working for the post image when rollover is disabled
- FIXED: HubSpot plugin activation not working correctly from the prebuilt websites install modal
- FIXED: Flyout menu item background image option is missing if mega menu is disabled in Global Options
- FIXED: 404 assets error when using the WordPress Customizer
- FIXED: Avada Slider alignment being incorrect on RTL sites, when using the slider assignment through Page Options
- FIXED: RTL animation issue with slide animation in Avada Slider
- FIXED: Title element left/right position being wrong on RTL sites when using no separator
- FIXED: Title element not correctly centered when using center alignment with animations but without before/after text
- FIXED: A few backend dashboard alignment issues for RTL sites
- FIXED: Compatibility issue with Yoast, when saving a custom layout while WooCommerce is active causes a fatal error
- FIXED: Compatibility issue with Dokan plugin
- FIXED: Compatibility issue with LearnDash plugin when using the Layout Builder
- FIXED: Compatibility issue with MediaVine plugin when using the Layout Builder
- FIXED: Compatibility issue with latest Events Calendar Pro widgets when used in the Widget element
- FIXED: Main menu button in custom header not displaying sub-menus when in mobile mode
- FIXED: Main menu button icon in custom header displaying incorrectly when in mobile mode
- FIXED: Sticky visibility option not working in Menu element
- FIXED: Menu item image being squeezed when using vertical mode in Menu element
- FIXED: Icon only menu elements and cart icon position being to high in Menu element
- FIXED: Custom search icon having incorrect padding when using icon only option in Menu
- FIXED: Lightbox script causing a JS error, when image source is missing
- FIXED: Second highlight part becoming invisible in Title element highlight animation when loop is turned off
- FIXED: Special menu item options also being displayed on sub-menu levels
- FIXED: Line breaks not working in Text Block element when used in a Global element
- FIXED: ACF fields set for a specific post category not being available in dynamic content options
- FIXED: Visibility options not working in Image Before & After element, if fade animation is used
- FIXED: Generic class name "large" causing potential compatibility issues with other plugin
- FIXED: Popover element arrow being misplaced
- FIXED: Drop shadow getting removed in Image element when border radius is set to 50%
- FIXED: Center alignment choice in Video element causing a CSS issue, leading to incorrect alignment and size
- FIXED: Image sizes sometimes being loaded incorrectly after a a layout section like header or page title bar
- FIXED: JSON file upload not working for Lottie element unless activated through a plugin
- FIXED: Anchor scrolling animation being double invoked on Content Boxes element title, causing a slight animation delay
- FIXED: Live search not working when using an apostrophe in the search term
- FIXED: Archive element infinite scroll not correctly working for portfolio and other CPTs
- FIXED: PHP notices on blank page placeholder, when using PolyLang
- FIXED: PHP notice on archive pages when using the layout builder
- FIXED: A few compatibility issues with old PHP versions (5.6.x)
- FIXED: Layout Builder global layouts not being translatable in WPML and PolyLang
- FIXED: Carousel element images cropped when using WordPress lazy loading (fixed through a new Global Option)
- FIXED: Related Posts layout element misses related CSS and JS if Image Carousel element is disabled in Avada Builder options
- FIXED: "Avada Builder Library" string not being translatable
- FIXED: WCAG issue with search form missing aria label
- FIXED: WCAG issue where tab focus is not trapped within the open lightbox
- FIXED: WCAG issue with lightbox icons missing role
- FIXED: WCAG issue with mobile menu sub-menu expand icons missing focus
- FIXED: WCAG issue of "read more" links, missing aria label
- FIXED: WCAG issue of search form where aria label was empty
- FIXED: Border radius set on Column element cutting Avada Live UI for Nested Columns element
- FIXED: Slider Revolution causing a JS error when using post slider option but no slides could be found
- FIXED: Switch options displaying 0/1 instead of no/yes in the descriptions in Avada Live
- FIXED: Items disappearing in Blog element in Avada Live, when title, excerpt and met data are disabled
- FIXED: Read more symbol in Blog element not working on re-render in Avada Live


-----------------------------------------------------------------------------------------
Version 7.0.2 - August 12th, 2020
-----------------------------------------------------------------------------------------


- NEW: A professionally designed prebuilt website using the HubSpot live chat
- NEW: Added Lottie Animation element to Avada Builder
- NEW: Added Telephone to the social media icons (available as of Avada 7.0.1)
- NEW: Added WPML translation management compatibility for Blog, Portfolio and FAQ element categories
- NEW: Added Portfolio Skills to the Meta element
- NEW: Compatibility with WordPress 5.5
- IMPROVEMENT: Changed Megamenu positioning in Menu element based on nearest fusion-row parent for better results
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Font Awesome now is on version 5.14 offering 1598 icons
- UPDATED: Removed some JS libraries that are no longer supported
- UPDATED: Exit to dashboard link in Avada Live Builder now pointing to the Avada dashboard
- FIXED: Vimeo background videos not playing on mobile in Avada Slider
- FIXED: Global element translation not working correctly using WPML
- FIXED: Product registration sometimes not working correctly when more tham 100 products have been bought
- FIXED: Social icons styling in header/footer being incorrect if social links element is disabled
- FIXED: Live search results being below menu content in legacy header v4
- FIXED: Header / Footer Layout Sections not working with Events Manager plugin
- FIXED: Category dynamic data not working on Portfolio pages
- FIXED: WeChat and WhatsApp link prefixes not being correct in the Social Links widget
- FIXED: JS error in sidebar script when Avada Builder is not active
- FIXED: Dropcap element Global Options color not working correctly
- FIXED: Avada Slider WP adminbar menu item showing even if slider is disabled in Global Options
- FIXED: Required plugins names not reflecting new names correctly in the update nag
- FIXED: Full width Section Separators being overflowing when using boxed layout
- FIXED: Only first featured image being shown when using dynamic data in Gallery element
- FIXED: Highlight border in Tabs element not working correctly in classic layout
- FIXED: Custom 404 page layout not working correctly when non-existing categories and tags are queried
- FIXED: Sticky footer causing page scrolling issues when elements with dynamically loaded content are used
- FIXED: Default widget title being displayed in Avada Builder on re-edit, if title was saved empty
- FIXED: Alt tag option not working in the Image element
- FIXED: Search for CPTs not working in Search element
- FIXED: Tags not displaying in the Meta element for portfolio posts
- FIXED: Avada Slider responsive typography not working when the sensitivity is set to 0 in Global Options
- FIXED: Menu element sub-menu hovers and some hover styles not working in IE11
- FIXED: Section Separators having incorrect height in IE11
- FIXED: Logo as dynamic data not showing correctly in Image element in IE11
- FIXED: Paddings on Column elements being applied on all sided on newly created columns, even if only set on top/bottom
- FIXED: Menu element in mobile mode not collapsing when clicking on an anchor link for the same page
- FIXED: Menu element styles being wrong when styles are generally loaded in footer
- FIXED: Megamenu as sub-menu of Flyoutmenu link span being off when using Menu element
- FIXED: Icon element styles being wrong when used inside a widget area in the Menu element
- FIXED: Menu element drop-down hover color being wrong when dragging mouse outside after link was clicked
- FIXED: Compatibility issue of the DW Question Answer plugin with the Avada Layout Builder
- FIXED: General carousel styles not being loaded for WooCommerce carousels, if Image Carousel element is disabled
- FIXED: Megamenu max-width setting not auto refreshing in Avada Live Builder
- FIXED: Column elements can't be moved in Avada Live Builder, after Container element column spacing was changed
- FIXED: Column padding drag being incorrect in Nested Columns element in Avada Live Builder
- FIXED: Column element border-radius not showing correctly in Avada Live Builder
- FIXED: Google font family request being invalid when Avada Live Builder is disabled through filter
- FIXED: Video backgrounds i Avada SLider not correctly loading in Avada Live Builder


-----------------------------------------------------------------------------------------
Version 7.0.1 - July 23rd, 2020
-----------------------------------------------------------------------------------------


- FIXED: Patcher only being able to install Avada Theme patches
- FIXED: YouTube background videos in Container elements not working
- FIXED: YouTube / Vimeo background videos being incorrectly positioned when Container element in flex layout
- FIXED: Icon alignment on right being wrong when using clean horizontal layout in Content Boxes element
- FIXED: Modal element top position and overlay transparency being incorrect
- FIXED: Toggle element not working correctly when animations are disabled in Global Options
- FIXED: Styling issues in Layout Section elements
- FIXED: Text element auto displaying text left aligned on RTL sites
- FIXED: Full-width Section Separator positioning being incorrect on RTL sites
- FIXED: Header v7 logo not correctly centered when using the WPML language switcher
- FIXED: JS error in menu element code, causing some rendering issues with Avada Slider and other components
- FIXED: Avada Library export not working
- FIXED: Layout Section element editing not working in Live Editor when using the links in Page Options
- FIXED: Child elements being removed from Column element in certain cases, when settings the hover animation option in Live Editor
- FIXED: Content Boxes element button bar styling using full button styles in in Live Editor
- FIXED: Checklist element icon alignment being wrong in Layout Section previews when editing other content in Live Editor
- FIXED: Element settings dialog resize icons moving on hover in Live Editor


-----------------------------------------------------------------------------------------
Version 7.0 - July 21st, 2020
-----------------------------------------------------------------------------------------


Our team has worked incredibly hard on Avada 7.0 Live. With the launch of the new header builder and a brand-new setup for containers and columns,
we have redefined the site creation and page building experience yet again. We are excited to present the new
Avada Website Builder:

See the promo video here: https://youtu.be/Y5k5UMgOpXs

Avada Header Builder
The first main objective of this release was to introduce our new header builder, that offers a stunning level of customizability while being intuitive to use.
Here are just some of the noticeable features:
- Custom logos for your headers, utilizing all effects that you know from the Image element
- Dynamic data that allows you to pull in the site title and tagline, in case you don't want to use a logo
- Fully customizable menu element, that gives you full control about main menus, sub-menus, and mobile menus
- Control and fine-tune your menus through over 80 different options
- New and customizable hover / active effects. Use, backgrounds, borders, text color, arrows, icons, and others
- Set custom transition times for your hover effects
- Use custom icons for search, WooCommerce cart, flyout menu and sliding bar
- Added click mode to toggle sub-menus and mega menus
- Use different headers per post / page or post / page group
- Import pre-built headers
- Use the power of flex box to align logo, menus, and menu items

New Container & Column Setup
The second main objective of Avada 7.0 was to implement a completely new setup for containers and columns, while keeping the legacy setup.
The new implementation is based on the CSS flex box model and allows for a ton of new features. Here are just a few:
- Possibility for custom order of columns in responsive mode
- Distinct margin and padding values for large, medium, and small screen sizes for containers, columns, and several elements
- Flex box alignment and justification of columns in containers plus control of positioning of every single column
- Option to control the content positioning within the columns
- Set a custom width for your columns and different widths for large, medium, and small screen sizes
- Adjust column spacing for large, medium, and small screen sizes
- Set uniform column spacing directly on the container for easy control or individually per column
- Sticky and absolutely positioned containers and set columns and element visibility depending on sticky mode
- Minimum height for containers


- NEW: A professionally designed demo with a custom header and updated all demo imports to use flex box layouts
- NEW: Added an advanced, full-blown header builder for incredible design freedom (see information above)
- NEW: Added 16 prebuilt headers for usage with the header builder
- NEW: Container & Column elements now have a flex box based standard mode, which allows for advanced setups and positioning (see information above)
- NEW: Avada Website Builder admin dashboard, integrating all components of Avada into one main area
- NEW: Site title and tagline can now be used as dynamic data
- NEW: Possibility to set a custom width on Column element
- NEW: Responsive options system to control margins and paddings of Containers, Columns, and some elements for large, medium and small screen sizes
- NEW: Added a column alignment and a column justification option to the Container element
- NEW: Added options for sticky and absolute positioning of containers
- NEW: Added a z-index and overflow options to the Container element
- NEW: Added an option to set a minimum height for the Container element
- NEW: Added box-shadow options to the Container element
- NEW: Added options to control Container element borders on all sides
- NEW: Added animation options to the Container element
- NEW: Added option to order Column elements within a container differently on responsive modes
- NEW: Added option to set different Column element widths in responsive modes
- NEW: Added column self-alignment option to Column element
- NEW: Added content layout and alignment options to the Column element
- NEW: Added custom width option to the Column element and an auto width option
- NEW: Added a Global Option to set the column spacing
- NEW: Added element sticky visibility options to Column and other elements
- NEW: Added a post meta element to the Avada Layout Builder for easy customization of post meta data
- NEW: Added option to the Comments layout section element for ordering comments vs comment form
- NEW: Added responsive alignment options to Title, Image, Button and Text Block element
- NEW: Added font-size, font-family, line-height, letter-spacing and font-color options to the Text Block element
- NEW: Added background-color, font-size, text-color, and border options to the Search element
- NEW: Added border options and max-width option to the Image Before & After element
- NEW: Added flex-grow option to the Separator element to make element positioning at bottom of columns easy
- NEW: Added an icon font size option to the Social Links element
- NEW: Added possibility to set divider color to the Avada Widget Options
- NEW: Added possibility to turn off related, up-selling and cross-selling WooCommerce products
- NEW: Added possibility to easily clone layout sections
- NEW: Avada Slider element can now use full-screen mode
- NEW: Added option to change the FAQ archive page slug
- NEW: Added WeChat to Social Icons
- NEW: Added Xing to Social Sharing Box
- NEW: Added TikTok to Social Icons and Social Sharing Box
- NEW: Added margin options to the Button element
- NEW: Added div tag as choice for the Title element tag selector
- NEW: Smooth on page scroll will work for anchor links now in top menu and menu widgets
- NEW: Added possibility to regenerate related post image sizes by adding force-regenerate GET query var to page URL
- NEW: Added a filter for easy extension of multiple featured images to CPTs
- NEW: Added a filter for the Vertical Menu widget arguments
- NEW: Added compatibility for breadcrumbs and image sitemap of RankMath SEO plugin
- NEW: Compatibility with WordPress 5.4
- NEW: Compatibility with WooCommerce 4.3
- NEW: Compatibility with ContactForm 7 v5.2 where notices have been updated
- IMPROVEMENT: Anchor links on Image element and Content Box element can now be used for smooth on page scrolling
- IMPROVEMENT: Added support for all featured images to be used in dynamic data fields
- IMPROVEMENT: Added aria-hidden attribute to all <i> HTML tags for better accessibility
- IMPROVEMENT: The product registration now works using AJAX
- IMPROVEMENT: When Global Options date formats are empty, format is now pulled from WP settings
- IMPROVEMENT: Extended maximum transition time for element animations to 5 seconds
- IMPROVEMENT: Added rel attributes to paginations
- IMPROVEMENT: Added masonry mode to the Archives layout section element to match Blog element
- IMPROVEMENT: Suhosin checks are now hidden on system status page if it is not installed
- IMPROVEMENT: Live editing of legacy headers can now be done in place on the page, dummy content being added for better visual representation
- IMPROVEMENT: Element settings are auto closed now, when you change from element editing to nested columns editing in the Live Editor
- IMPROVEMENT: Added tab focus to Flip Boxes element to improve accessibility
- IMPROVEMENT: Extended the dummy post content for better visualization when editing layouts
- IMPROVEMENT: Element CSS files get enqueued only if the element is not disabled
- IMPROVEMENT: Changed jQuery hover events in the Live Editor to mouseover / mouseleave ones
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Font Awesome now is on version 5.13.1 offering 1598 icons
- UPDATED: To the latest implementation of the Google fonts API
- UPDATED: Waypoint script to latest available version
- UPDATED: Default button attributes in Avada Slider
- UPDATED: Removed the toTop JS library and moved to a new custom implementation
- FIXED: Menu icons not showing in custom menus in Vertical Menu widget
- FIXED: Responsive Typography being applied even if disabled
- FIXED: Missing form labels in WooCommerce "My Account" login in secondary menu
- FIXED: WooCommerce filter products by price widget not working with Avada Builder
- FIXED: WooCommerce star rating not being displayed correctly when using products within Slider Revolution
- FIXED: Header background color in Avada Page Options not being applied to WooCommerce shop page
- FIXED: HTML tags in product titles not working on WooCommerce order page
- FIXED: WooCommerce Featured Product Slider element not listing all featured products
- FIXED: Usage of fusion_is_shop() function, even if WooCommerce is not active
- FIXED: Page Options migration sometimes unnecessarily running
- FIXED: Doubled CSS ID being used in the Horizontal Menu widget
- FIXED. WPML "All Languages" Global Options not saving correctly when default language is set to English
- FIXED: Saving Global Options in WPML primary language removes the custom font settings in secondary languages
- FIXED: Spacing issue in the modern mobile menu
- FIXED: Page Options migration not working on CPTs
- FIXED: Global Options save hidden options empty when global layouts are used in Layout Builder
- FIXED: Issue with transparent header background on taxonomy pages
- FIXED: Social icon tooltips not always correctly spelled
- FIXED: Avada Slider export failing sometimes
- FIXED: PHP notice when installing plugins from the prebuilt websites modal screen
- FIXED: Lightbox not working correctly with webp images
- FIXED: Global Options page title bar height options applying to custom page title bar layout sections
- FIXED: Side header height not spanning full height when header and page content heights are smaller than the viewport
- FIXED: Not all enqueued scripts in Avada Core using the correct plugin version number
- FIXED: Prebuilt website installation compatibility issue with LayerSlider 6.11.1+
- FIXED: Assigned sidebars not correctly working on buddyPress pages
- FIXED: Typography issue where italic font parts display bold
- FIXED: Background images not imported when importing Avada Page Options
- FIXED: Search menu overlay still being clickable in some cases, even when closed
- FIXED: Bottom shadow not scaling with images when using it with lift-up hover effect
- FIXED: Color pickers jumping to same alpha channel value as the default color, when changing the color
- FIXED: Search element live results being below the following element
- FIXED: Ordering issue of ongoing events in the Events element when using the new Events Calendar templates
- FIXED: Chart.js file not disabled when chart element is disabled
- FIXED: Background hover color on icon incorrectly used in Content Box element if background is disabled
- FIXED: HTML not working in the Widget element
- FIXED: Some wrong widget styling in the Widget Element
- FIXED: Some hover and active colors being wrong for widgets in Widget element when parent Container has link colors set
- FIXED: Image element inheriting the max-width setting from a prior Image element on the same page
- FIXED: Fonts set in elements not always loading correctly
- FIXED: Social networks in Persion element always being positioned center on medium screens
- FIXED: Some minor display issues with 100% height scrolling sections
- FIXED: Icon element background color is wrong when stylesheets are loaded in footer
- FIXED: Section Separator element width not being correct when used within the Layout Builder
- FIXED: Incorrect content displayed on bbPress forum archive pages when using the Layout Builder
- FIXED: Empty paragraph HTML tags being added to the content when using the Layout Builder
- FIXED: PHP notices when using Content element on archive pages in Layout Builder
- FIXED: Excerpt dependencies not working correctly in the Archive element in the Layout Builder
- FIXED: Padding on 404 page Layout Section not being correctly applied (global one being used instead)
- FIXED: Interior Content Width option not showing in Container element, when used in a Layout Builder Section
- FIXED: Padding not being applied for Archive element in Layout Builder
- FIXED: Custom footer assignment in Layout Builder not working for the main blog page
- FIXED: Conditions set in Layout Builder for a specific WooCommerce product impacting product archive of same category
- FIXED: Navigation links not working in layout conditions when a CPT has a name consisting of more than one word
- FIXED: Menu highlight label not working in mobile menu for unlinked mega menu titles items
- FIXED: Standard fonts not displaying correctly on the front-end
- FIXED: Grayed out elements in the Layout Section Builder not always staying grayed out correctly
- FIXED: Column element class attributes being defined as protected, preventing easy developer extension
- FIXED: Container padding inheritance being off in some cases when used in layout section
- FIXED: Dynamic content derived from ACF fields not working correctly on taxonomy pages
- FIXED: Title font size option not working with em as unit in Content Box element
- FIXED: Custom dynamic content options not working correctly when being added
- FIXED: Title element rotation text not being correctly aligned, when titles are center or right aligned
- FIXED: Drag handle in Image Before & After element briefly overflowing on handle release in Safari
- FIXED: Added 5th parameter to the wp_nav_menu_item_custom_fields filter function to fix 3rd party compatibility issues
- FIXED: Post meta data filter to prevent 3rd party conflicts
- FIXED: Excluded iframes with empty src attribute from checks in fusion-video.js to prevent 3rd party conflicts
- FIXED: 3rd party compatibility issues on admin pages with Avada's privacy consent class
- FIXED: 3rd party compatibility issue with TGMPA class implementation
- FIXED: Live Editor partial refresh on Footer Global Options change, even if custom footer is used
- FIXED: Avada Slider not displaying content in Live Editor when inserted through Page Options
- FIXED: Responsive breakpoints preview in Live Editor not always being correct on 4k+ screens
- FIXED: Image not being auto-selected in media library when editing it in Image element in Live Editor
- FIXED: WPML language switcher being hidden when changing menu options in the Live Editor
- FIXED: "Open link in new tab" checkbox missing from link selector when using Live Editor
- FIXED: Alignment of Icon element not always being correct in Live Editor
- FIXED: Drag & drop issue on Container element when interior content option is changed
- FIXED: Some side header options not live updating when changed in Live Editor
- FIXED: Live Editor inline editor link field using focus while typing
- FIXED: Set Google fonts not correctly imported on import of library elements in the Live Editor
- FIXED: Sticky header not being initialized after import of a library element in the Live Editor
- FIXED: Some display issues in wireframe mode of the Live Editor
- FIXED: Empty column background images scaled incorrectly when editing layout sections in Live Editor
- FIXED: Blank page instructions container incorrectly displayed on contact template
- FIXED: Nested columns not being editable in Live Editor when used on a post that uses a layout section
- FIXED: PHP notice from WooCommerce cart when editing in Live Editor
- FIXED: Some wireframe styles incorrectly being applied to columns when editing layout sections in Live Editor
- FIXED: Exit to front-end link on layout sections when using Live Editor not loading page with dummy content
- FIXED: Page template not being auto set to default in Live Editor when creating a new page
- FIXED: The Events Calendar general options tab not responding in the Live Editor
- FIXED: Email icon not showing for Person element in Live Editor even if address is correctly set
- FIXED: Padding values set in rem don't live update correctly in Live Editor in the Container element
- FIXED: Column element order being incorrect on Column element duplication if last added element was Nested Columns in Live Editor
- FIXED: JS error in Image element preventing editing of the page when image src attribute is empty in Live Editor
- FIXED: The fusion_load_live_editor filter not being applied to all areas


-----------------------------------------------------------------------------------------
Version 6.2.3 - April 24th, 2020
-----------------------------------------------------------------------------------------


- SECURITY FIX: Possible XSS attacks from users with contributor role, which would allow them to edit,
                delete or create posts that don't belong to themselves

- FIXED: Widget options not loading correctly in Widget element in back-end builder
- FIXED: Import and assignment of global layout sections not working on demo import
- FIXED: Anchor scrolling not working correctly in IE11 and Safari below version 13
- FIXED: Google map top margin not correctly working on the contact page template
- FIXED: RTL positioning issue of heading and icon in Content Boxes element for some layouts
- FIXED: CSS selector for filters in Column element being incorrect in Avada Live Builder
- FIXED: fusion_portfolio_scripts() function call in Fusion Core causing fatal error, when Fusion Builder plugin is deactivated
- FIXED: Fixed PHP notice in comments.php


-----------------------------------------------------------------------------------------
Version 6.2.2 - March 11th, 2020
-----------------------------------------------------------------------------------------


- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added woocommerce_default_catalog_orderby filter and added a default value for it in case the option is unset
- FIXED: Page Options (e.g. Fusion Slider settings) being wiped out after save in some cases
- FIXED: "No Sidebar" changing to "Default Sidebar" in the Page Option select after save (front-end correct)
- FIXED: WPML / PolyLang "All languages" saving of Theme Options not working
- FIXED: Page Option migration looping, if no Page Options have been set
- FIXED: Background pattern in Theme Options for outer page area not working correctly
- FIXED: Increased performance for post meta retrieving by reducing function calls
- FIXED: Removed Page Option migrations from attachments and WooCommerce orders
- FIXED: Header background color opacity missing in Fusion Taxonomy Options
- FIXED: Latin characters in fonts set through Theme Option font pickers not always displaying correctly
- FIXED: "Previous" and "Next" strings in lightbox not being translatable
- FIXED: "Email" string in social icons not being translatable
- FIXED: Events Calendar archive AJAX requests always only displaying one post
- FIXED: Featured image column size not correctly working in Page Options for portfolio posts
- FIXED: Page Options for changing the link target on singe portfolio posts not working correctly
- FIXED: Link color for read more buttons being incorrect in Content Box element if Container element link colors are set
- FIXED: Breadcrumbs text color being overridden by Container element link color
- FIXED: Gravity Form submit button styling in webkit browsers
- FIXED: Custom CSS class name missing white space in Widget element
- FIXED: Product search page using global page sidebars instead of global search page ones
- FIXED: Header icon border circle being incorrect for search icon on header 6
- FIXED: JS error on widget editing page when Editor User Role plugin is active
- FIXED: Removed get_post_metadat filter from Avada's own retrieval function to avoid compatibility issues
- FIXED: Semitransparent background color being doubled up on Testimonial element in clean layout
- FIXED: Featured image markup missing = sign for the aria label
- FIXED: 100% scrolling sections leading to white space areas when using the navigation bar and switching between last element and previous ones
- FIXED: Page Options import not working on the back-end editor
- FIXED: PHP notice on portfolio post back-end editor
- FIXED: WordPress default form styles being disabled in back-end
- FIXED: Compatibility issue with some third-party plugins if widget class names are undefined
- FIXED: Title element typing effect not working in IE11 / Edge
- FIXED: Vertical menu widget CSS based options not working correctly
- FIXED: Some dynamic data fields from ACF Pro missing in the back-end editor
- FIXED: Custom 404 layout not working when permalink structure uses the category name in the links
- FIXED: Custom 404 layout doubles content when when permalink structure uses blog/%postname%/
- FIXED: Content width incorrect on default 404 page when global posts sidebar is used
- FIXED: Column CSS filter values applied to to two different instances when layout sections are used in Avada Theme Builder
- FIXED: Spacing between portfolio posts missing when displaying them through the Archive element in Avada Theme Builder
- FIXED: Number of columns option not saving for the Archive element in Avada Live Builder
- FIXED: Posts per page and Pagination option not correctly working for the Archive element in the Avada Theme Builder
- FIXED: Flyout menu icon being hidden when changing its size in Avada Live Builder
- FIXED: Show / hide option for page title bar not working for portfolio posts in Avada Live Builder
- FIXED: Minor positioning issue sometimes happening for inline elements in Avada Live Builder
- FIXED: Sliding bar icon not being removed correctly when sliding bar is disabled in Avada Live Builder
- FIXED: Selected sidebars in option panel not always showing correctly in Avada Live Builder


-----------------------------------------------------------------------------------------
Version 6.2.1 - February 18th, 2020
-----------------------------------------------------------------------------------------


- NEW: Theme Option to set WordPress big image size threshold
- NEW: Option to disable widget titles in Widget element and through Avada Widget Options
- NEW: Added smooth anchor scrolling to Fusion Slider full slide links
- UPDATED: Popularity clause for WooCommerce product ordering, which fixes potential compatibility issues
- FIXED: Compatibility issues between the new widget element and several 3rd party plugin widgets
- FIXED: Fusion Core missing a conditional check for a class in Fusion Builder, which can lead to a fatal error if Fusion Builder is not active
- FIXED: Archive element requires Blog element to be active to work correctly
- FIXED: Sidebar options not working correctly on archives
- FIXED: Sidebars not working correctly on bbPress pages
- FIXED: Single posts of CPTs not using the blog sidebar Theme Options
- FIXED: Layout section sidebars being overwritten by global sidebar options
- FIXED: Breadcrumb element separator option not being correctly escaped
- FIXED: Error in global layouts, if layout section gets deleted directly but was not unassigned from layout
- FIXED: Self-hosted videos not working in Fusion Slider element
- FIXED: Mobile preview image for self-hosted videos in Fusion Slider element not displaying
- FIXED: Fusion Slider button link placeholders still displaying, even if options were already saved empty
- FIXED: PHP notices in Fusion Slider and Widget element
- FIXED: Issue in Events element where upcoming events have not been calculated correctly
- FIXED: Conditions system not working correctly for some taxonomies in Avada Theme Builder
- FIXED: Layout overrides not working in some cases on archives
- FIXED: Custom CSS field contents not correctly saving when using Fusion Builder Live
- FIXED: Copyright link hover Theme Option not working
- FIXED: Issue in WooCommerce cart handling, which could lead to fatal error in some cases
- FIXED: "Show First Featured Image" not working correctly on CPTs
- FIXED: FAQ element schema JSON-LD producing invalid data
- FIXED: Portfolio element excerpt length option not working correctly
- FIXED: Page Title Bar can't be disabled through Page Options on single posts
- FIXED: Portfolio rollover link icon target not working
- FIXED: Search form placeholder text not being translatable
- FIXED: Events Tickets quantity boxes not being correctly styled when tickets are assigned to pages by the Ticket metabox
- FIXED: Some of Avada's admin notice boxes appearing again, even if they have been dismissed previously
- FIXED: Previewing a page removes Fusion Slider from Page Options assignment
- FIXED: Global elements only being accessible for admin users
- FIXED: Custom color palettes only available for admin users
- FIXED: Fusion Builder not being auto-enabled correctly for corresponding post types, if settings have been saved prior to 6.2
- FIXED: Recent Posts element responsive images setup for thumbnails on side layout
- FIXED: Check for blocks causing a fatal error on WordPress versions below 5.0
- FIXED: "Pre-Built Page" button on blank pages in Fusion Builder Live not working
- FIXED: Minor option dependency issue for the Image Before & After link option
- FIXED: Minor JS error on media library admin screen when ACF Pro plugin is enabled
- FIXED: Responsive typography not working correctly in IE11


-----------------------------------------------------------------------------------------
Version 6.2 - February 11th, 2020
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Avada Theme Builder engine for creating fully custom layouts for all kinds of post types and all kinds of site sections
- NEW: Custom Footer Builder allowing for complete freedom in footer building, site-wide or page specific, as part of the Avada Theme Builder
- NEW: Single posts, single portfolio posts and archive pages Builder as part of the Avada Theme Builder
- NEW: 404 Page Builder for fully custom design, as part of the Avada Theme Builder
- NEW: Search Page Builder as part of the Avada Theme Builder
- NEW: Page Title Bar Builder as part of the Avada Theme Builder
- NEW: Added several Theme Builder elements: Content, Archive Content, Pagination, Author, Related Posts, Comments, Featured Image Slider, Project Details
- NEW: Added custom icon set feature to icon pickers; any custom IcoMoon package can be installed
- NEW: Added Widget element, for single widget addition to post contents and live widget editing
- NEW: Added Search element to Fusion Builder for creating a search form anywhere on your pages
- NEW: Added Breadcrumb element to Fusion Builder for easy usage anywhere on your pages
- NEW: Added full design integration with the v2 views version of The Events Calendar 5.0
- NEW: Added possibility to edit saved library elements directly in Avada Live Builder
- NEW: Added font family option to the Title element
- NEW: A second layout and lots of styling options have been added to the Countdown element
- NEW: Added link, link target, hover colors, background border and animation type options to the Icon element
- NEW: Added autoplay, smooth height, slideshow speed, margin and alignment options to the Slider element
- NEW: Added CSS filter options to the Image element
- NEW: Added link and link hover color options to the Container element
- NEW: Added sensitivity setting to control the change in 100% height scrolling sections
- NEW: Added image link option to the Before & After Image element
- NEW: Added filters to the demo import screen for easier search of fitting demos
- NEW: Added margin options to Avada's Widget Options setup
- NEW: Added a Theme Option to control the loading of block editor relevant styles
- NEW: Layout sections and custom icon sets can now be individually imported from supporting demos
- NEW: Added possibility to import ConvertPlus modules on demo import
- NEW: Added background and text color options (incl. hover styles) to the "Load More Button" settings
- NEW: Added structured data to the FAQ element
- NEW: Added icon size option to the Separator element
- NEW: Added Twitch, Mixer and Discord to social links
- NEW: Added the Avada option UI to Fusion Slider slide panels
- NEW: Added dynamic data options specific to the new Layout Builder
- NEW: Added animation options to the Title element
- NEW: Added content alignment option to Events element
- NEW: Added possibility to add new library elements directly from the admin screen
- NEW: Added possibility to edit taxonomies of posts and CPTs directly in Avada Live Builder
- NEW: Added custom fonts to font families drop-down in the Avada Live Builder inline editor
- NEW: Added easy live search for font families to the Avada Live Builder inline editor
- NEW: Added Modal Text Link element to the Avada Live Builder inline editor
- NEW: Added a new date option to dynamic data, e.g. for easier copyright text creation in site footers
- NEW: Added a filter (fusion_custom_icons) for easy addition of custom icon sets to the icon pickers
- NEW: Added a preference to Avada Live Builder to turn on/off CSS filter options
- NEW: Allow HTML in the content area of the Popover element
- NEW: Added markup filters to all elements for easier output manipulation
- NEW: Compatibility with WooCommerce 3.9
- NEW: Full compatibility with PHP 7.4
- IMPROVEMENT: Completely revamped and improved out responsive typography setup for better performance
- IMPROVEMENT: Redesigned the UI of icon pickers
- IMPROVEMENT: Changed setup of category and tag options in Fusion Builder elements to improve performance on sites with lots of categories and tags
- IMPROVEMENT: Page Options structuring has been renewed for a more intuitive workflow
- IMPROVEMENT: Added our custom post type taxonomies to the block editor edit screens
- IMPROVEMENT: Added a custom class to allow URL params in anchor links without reloading the entire page
- IMPROVEMENT: Added ARIA labels to portfolio masonry layout links for easier accessibility
- IMPROVEMENT: Menu highlight labels are now dynamically sizing according to menu font size
- IMPROVEMENT: Restructured some Theme Option tabs and updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Changed data structure of Fusion Page Options for better loading/saving performance
- IMPROVEMENT: Added custom scrollbars to Avada Live Builder UI
- IMPROVEMENT: "To Top" button settings now live update in Avada Live Builder
- IMPROVEMENT: Avada Live Builder element tabs now fit better on smaller sidebar widths
- IMPROVEMENT: UI for the language switcher in Avada Live Builder is now better
- IMPROVEMENT: Added a loading spinner when adding elements from the library in Avada Live Builder
- IMPROVEMENT: Added the woocommerce_after_shop_loop_item action to the Fusion Builder WooCommerce elements for 3rd party plugin compatibility
- IMPROVEMENT: UI adjustment for Nested Column element inside a Container element with CSS filters for better controls selection
- UPDATED: All Theme Option default values have been updated to reflect a clean and modern design
- UPDATED: Structured data for breadcrumbs is now using JSON-LD format
- UPDATED: Removed deprecated WPML constants
- UPDATED: Made sure select2 library styling is compatible with WooCommerce 3.8.1+ and fixed a few general styling issues
- UPDATED: Font Awesome now is on version 5.12 offering 1553 icons
- UPDATED: ie11CustomProperties.js script to latest version
- UPDATED: Deprecated and replaced usage of avada_jetpack_is_mobile() function
- FIXED: Google fonts subsets don't load correctly when using CDN mode
- FIXED: Undefined variable notice on CPTs
- FIXED: Form placeholder texts not using body font family in all cases
- FIXED: Page title bar background image not being correctly removed from front-end when removed from Theme Options
- FIXED: Compatibility issue with "All Products for WooCommerce Subscriptions" plugin where selected choice reset after variation change
- FIXED: Compatibility issue with "WooCommerce YITH Mini Cart Popup" plugin, where the quantity buttons were missing
- FIXED: WooCommerce My Account dropdown in main menu sometimes disappearing on auto fill values for login
- FIXED: H3 titles in tabs not using correct font settings on WooCommerce single product pages
- FIXED: Horizontal tabs border colors wrong in mobile mode on WooCommerce single product pages
- FIXED: WooCommerce cart and checkout button styling being incorrect if Fusion Builder is disabled
- FIXED: WooCommerce single product page tabs background color being controlled by wrong Theme Option
- FIXED: WooCommerce terms & condition page loading stripping out HTML style tags (WooCommerce native issue)
- FIXED: Pagination range options not working with WooCommerce paginations
- FIXED: Column spacing not correctly working on Portfolio archive grids
- FIXED: Equal heights not working on Portfolio taxonomies
- FIXED: Post offset option not working in Portfolio element
- FIXED: Next/previous post pagination page option not working correctly
- FIXED: Image lazy loading not working when JS compiler is used
- FIXED: PHP notice in Fusion Slider template
- FIXED: Blog category page title bar Theme Option not working
- FIXED: PHP warning due to a compatibility issue with PolyLang plugin
- FIXED: WordPress "Show comments cookies opt-in checkbox" not correctly working
- FIXED: Minor issue with Fusion notices setup
- FIXED: PHP notice on default 404 page if Checklist element is disabled
- FIXED: Removed "Default" option from 100% width Page Options on CPTs
- FIXED: Side navigation template click setting not working correctly
- FIXED: Site Width Theme Option setting being set to 100% causing a spacing issue on posts content when sidebars are used
- FIXED: Dynamic CSS file being loaded in head, if file mode isn't used, even if styles are set to be loaded in footer
- FIXED: Sliding bar disappearing for logged-out users on smaller browser width
- FIXED: Heading and Caption background color options showing, even if the background options are disabled
- FIXED: Header background image being doubled on headers v2 and v3, if using transparent top header and a header bg image which is transparent itself
- FIXED: Featured image and sliders taxonomy not correctly being copied when cloning a Fusion Slider slide
- FIXED: Responsive typography interfering with Slider Revolution headings and headings in LayerSlider element
- FIXED: Text flow option of Icon element causing placement issues when icon is added inline in the middle of a text paragraph
- FIXED: Some minor styling issues in the User element
- FIXED: Lift up effect hover overlap issue on columns when using CSS filters
- FIXED: CSS hover filters not being applied to Nested Column element if a column link is set
- FIXED: Some dynamic data options showing in contexts where they are not available
- FIXED: Not all background position settings being correct when using radial gradient direction
- FIXED: Flip Boxes element resize event being triggered on page scroll
- FIXED: YouTube videos not always covering the full height of the container, when used as Container element background videos
- FIXED: Dynamic content not working as a set value with respect to option dependencies
- FIXED: Multiple bulk image uploads in Gallery element leading to some images missing from gallery
- FIXED: Responsive typography not being correctly applied to rotational and highlighted text parts of the Title element
- FIXED: Border radius not working on Nested Column element when a gradient background color is used
- FIXED: Column positioning issue in some cases on RTL layouts
- FIXED: Transparent background not correctly working for Testimonial element main content area
- FIXED: Compatibility issue with Yoast SEO key phrase detection
- FIXED: Compatibility issue with Yoast SEO breadcrumbs
- FIXED: PHP notice in Popover element
- FIXED: Image selection being incorrect in Image element when using image and lightbox image and re-editing after initial page save
- FIXED: Events element infinite scroll not working if Portfolio element is disabled
- FIXED: Content Boxes element animations being doubled in some cases
- FIXED: Audio element always looping, even if turned off (WP core bug)
- FIXED: Border radius not working in Tagline element
- FIXED: PHP notice in Widget Area element
- FIXED: Issue with Avada's menu widget rendering
- FIXED: Avada Live Builder showing featured image options even if not enabled on the CPT
- FIXED: Not all the latest demo Theme Options showing in Avada Live Builder
- FIXED: Loader not correctly removed after partial refresh for masonry layouts in Avada Live Builder
- FIXED: JS error on WooCommerce Shop page in Avada Live Builder
- FIXED: Image option dependencies not always working correctly in Avada Live Builder
- FIXED: Anchors not always being correctly added when using the Avada Live Builder inline editor
- FIXED: Dynamic data in some cases falling back to static values when other options get updated in Avada Live Builder
- FIXED: Avada Live Builder UI getting stuck when changing history event while a Nested Column element is open
- FIXED: Gradient background colors being auto added to Nest Column element, if the gradient is set on the parent Column element
- FIXED: Image drag and drop re-ordering not working in the Image Carousel element in Avada Live Builder
- FIXED: Minor issue with rendering of a few elements inside of a Modal element in Avada Live Builder
- FIXED: Images not being auto attached to the currently edited post when using the upload button in Post Slider element in Avada Live Builder
- FIXED: Post status option not working correctly in Blog and Recent Posts elements in Avada Live Builder
- FIXED: Issue with element in element query data on AJAX calls in Avada Live Builder
- FIXED: Transparent colors can't be correctly set through the color picker on gradient colors in Avada Live Builder
- FIXED: HubSpot forms not rendering correctly when used as part of other elements, like Text element in Avada Live Builder
- FIXED: Vimeo element not working when using px values in the dimension fields in Avada Live Builder
- FIXED: Exit Avada Live Builder links redirecting to post instead of category when editing taxonomy pages
- FIXED: WP admin bar toolbar loaded on some redirects to pages in Avada Live Builder
- FIXED: JS error happening in some cases in repeater options in Avada Live Builder
- FIXED: Related posts/projects disappearing in Avada Live Builder when changing options on single posts/portfolio posts
- FIXED: Checklist element padding not being correct in Avada Live Builder when editing WooCommerce product summary
- FIXED: Column element controls color being incorrect i wireframe mode of Avada Live Builder
- FIXED: "Interior content width" option missing for single portfolio posts in Avada Live Builder
- FIXED: Performance issue because of too frequent re-rendering in tiny MCE editor in Avada Live Builder
- FIXED: CSS filter options effecting controls styling in wireframe mode of Avada Live Builder
- FIXED: Backup font changes not triggering save button in Avada Live Builder
- FIXED: Custom container name being incorrectly positioned when using element dialogs in Avada Live Builder


-----------------------------------------------------------------------------------------
Version 6.1.2 - November 20th, 2019
-----------------------------------------------------------------------------------------


- FIXED: Compatibility issue on WordPress 5.3 with Avada's custom uncropped image sizes
- FIXED: WPML compatibility for non-English languages when they have different Theme Options
- FIXED: Title element "typing" animation effect not working in Safari
- FIXED: Minor accessibility issue, where sub-menus used role="menu"
- FIXED: WordPress native YouTube embeds overflowing content into sidebar area
- FIXED: Image removal in Fusion Builder Live not working for element image options.
- FIXED: Fusion Builder Live history states not working correctly for Container/Column element margins/paddings
- FIXED: Saving of elements to the library in Fusion Builder Live not working
- FIXED: Video element border radius option not correctly updating in Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.1.1 - October 29th, 2019
-----------------------------------------------------------------------------------------


- NEW: Added a Theme Option to enable/disable the automatic language updates
- NEW: Added a Theme Options that allows you to set a custom text for the excerpt read more [...]
- NEW: Added easy method to rerun a Theme Options conversion for the current version
- NEW: Compatibility with WooCommerce 3.8
- NEW: Compatibility with WordPress 5.3
- NEW: Added HubSpot to our recommended plugins
- IMPOVEMENT: Moved Element Appearance Animations option to the Animation tab in Theme Options and combined desktop and mobile setting
- IMPROVEMENT: Fusion Builder Live element sidebar auto re-opening now when exiting the preview mode
- IMPROVEMENT: Added visibility, animations and CSS class and ID option to Audio element
- IMPROVEMENT: Added the reset to default icons to the color options of Audio element
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- FIXED: Issue with structured data when Yoast breadcrumbs are used
- FIXED: Some Button element options not being applied correctly because they are overridden by Theme Option defaults
- FIXED: Button text color in footer being overwritten with footer link color
- FIXED: Privacy consent text on YouTube/Vimeo elements not being visible
- FIXED: Equal heights in blog element not always being correct when using infinite scroll or load more pagination
- FIXED: Logo margins being added, even if no logo is used
- FIXED: Form focus color not working for the WooCommerce drop-down arrow box
- FIXED: WooCommerce specific dynamic data missing on back-end product editing pages
- FIXED: A small accessibility issue with Toggle element
- FIXED: Title element highlight animations replaying on iPhones on scroll
- FIXED: Some slanted/italic fonts sometimes being cut off in the title element
- FIXED: Typo in Column element class that causes issue with image lazy loading
- FIXED: Rotation animations on Title element sometimes causing a flash of text on page load and re-looping on page resize
- FIXED: CSS animations on mobile option interfering with Title element animation/rotation options
- FIXED: Container and Column elements without any parameters causing a JS error on the back-end editor
- FIXED: Before & After element not correctly displaying the after image on RTL languages in some cases
- FIXED: Some CSS map files causing network loading errors
- FIXED: Select field scrolling conflict between dynamic content elements and Yoast SEO in back-end editor
- FIXED: Featured image dynamic data on Container element background invoking loading spinners on child element in Fusion Builder Live
- FIXED: Fusion Builder Live element controls hover colors being incorrect on blog posts
- FIXED: Main menu search layout option duplicating the menu in Fusion Builder Live when a dedicated sticky menu is set
- FIXED: Hover Type option preview button not working correctly for Column element in Fusion Builder Live
- FIXED: Column sizer popup in Fusion Builder Live being cut off when using parallax scrolling on the wrapping container
- FIXED: Gallery element border radius not working correctly when using "round" as value in Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.1 - October 08th, 2019
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Added dynamic content system to Fusion Builder options allowing you to easily display
       post title, post date and other WP data along with custom fields content (ACF) in Fusion Builder element
- NEW: Added animated headline options, both text rotation and text highlights to the Title element
- NEW: Added gradient background color options to Container and Column elements for incredible design freedom
- NEW: A complete set of filter options (hue, saturation, brightness, contrast, inversion, sepia, opacity, blur)
       was added to Container and Column elements for awesome design flexibility
- NEW: Added background blend mode option for background images in Container and Column elements
- NEW: Added quick view option to WooCommerce products on archives and elements
- NEW: Added menu overlay animation and styling option for the main menu search
- NEW: Added an Audio element to Fusion Builder for easy displaying and styling of your audio files
- NEW: Added a Video element to Fusion Builder for easy displaying and styling of your self-hosted video files
- NEW: Added a Contact Form 7 and a Gravity Forms element to Fusion Builder
- NEW: Added border color, border hover color and border radius options (replacing button shape option) to Button element
- NEW: Added a rows setting to the Table element for easy table row creation / deletion
- NEW: Added a text color option to the highlight element
- NEW: Updated translation files for Avada and Fusion Builder can now be auto downloaded through the native WP button
- NEW: Page Options import/export is now available in Fusion Builder Live
- NEW: Animation options have been added to the Text element
- NEW: Added option to sort Events Calendar posts descending or ascending in the corresponding element
- NEW: Expanded font display Theme Option, so that also icon fonts can now be set to swap
- NEW: Added a filter (fusion_builder_map) for easy customization of the element attributes
- NEW: Added a filter for related post titles for easy renaming
- IMPROVEMENT: Flyout menu (header v6) can now be closed through use of Esc key
- IMPROVEMENT: Removed custom implementation for usage of localization files
- IMPROVEMENT: Added compatibility for different portfolio post type slugs when using Polylang plugin
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Removed compatibility support for WooCommerce 3.2
- IMPROVEMENT: Refactoring of several areas in PHP and JS code, removing old compatibility code to improve code base
- IMPROVEMENT: Removed old compatibility styles for dark color scheme
- IMPROVEMENT: Added a fallback to image lazy loading to use image dims in attributes, if they are not available in meta data
- IMPROVEMENT: Added aria-expanded attribute for Toggles element for better accessibility
- UPDATED: Font Awesome now is on version 5.11.2 offering 1545 icons
- UPDATED: Structured data for breadcrumbs to schema.org
- UPDATED: Nice scroll script to prevent a known JS error
- FIXED: Sliding bar not opening on mobile when using classic style
- FIXED: Sliding bar triangle toggle background color being wrong when bottom position is chosen
- FIXED: Gallery lightbox issue on mobiles in landscape orientation, causing image to be stuck or grayed out
- FIXED: Mobile header height and responsiveness being incorrect when using side header and stylesheets are loaded in footer
- FIXED: Default Theme Options not being saved on a fresh install, unless the back-end was visited
- FIXED: Image option text label missing in Screen Options on single posts listing page in dashboard
- FIXED: Social sharing box option not working in Page Options
- FIXED: Button text color being overridden in footer by footer link color
- FIXED: Sticky header menu padding being doubled on RTL sites
- FIXED: Last menu item having incorrect left padding in sticky header on RTL sites
- FIXED: Privacy element missing element icon in back-end builder preview
- FIXED: W3C validation error in toggle element
- FIXED: Small issue with dependent options in FAQ element
- FIXED: JS error when using equal heights in portfolio
- FIXED: Outline on single product add to cart button still showing, even when outlines are turned off in Theme Options
- FIXED: When saving elements to library, check for already existing name fails when using hyphens with white space pre- and suffix
- FIXED: Image dimensions not being added to the HTML markup of Image Before & After element even if available
- FIXED: Button text color on focus and active states not staying the same as on hover
- FIXED: Image lazy load in gallery element messing up positioning when fixed image size is used
- FIXED: Grammarly browser extension in Firefox breaking Fusion Builder back-end text area option width
- FIXED: Column element border radius option not working correctly in IE11 when a background image is used
- FIXED: Main menu drop-down / mega menu slide in option not working when using main menu arrow highlight style
- FIXED: Featured images not displaying for custom post types
- FIXED: Featured images not displaying on Events Calendar photo view archive pages
- FIXED: Image title being incorrect in lightbox for WooCommerce variable products with dedicated images
- FIXED: Variable product images not correctly showing in WooCommerce gallery lightbox when only one featured image is set
- FIXED: When CSS compiler is set to file mode, WooCommerce AJAX requests on checkout page can return incorrect data
- FIXED: Slight misalignment and color issue in paginations using the next/prev text
- FIXED: Some scripts in privacy system incorrectly inserted after user consent was given
- FIXED: Alert element adding inline CSS rule without value in a few setup cases
- FIXED: Empty style type in Section Separator element causing JS error in back-end builder
- FIXED: A few Sharing Box element Theme Options default links being incorrect
- FIXED: Section Separator element is not cloned correctly, when parent Container element gets cloned
- FIXED: Select box option drop-downs being behind the element dialogs in back-end builder when on single Events Calendar posts
- FIXED: Flip Boxes element max-width option not being fully backwards compatible when set on element children
- FIXED: Fusion Builder Live edit link missing from posts listing pages on posts that were quick edited previously
- FIXED: Color pickers on the Fusion Builder Live inline editor not being styled correctly
- FIXED: Custom social icons not displaying correctly in Fusion Builder Live
- FIXED: Fusion Builder Live not loading when Content Boxes element was added without any child elements
- FIXED: Line breaks in Content Boxes element params causing a JS error in Fusion Builder Live
- FIXED: Categories widget causing a JS error in Fusion Builder Live
- FIXED: Adding a new data set in Chart element sometimes changing already set colors in first data set
- FIXED: Column size changes in Fusion Builder Live not being recorded in the history if Fusion Slider is on the page
- FIXED: Option tooltip in Fusion Builder Live library dialog getting cut off when on the right side
- FIXED: Sidebar selection values don't show in Fusion Builder Live
- FIXED: Changes to pricing table element columns not saving correctly in Fusion Builder Live
- FIXED: Placeholder input in typography color pickers displaying although different color was already selected
- FIXED: Nest columns controls in Fusion Builder Live not being visible when using parallax scrolling on parent container
- FIXED: Image Before & After element not correctly rendering inside of Tabs, Toggles and Modal element
- FIXED: Fusion Builder Live icons not working when using SCRIPT_DEBUG constant
- FIXED: Nested descriptions toggling with parent in Fusion Builder Live
- FIXED: Animation options live previews being doubled up in Fusion Builder Live
- FIXED: Flip Box element animations not correctly triggered on Fusion Builder Live preview click
- FIXED: YouTube videos not filling the container in the Fusion Builder Live preview although working correctly on front-end
- FIXED: Quick successive option changes on same element in Fusion Builder Live, not always correctly updating
- FIXED: Padding drag controls and global container outline not displaying correctly in Fusion Builder Live when using image lift-up effect
- FIXED: Fusion Builder Live edit links still showing on posts listing page, when Live Builder is disabled
- FIXED: Nested Columns element content being lost when editing - canceling - re-editing an existing instance
- FIXED: When editing a post for the first time in Fusion Builder Live, changing a Theme Options change resets sidebar to Page Options tab
- FIXED: Container controls not being sticky in Fusion Builder Live on WooCommerce single products pages within tabs content
- FIXED: Child element previews not live updating on option change in wireframe mode of Fusion Builder Live
- FIXED: Sub-menus being hidden behind page main slider when sliding bar is used in Fusion Builder Live
- FIXED: A few elements not having a preview in wireframe mode of Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.0.3 - August 28th, 2019
-----------------------------------------------------------------------------------------


- NEW: Post status options in Blog and Recent Posts element, which allow to show future posts, private or pending ones
- NEW: Added an option to the Lightbox element, to show image title
- NEW: Class and ID options have been added to Toggle child elements and post ids to FAQ element children
- NEW: Added the changelog to the Avada welcome screen
- NEW: Added a filter to easily disable antispambot function
- IMPROVEMENT: Added checks to make sure that excerpted content will always have correct closing HTML tags added
- IMPROVEMENT: The video GDPR consent options now also apply when using the WP video widget
- IMPROVEMENT: When adding custom fonts, woff2 fonts will be loaded first now
- IMPROVEMENT: Made all functions in avada-functions.php pluggable
- IMPROVEMENT: Added better compatibility with arbitrary WooCommerce product taxonomies for third parties (e.g. YITH)
- IMPROVEMENT: Added checks for the term lists in Portfolio single posts to ensure they don't break after user customization
- IMPROVEMENT: Setup for custom icons in flip boxes is now easier to use
- IMPROVEMENT: YouTube and Vimeo elements will load videos in 16:9 format by default now
- IMPROVEMENT: Wireframe and back-end preview of Section Separator element now shows main details
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Consecutive downloads of demo files are prevented in case the demo zip download was incorrect
- UPDATED: Removed some version checks that no longer apply because of Avada and WordPress version updates
- UPDATED: WordPress PHP recommendation updated to 7.3
- UPDATED: Removed a few old IE specific styling rules which are deprecated
- FIXED: Menu arrow highlight style not always correctly positioned in both top headers and side headers
- FIXED: Events Calendar display issue when the Events template is set to 100% width template
- FIXED: Events Calendar search bar styling issues on mobiles
- FIXED: Content of the Events Calendar widget not being centered when set in Fusion Widget Options
- FIXED: WooCommerce empty cart text being misaligned
- FIXED: WooCommerce buttons not always inheriting Theme Options styles correctly
- FIXED: Non-transparent mobile header not being correctly applied on exact mobile header responsive breakpoint
- FIXED: Portfolio categories and tags being retrieved even if the filters are turned off
- FIXED: Top header padding being wrong when using 100% site width
- FIXED: Header shadow not working when using flyout menus headers
- FIXED: Default sidebar selections being incorrect in Fusion Builder Live
- FIXED: Background color on top of background image not correctly working in Firefox for the page background option
- FIXED: Search form input styling being incorrect in Safari
- FIXED: Compatibility issue of color pickers with some 3rd party ones
- FIXED: Page title bar assigned blog page options not correctly applying to the blog page when being the index page
- FIXED: Footer parallax height being incorrect when resizing browser from mobile to desktop site, when responsive images are used in footer
- FIXED: Issue with the content decoding functions in some edge cases, to make sure content is correctly displayed in all cases
- FIXED: Description option in lightbox element not working correctly
- FIXED: Percentage based width not working correctly in Google Maps element when using Embed API
- FIXED: Margin settings in Font Awesome element not working correctly in some cases
- FIXED: Gallery element lightbox not working correctly when added to a widget
- FIXED: A JS error on new post screens
- FIXED: Small line in Content Box element icon background, when using background color and outer border color
- FIXED: Equal heights columns not adjusting when a Toggle element is used and gets expanded
- FIXED: PHP warning when saving a page template on back-end
- FIXED: Sticky header height being incorrect when logo top/bottom margins are incorrectly left empty
- FIXED: Social icons not live updating in Fusion Builder Live
- FIXED: Some image rollover options not correctly working in Fusion Builder Live
- FIXED: Item scroll not correct in Image Carousel element in Fusion Builder Live
- FIXED: Exit Fusion Builder Live links not working when opened in a new tab
- FIXED: Gallery element lightbox links being incorrect in Fusion Builder Live
- FIXED: Gallery lightbox links freezing Fusion Builder Live when clicked with the CTRL key
- FIXED: Column sizer in Fusion Builder Live sometimes not clickable in the first container on a page when using transparent headers
- FIXED: Convert Plus content flashing on Fusion Builder Live load in some cases
- FIXED: Convert Plus element not having a default placeholder preview
- FIXED: Tooltips of controls in Fusion Builder Live being behind the header when using parallax footer
- FIXED: refreshJs function in Fusion Builder Live not being called on every element render (needed for some third parties)
- FIXED: Element settings of inline elements not automatically opening when inserting to child elements in Fusion Builder Live
- FIXED: Default color preview in color pickers of Chart element in Fusion Builder Live
- FIXED: "Before" image being displayed on the right in Fusion Builder Live, when no "after" image is uploaded yet
- FIXED: Toggle element alignment incorrect when using floated contents in a toggle in Fusion Builder Live
- FIXED: Modal element being behind he header on pages that use parallax footer in Fusion Builder Live
- FIXED: FAQ element not rendering contents correctly in Fusion Builder Live
- FIXED: Gallery isotope layout not correctly updated when deleting child images in Fusion Builder Live
- FIXED: Toggle element content rendering as shortcodes in some edge cases
- FIXED: A JS error in the Gallery element happening in some cases in Fusion Builder Live
- FIXED: Text Display option not working correctly (showing full content) in Portfolio element on re-render in Fusion Builder Live
- FIXED: Issue with column edit appearance in Fusion Builder Live when using Events Calendar plugin
- FIXED: Page preview not always scrollable after re-ordering child elements in the parent settings in Fusion Builder Live
- FIXED: Column controls inside of global containers overlaying the Nested Columns
- FIXED: Element contents going behind containers with faded backgrounds when hovering control icons in Fusion Builder Live


-----------------------------------------------------------------------------------------
Version 6.0.2 - August 15th, 2019
-----------------------------------------------------------------------------------------


- NEW: Added a theme option to easily disable The theme specific preview styles in the WP block editor (Gutenberg)
- NEW: Compatibility with WooCommerce 3.7
- IMPROVEMENT: Added support for content background color in the WP block editor (Gutenberg) and automatic dark mode for UI if needed
- IMPROVEMENT: Added a filter to easily disable Fusion Builder Live
- IMPROVEMENT: Added support for RTL sites for the element control icons in Fusion Builder Live
- UPDATED: Added compatibility support for the new version of the PWA plugin v0.3
- FIXED: Theme Options font family drop-downs disappearing, when custom fonts were not correctly set
- FIXED: Rendering issue with parallax background scrolling in Container element when viewing on some Samsung devices
- FIXED: Incorrect right padding on flyout menu items when using it in sticky header mode
- FIXED: Several issues with the content background options both in Theme Options and Page Options
- FIXED: Performance issue with media query files when using async media query loading option
- FIXED: Styling issue with Gravity Forms inputs
- FIXED: Scrolling issue on iOS devices when using sticky footer
- FIXED: Theme Options not saving in Fusion Builder Live when working on the WP index page
- FIXED: Header transparency not correctly working when set in Page Options while a background image is set in Theme Options
- FIXED: Incorrect background color of the #wrapper container
- FIXED: Framed scrolling option not correctly working
- FIXED: Added missing translation strings for "Fusion Page Options"
- FIXED: Corrected JS error happening in Fusion Builder Live when using untrimmed input in Google Maps element address input
- FIXED: Changed the input type of the search form input from text to search
- FIXED: Automatic text color calculation being incorrect in highlight element
- FIXED: Smooth height option not working in Recent Posts element
- FIXED: Post offset option not working in Portfolio element
- FIXED: PHP warning in FAQ element when categories are excluded
- FIXED: Ampersands showing HTML code in multi select drop-down options
- FIXED: JS error in the Blog element when using equal heights but the element is disabled for current screen size
- FIXED: Compatibility issue with other plugins that load their own instance of waypoints JS library
- FIXED: Equal heights being incorrectly calculated in some cases on page load
- FIXED: Hover rendering issue on images in Person element that use border radius in Safari
- FIXED: Menu color being incorrect in Vertical Menu widget in the sidebar
- FIXED: Equal heights in post content not working when rendering full content in Blog or Recent Posts element
- FIXED: Compatibility issue with Yoast SEO image sitemap and the Gallery element
- FIXED: Live preview for buttons with lightbox target not working in Fusion Builder Live
- FIXED: Shortcut to open links in Fusion Builder Live not working on all browsers and OS
- FIXED: Fusion Slider element not auto resizing correctly when column size gets changed in Fusion Builder Live
- FIXED: Element control icons being misaligned in Font Awesome element when text flow is chosen as alignment in Fusion Builder Live
- FIXED: Elements after inline elemntes like Button and Image disappear on controls hover in Fusion Builder Live
- FIXED: Column spacing being incorrect in Fusion Builder Live for RTL sites
- FIXED: Some elements refreshing on opening the settings dialog in Fusion Builder Live
- FIXED: Table element adding some default columns in certain cases in Fusion Builder Live
- FIXED: Some issues when editing Pricing Table element in Fusion Builder Live


We also added compatibility fixes, so that Fusion Builder Live will load and work fine with the below plugins:
- IMPROVEMENT: Fusion Builder Live compatibility with Autoptimize plugin
- IMPROVEMENT: Fusion Builder Live compatibility with NexGen gallery plugin
- IMPROVEMENT: Fusion Builder Live compatibility with Essential Grid plugin
- IMPROVEMENT: Fusion Builder Live compatibility with LiteSpeed cache plugin
- IMPROVEMENT: Fusion Builder Live compatibility with Smush Pro plugin
- IMPROVEMENT: Fusion Builder Live compatibility with Easy Social Share plugin


-----------------------------------------------------------------------------------------
Version 6.0.1 - August 7th, 2019
-----------------------------------------------------------------------------------------


- NEW: The professionally designed new Avada classic demo is now available
- NEW: Added lightbox as target option to the Button element
- UPDATED: Font Awesome now is on version 5.10.1 offering 1535 icons
- FIXED: "Additional CSS" field in WP customizer not being visible
- FIXED: Tracking code field contents not loaded on the front-end pages
- FIXED: Link hover color being incorrect in the footer
- FIXED: Font weight field being reset, when choosing Regular 400 Italic
- FIXED: Header background image repeat option not working correctly
- FIXED: Footer 100% width background image option not working correctly
- FIXED: Sliding bar in left/right position in some cases causing display issues with the page contents
- FIXED: Menu highlight arrows being incorrectly positioned for headers v2 - v4
- FIXED: Post Meta Page Options not correctly saving in back-end
- FIXED: Body font-style being incorrectly applied to buttons, footer-headings and navigation
- FIXED: Content alignment to right in Content Boxes element not working correctly in Fusion Builder Live
- FIXED: Overlay color not showing on Container element when using parallax animated images in Fusion Builder Live
- FIXED: Links and elements in sidebars not always being clickable in Fusion Builder Live
- FIXED: Select field height being incorrect, cutting off text contents
- FIXED: Sticky footer not working correctly
- FIXED: WPML languages not being centered in mobile menu when center alignment was chosen
- FIXED: Column equal heights not correctly triggered after changes in Gallery element
- FIXED: Element animations firing on mobile, even if disabled for mobiles
- FIXED: Some strings in Fusion Core plugin not being translatable
- FIXED: Button in privacy bar going full width when buttons are set to span in Theme Options
- FIXED: Edit link for Slider Revolution being incorrect in Fusion Builder Live for latest slider versions
- FIXED: Option correlation being incorrect for 100% header width option
- FIXED: Google fonts set for body and heading tags not loaded in the WP block editor back-end
- FIXED: Dimension arrows missing in the post Page Options section in back-end
- FIXED: Compatibility issue with WooCommerce Product Carousel, Slider & Grid Ultimate Pro and menu cart icon
- FIXED: Removed assets path from media query CSS URLs to resolve conflict with iThemes Security setting
- FIXED: A compatibility issue of Fusion Builder Live and WP Smush plugin


-----------------------------------------------------------------------------------------
Version 6.0 - August 5th, 2019
-----------------------------------------------------------------------------------------


Our team has worked incredibly hard on Avada 6.0 Live, redefining the site creation and page building experience. We could not be more excited about the result.
Avada 6.0 with the brand new Fusion Builder Live intuitively revolutionizes how you build your pages. It is super user-friendly and packed with features.
Fusion Builder Live presents the future of page editing and will enrich the Avada Live ecosystem further.
But Avada 6.0 Live brings even more to the table that will change your outlook on what a site creation suite and a page builder can do.

See the promo video here: https://www.youtube.com/watch?v=wlxqO2GPn3U&t=59s

Below are some of the highlights of these new product generations of Avada and Fusion Builder Live. This is where it all begins:

- NEW: For Avada 6.0 Live we entirely re-engineered the site-building process, giving you the fastest way ever to design your sites and projects
- NEW: A completely new UI was created exclusively for Avada 6.0 Live with extreme attention to detail to speed up your creation process
- NEW: Direct front-end editing of all your pages and posts, live-updating elements, layouts and options
- NEW: An inline text editor, that allows you to quickly change text contents, color, font-size, font-weight and a ton of other things on text blocks, headings, and other elements
- NEW: Live front-end drag & drop of containers, columns, and elements
- NEW: Live margin and padding dragging on containers and columns for easy layout creation
- NEW: A toolbar was added that will serve as your "mission control" center for the front-end creation process
- NEW: A completely custom side panel has been created which lets you change all the options Avada offers on the fly and that can be on left or right of the page, overlaying or as a sidebar
- NEW: Possibility to switch between side panel and dialog mode for displaying element options
- NEW: Live editing of Theme Options which lets you easily see the effect of your global settings on the pages
- NEW: Live editing of Fusion Page Options, which lets you easily see the effects directly on the page you are working on
- NEW: Live editing of Fusion Builder Element Options, showing you directly how your changes are reflected on the front-end
- NEW: Live changing between different header layouts and easy controls to edit logo and menus
- NEW: Live changing of widget areas, in sidebars, footer, sliding bar and widget area elements
- NEW: Easy Live UI to add / change / remove sliders and Page Title Bars
- NEW: Live responsive page preview for tablets and phones, landscape and portrait
- NEW: Color palette preset feature, allowing to define custom colors that will be available as presets on all color pickers
- NEW: Fusion Builder Live preferences for easy customization of the creation workflow
- NEW: One-click wireframe preview, bringing Fusion Builder back-end to the front-end
- NEW: Keyboard shortcuts for frequent events / changes have been added for better usability
- NEW: One-click option to reset an element to its default settings
- NEW: One-click option to get to the online documentation of the currently edited element
- NEW: One-click option to directly show you global option selection for Fusion Builder element options
- NEW: One-click option to show/hide the option description for clean UI
- NEW: One-click option to directly save your live created pages either as draft or to publish right away
- NEW: Ability to live edit featured images on posts, portfolio posts and WooCommerce products
- NEW: Added a preview mode to the Live Editor, which hides all controls and toggles scrolling sections and other elements for a full preview
- NEW: Added dedicated color schemes for controls of global elements, nested columns and scrolling sections for better usability
- NEW: Fusion Builder Live UI style integration for tinyMCE editor
- NEW: Added easy ways to access the front-end builder from the post edit screens, post type list tables and from the WP admin bar
- NEW: A completely new section in our online documentation specifically for Avada 6.0 Live with plenty of resources and videos


While we focused on Avada Live for 6.0, but we have also worked in a ton more features, additions, and fixes for you:

- NEW: Avada now supports front-end and back-end styling for Gutenberg native blocks
- NEW: Gutenberg font size support was added and matches Theme Option values
- NEW: Block editor width will now fully reflect set site width
- NEW: Added support for the Gutenberg alignfull and alignwide classes in back-end and front-end
- NEW: Added support for CSS variables and added an option to turn on/off
- NEW: Avada now requires a minimum PHP version of 5.6 and has an automated check for that to avoid fatal errors
- New: Added lightbox as link option for links in the Column element
- IMPROVEMENT: All widgets have been moved to Fusion Core plugin
- IMPROVEMENT: Fusion Page Options are now part of Fusion Core plugin
- IMPROVEMENT: Google analytics code, social icons, and caching functions are now also available through Fusion Builder
- IMPROVEMENT: The admin news widget is now part of Fusion Core plugin
- IMPROVEMENT: The contact page template form is now part of Fusion Core plugin
- IMPROVEMENT: Added compliance with Envato's new theme check requirements
- IMPROVEMENT: The Theme Options panel will now also work on installs that use symbolic links for WP
- IMPROVEMENT: Auto-play of self-hosted videos on container backgrounds is now working on mobile
- IMPROVEMENT: Testimonial element children now use Name and Company as preview text for better distinction
- IMPROVEMENT: Fusion Slider YouTube and Vimeo videos now allow for larger preview images
- IMPROVEMENT: Preview images for YouTube and Vimeo videos are now larger in Fusion Slider
- IMPROVEMENT: Changed some unitless input fields to range sliders for better usability
- IMPROVEMENT: Continued refactoring to improve performance
- IMPROVEMENT: Refactored JavaScript resize events to improve client-side performance on browser resize
- IMPROVEMENT: Removed deprecated browser prefixes from CSS files
- IMPROVEMENT: Added a filter to disable CSS caching
- IMPROVEMENT: Removed deprecated scoped attribute from inline style tags
- IMPROVEMENT: The deprecated Google+ icon is removed
- IMPROVEMENT: Compiled CSS filenames now take into account custom-CSS changes to avoid browser-cache issues
- UPDATED: Font Awesome now is on version 5.10 offering 1535 icons
- UPDATED: Moved from chosen.js to select2 for theme-specific select boxes
- UPDATED: jQuery mousewheel script to latest available version 3.1.13
- UPDATED: The default main highlight color in Avada has been changed to our new modern green
- UPDATED: Removed any code that was there to ensure support for abandoned IE9
- FIXED: Columns in mega menu becoming stacked when the menu goes to a second row
- FIXED: Sharing box being added to the bottom of every Gutenberg post
- FIXED: Gravity forms select box styling not being responsive on resize
- FIXED: Login form styling issue on the WooCommerce MyAccount page
- FIXED: JavaScript error happening when editing Fusion Menu Options
- FIXED: Issue in social icons widget, not correctly updating old custom icons
- FIXED: Facebook widget not correctly resizing if the maximum width is smaller than wrapper width
- FIXED: Menu hover color being wrong if using menu background highlight style and hovering sub-menus
- FIXED: Social icons not using dedicated line-height which leads to layout issues in some cases
- FIXED: Font Awesome solid 900 woff file using the wrong path
- FIXED: Avada admin screen column styling not being correct in WordPress 5.2.1+
- FIXED: Header v7 logo position not correctly respecting search icon and WooCommerce MyAccount and cart link
- FIXED: Cart icon not showing in mobile header, if mobile flyout menu is selected
- FIXED: Missing jquery-ui-sortable dependency for avada-fusion-options.js script
- FIXED: Page Title Bar Headings displaying on archive pages even if disabled in TO
- FIXED: A site loading speed issue when a large amount of posts is present
- FIXED: Sub-menu borders not always being correct in the menu widget
- FIXED: Vertical menu widget not using correct spacing in all cases
- FIXED: Division by zero issue in content box element, if image dimensions can't be retrieved from the database
- FIXED: PHP notice in content boxes element when icon size on parent is set in px
- FIXED: Lightbox title being incorrect in image element
- FIXED: Image URL sometimes missing in the uploader of the image element
- FIXED: Inner border partially being visible in content boxes element when border size is set to 0
- FIXED: PHP notice in the Fusion Builder Library page when element names use special chars
- FIXED: Tabs showing in mobile layout on desktop when loading media queries async and CSS compiler is off
- FIXED: Image bottom shadow option not working in person element
- FIXED: Removed a redundant isotope call in the Blog element
- FIXED: Removed alpha channel from the color picker in Soundcloud element, as that is not supported
- FIXED: Text being blurry in some cases in Flip Boxes element
- FIXED: Conflicts between Avada's select2 implementation and the one from Events Calendar and Slider Revolution
- FIXED: Small gaps in section separator element due to not dedicated set line-height
- FIXED: Bottom borders on tabs element not being correct in responsive mode
- FIXED: LayerSlider selection not being loaded on element re-edit
- FIXED: SVGs in content box icons not loading in the set size for all browsers
- FIXED: ThemeFusion's newsfeed admin widget retrieving data from old URL causing a redirect


-----------------------------------------------------------------------------------------
Version 5.9.1 - May 1st, 2019
-----------------------------------------------------------------------------------------


- NEW: Added an option so that mega-menu can be set to either custom width, site-width or full screen width
- NEW: Added an option to set the border width for paginations
- NEW: Added an option to decide if search page results should be limited to specific post types or not
- NEW: Added a filter for changing post types that should be included in search
- NEW: Added a filter for changing the page title bar contents
- NEW: Added a filter for plugin info for Fusion Builder add-on authors
- IMPROVEMENT: ToTop script can be used on mobile now independently from desktop
- IMPROVEMENT: Video autoplay is now allowed in lightbox videos when set via URL parameter
- IMPROVEMENT: AJAX live search will now allow return key presses to directly go to results page
- IMPROVEMENT: Notice about missing contact form email address only displaying for admins now
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added theme support for Gutenberg default front-end stylings
- IMPROVEMENT: Setup for custom icons in content boxes is now easier to use
- IMPROVEMENT: Additional attributes for button element now work with and without quotation marks
- UPDATED: Font Awesome now is on version 5.8.1 offering 1513 icons
- FIXED: Menu highlight labels vertically not being perfectly aligned
- FIXED: Underline highlight style being incorrectly applied to menu buttons
- FIXED: Ubermenu not displaying on mobile
- FIXED: Pagination missing from search page
- FIXED: Pre-defined color schemes not replacing all Theme Option colors
- FIXED: Menu drop-down indicator not fully centered when icons are used in top/bottom position
- FIXED: Mobile menu sub-menu indicator showing even if turned off on right text layout
- FIXED: WP core bug in color pickers that could lead to issues within the Avada menu options
- FIXED: Some new search Theme Options can't be changed
- FIXED: Terms of CPT not being displayed in search results
- FIXED: Some post types names not using the correct name on AJAX live search suggestions
- FIXED: Google maps using old event name for centering markers
- FIXED: WooCommerce gallery zoom not correctly working when image lazy loading is used
- FIXED: WooCommerce menu cart icon counter not live updating on header layout 6
- FIXED: Display issue in WooCommerce product gallery and tabs on iPad portrait
- FIXED: Updated deprecated WooCommerce cart hash filter name
- FIXED: Social sharing box not displaying when using single events block editor
- FIXED: Comments template showing name and email as required eveen if turned of in WP Settings
- FIXED: Corrected issues in the Events filter bar design for latest plugin version
- FIXED: Events archive list display issue on mobile when CSS compiler is off and async media queries are on
- FIXED: Small display issue on Events month template in the single day view
- FIXED: Portfolio filters on mobile not inheriting border color from Theme Options
- FIXED: Column lift-up effect being partially hidden if neighboring column uses same effect and spacing is too small
- FIXED: Sticky sidebar being tied to Content Breakpoint instead of Sidebar Breakpoint
- FIXED: Incorrect spacing between gallery images when using image lazyload
- FIXED: Flip boxes equal heights not working inside of tabs/toggles/modals
- FIXED: Avada's select styling not working for Gravity Forms inside of tabs/toggles/modals
- FIXED: Triangle section separator not working
- FIXED: Tabs without content breaking the tabs changing functionality
- FIXED: WPML translation flags being oversized in the Fusion Builder library
- FIXED: Animations not correctly triggered, after page height change due to portfolio element filter change
- FIXED: Background videos in containers not covering container fully in IE11
- FIXED: Flyout menu icons on mobile not being correctly aligned in IE11
- FIXED: Side header menu items incorrectly aligned on IE11


-----------------------------------------------------------------------------------------
Version 5.9 - March 26th, 2019
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Added a main menu underline highlight style
- NEW: Added an animation style option for drop-down and mega menus
- NEW: Added AJAX live search functionality with several options
- NEW: Vastly extended the Theme Options for the search page
- NEW: Added a border radius option to columns and nested columns
- NEW: Box shadow options are now available for columns and nested columns
- NEW: Vastly extended options for flip boxes: a new flip effect, flip direction, flip duration and background images
- NEW: Added equal height option to flip boxes
- NEW: Added 5 new section separator stylings
- NEW: Added more styling options for all paginations
- NEW: Added several styling options for the toTop button
- NEW: Mobile margin option is now available for Title element
- NEW: Global element shortcodes are copy/paste ready available now in the Fusion Builder element library
- NEW: Border position and link target options are added to nested columns
- NEW: Added an option to disable the drop shadow on sticky header
- NEW: Full compatibility with WooCommerce 3.5.7
- IMPROVEMENT: Updated the additional attributes option for buttons to allow Google conversion tracking
- IMPROVEMENT: Post slider now allows the selection of multiple categories
- IMPROVEMENT: Now the set Avada mobile menu can be displayed when using uberMenu when it is disabled on mobile
- IMPROVEMENT: Added the ability to disable Fusion Builder single demo pages import through remove_theme_support
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added sub-menu title to ARIA label for mobile sub-menu toggles
- FIXED: Color pickers not being able to correctly select colors in the corners of the color pane
- FIXED: Container parallax image with direction removes overlay color
- FIXED: Section separators having wrong width when container left/right padding is set to 0 without unit
- FIXED: Font sizes given in em not working correctly in checklist element
- FIXED: Back-end "add Columns" button not opening correct column modal when starting on a blank page
- FIXED: Lift up animation on image carousel when using border not being smooth
- FIXED: Background color for Events element being added to the wrong selector
- FIXED: Isotope positioning and general grid box positioning for Events element
- FIXED: Default heading margins being incorrect on mobiles for Title element
- FIXED: Google maps not loading language specific maps when using embed or static API
- FIXED: Google maps localization not being correct for languages which support different modes
- FIXED: Google maps centering sometimes causing wrong zoom level on first page load
- FIXED: Google map on contact form not loading when using embed API when no address is entered for JS API
- FIXED: Fusion Builder demo pages being loaded on post types where Fusion Builder is not enabled
- FIXED: WooCommerce Apple-Pay Button missing on products pages
- FIXED: WooCommerce variation images being wrong when there are more than 30 variations
- FIXED: WooCommerce comments pagination being incorrectly aligned
- FIXED: WooCommerce Composite Products missing the +/- quantity buttons
- FIXED: WooCommerce add-to-cart spinner being on all related products if just one was added to cart
- FIXED: Carousel elements not working correctly inside WooCommerce product tabs
- FIXED: Page Title Bar custom settings not working on WooCommerce shop page
- FIXED: Issues on RTL sites when using sub-menu indicators and main menu icons
- FIXED: Flyout menu search icon being misaligned on RTL sites
- FIXED: Incorrect spacing between portfolio items for certain setups when using image lazy load
- FIXED: Image rollovers sometimes leaving 1px of the image uncovered
- FIXED: Automatic memory adjustment not working in all cases in the Avada migration class
- FIXED: Help menu checklist margins being incorrectly assigned on 404 and search page
- FIXED: Menu padding for last item being incorrect on Flyout menu when page gets scrolled
- FIXED: Image lazy loading exclusion for old versions of LayerSlider
- FIXED: PHP notice in Google map of the contact form template
- FIXED: PHP notice about incorrect variable data type in content box element
- FIXED: YouTube video in Fusion Slider not auto-playing in all cases
- FIXED: CSS ID option not working for the Fusion Slider element
- FIXED: Alignment issues in content boxes with timeline vertical layout right alignment and RTL
- FIXED: Flyout menu icons on mobile not staying visible when menu is opened and if sticky header is disabled
- FIXED: Max-width setting on Image element not working in IE when viewport is smaller than max-width
- FIXED: Columns equal heights mobile breakpoint being off 1px
- FIXED: Anchor scrolling script calcing position more often than needed
- FIXED: PHP fatal error if Fusion Builder was activated prior to Avada


-----------------------------------------------------------------------------------------
Version 5.8.2 - February 21st, 2019
-----------------------------------------------------------------------------------------


- FIXED: Security fix to prevent possible XSS attacks in bootstrap JS libraries
- FIXED: Columns containing only background image having no height in IE/Edge
- FIXED: Translation of library elements using WPML not working


-----------------------------------------------------------------------------------------
Version 5.8.1 - February 07th, 2019
-----------------------------------------------------------------------------------------


- NEW: Single demo pages can now be imported by directly pasting the page URL in Fusion Builder demo library
- NEW: Preview images are now available for different image elements for easier re-ordering
- NEW: Added an option to set a form element border color when form element has focus
- NEW: Added form input validation indicators to the WooCommerce checkout page form
- NEW: Option to show events meta data below events content or to disable it (sidebar can now be removed)
- NEW: Added option to disabled WP's emoji script for better loading performance
- IMPROVEMENT: Font Awesome and responsive mode CSS is now added before custom CSS to compiled styles
- IMPROVEMENT: Removed IE9 support scripts and moved IE10 ones to plain CSS
- IMPROVEMENT: Deferred loading of CSS for several sections of the site (cummulative work in progress)
- IMPROVEMENT: Fusion Core's minified styles are now also added to compiled styles if database mode is chosen
- IMPROVEMENT: Changed a few gallery settings from buttons sets to drop-downs for better usability
- UPDATED: Font Awesome now is on version 5.7.1 offering 1500 icons
- FIXED: Some W3C validation errors
- FIXED: WooCommerce My Account drop-down menu closing when using login and selecting username
- FIXED: Padding of last menu item not always correct in flyout menu
- FIXED: Flyout menu item padding not working on mobile if a dedicated mobile menu is set
- FIXED: Image not being loaded in AMP version if lazy loading is enabled
- FIXED: Image lazy loading not being skipped on admin screens
- FIXED: Image lazy loading causing issues in LayerSlider and Slider Revolution
- FIXED: Events Calendar title bar not showing in some cases when using events shortcode
- FIXED: Lightbox auto play mode being initialized even if there is only one image
- FIXED: Image carousel element sharing Lightbox gallery ID with gallery element
- FIXED: Image in a one column image carousel spanning to full available width
- FIXED: Added 2 missing WP core filters to our nav walker class
- FIXED: Link target attribute incorrectly added to related posts title link
- FIXED: PWA is not displaying the app icon when installing on iOS using Safari
- FIXED: Theme color support issue in the PWA
- FIXED: Google maps footer widget of construction demo not correctly imported
- FIXED: PHP warning of undefined index in class-fusion-images.php
- FIXED: Using query by reference in blog element causing PHP notice on WPE hosted sites


-----------------------------------------------------------------------------------------
Version 5.8 - January 22nd, 2019
-----------------------------------------------------------------------------------------


- NEW: 2 New Professionally Designed Demos
- NEW: Added image lazy load functionality for all kinds of images
- NEW: Added options to have all parts of the site getting browser cached through Progressive Web App techniques
- NEW: Added support for theme-color meta data used for installable website apps
- NEW: Added easy integration for Font Awesome Pro for users having a valid pro license
- NEW: Added an option to only load specific subsets of Font Awesome icons to improve performance
- NEW: Added an option to easily set the font display mode for Google fonts and custom fonts to improve performance
- NEW: Added a padding option to flyout menu Theme Options to control spacing between menu items
- NEW: Add link and link target option to individual images in gallery element and change to standard parent/child layout
- NEW: Added reCaptcha v3 to contact form, so now either visible v2 or invisible v3 layouts can be used
- NEW: Added our advanced responsive images setup to single portfolio posts
- NEW: Added our advanced responsive images setup to events element
- NEW: Added our advanced responsive images setup to post slider element
- NEW: Added our advanced responsive images setup to recent posts element
- NEW: Added our advanced responsive images setup to slider element
- NEW: Added a performance tab to Theme Options to combine performance relevant option in one place (incl. dynamic CSS & JS)
- NEW: Added a check for WordPress block content on pages to remove native block stylesheet if it is not needed
- NEW: Fusion White Label Branding is updated to v1.1.3
- IMPROVEMENT: Adjusted calculation system for responsive images to be even more precise
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Renamed "Widget Section" to "Widget Area" on widget main page for more consistency
- UPDATED: Font Awesome now is on version 5.6.3 offering 1480 icons
- UPDATED: Added the new WP 5.0 post type labels to our CPTs
- UPDATED: Added the Starter Guide documentation link to the support tab
- FIXED: Styling compatibility issues with The Events Calendar v4.7+
- FIXED: The Events Calendar filter bar text color Theme Option not working on the "View as" drop-down
- FIXED: Menu role accessibility error in header menus
- FIXED: Sticky header animation not being fully smooth when using header layouts with top header
- FIXED: Imported demo page options not being removed on demo uninstall
- FIXED: Contain mode for Vimeo videos not working in Fusion Slider
- FIXED: Buttons in Fusion Slider requiring two clicks when slide animation is used
- FIXED: Clone slide option in Fusion Slider only working for users on admin level
- FIXED: Lightbox not working for featured images on a page with 100% width page template
- FIXED: Incorrect variable image showing when using WooCommerce composite products
- FIXED: Password field for new users on WooCommerce checkout page not being validated correctly
- FIXED: Error message on WooCommerce address edit screens covering update button
- FIXED: Event ticket thumbnails not showing on WooCommerce order received and view order pages
- FIXED: A WooCommerce native issue leading to a PHP notice in is_shop() function
- FIXED: jQuery mouse events firing too often on WooCommerce product archives
- FIXED: Incorrect option dependencies for WooCommerce ordering Theme Options
- FIXED: Google font files being downloaded too often when using locally hosted font files
- FIXED: PHP division by zero error happening for some setups for portfolio image
- FIXED: FAQ Categories string in Fusion Core not being translatable
- FIXED: Double bottom border on last child page element in pages widget
- FIXED: Incorrect top margin on some mobile layouts, if custom mobile sidebar order is used
- FIXED: Addition vertical separator line on footer widgets in RTL mode
- FIXED: Sticky header logo not working on mobiles if mobile flyout menu is used on header v5
- FIXED: Page option import failing on Windows machines
- FIXED: Google maps centering not working correctly in some cases when using multiple markers
- FIXED: Header background color not working when responsive mode is disabled
- FIXED: Saving a Fusion Builder element to library won't work if there was prior attempt to save without name
- FIXED: Line breaks in modal element contents causing the element output to breaks
- FIXED: Some strings on the FAQ admin page not being translatable
- FIXED: Incorrect check for border size in chart element causing border size of 0 to not work
- FIXED: Bottom shadow alignment in image element not being correct in some cases
- FIXED Icon spin child option not correctly inheriting from parent in flip boxes element
- FIXED: Line height option in title element not working when no custom font size is set
- FIXED: Display issue with title element preview for center aligned titles
- FIXED: Equal height columns not resizing automatically after a toggle was opened and closed
- FIXED: Post slider with attachment layout not displaying thumbnails when multiple sliders on same page
- FIXED: Element generator button being added to 3rd party editor fields
- FIXED: Button click in content boxes element opening two tabs when using entire box as link area
- FIXED: PHP notice in Fusion Builder's helpers.php


-----------------------------------------------------------------------------------------
Version 5.7.2 - November 08th, 2018
-----------------------------------------------------------------------------------------


- NEW: WordPress 5.0 Compatibility
- NEW: Added gesture handling support to the Google maps element
- IMPROVEMENT: Added possibility to display hotlinked images within the Fusion Builder image elements
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- UPDATED: Font awesome now is on version 5.5
- FIXED: Page title bar text not always being correct when using AJAX loading on Events Calendar pages
- FIXED: Security fix to prevent possible XSS attacks in bootstrap JS libraries
- FIXED: Removed ARIA role from HTML nav tag menus
- FIXED: Sidebar mobile order not working correctly for WooCommerce archive and single product pages
- FIXED: Advancing to next WooCommerce checkout tab being possible even if an input error occurred
- FIXED: Product images in WooCommerce widgets not being correctly sized
- FIXED: Title element with underline style having incorrect line color, when using custom font size
- FIXED: Lightbox image size not being correct when using fixed image mode in gallery element
- FIXED: Text transform option in button element not working for preset colored buttons
- FIXED: Facebook widget not auto reloading after privacy option for it has been accepted
- FIXED: Responsive sidebar order not correct when using double sidebars and sidebar one is set to right


-----------------------------------------------------------------------------------------
Version 5.7.1 - October 23rd, 2018
-----------------------------------------------------------------------------------------


- NEW: Added a glow and drop shadow blur option to the person element and improved the style color option
- NEW: Added animation options, mobile visibility options and class and id settings to the table element
- NEW: Compatibility with WooCommerce 3.5
- IMPROVEMENT: Page load performance for all pages using image elements. These performance gains are fully
               available on new sites, but also be noticeable on existing installs
- IMPROVEMENT: Added CSS ID options to YouTube and Vimeo elements
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Element search field always having focus now when element tabs are changed in Fusion Builder
- IMPROVEMENT: Added conditional check to fusion_builder_update_element() to only execute on page edit screens
- UPDATED: Font awesome now is on version 5.4.1
- FIXED: Responsive element display issues, when sidebar breakpoint is different from content breakpoint
- FIXED: Page Title Bar not updating after AJAX month change on Events Calendar month archive
- FIXED: Theme Options panel not saving when 'no referrer' server policy is active
- FIXED: WooCommerce main shop page not auto redirecting to first page when number of products filter is changed
- FIXED: Page Title Bar on iPad portrait mode using table instead of flex box
- FIXED: Incorrect number of accepted arguments for 'wp_nav_menu_items' filter
- FIXED: Top/bottom margins between sidebars and content area on mobiles
- FIXED: Polylang not correctly saving Theme Options when all languages is chosen
- FIXED: Mobile menu empty parent links not toggling sub-menus on click
- FIXED: Image elements always use full size images even if thumbs were selected by user
- FIXED: Flip box element not correctly working as part of dynamically loaded post content
- FIXED: Search page heading typography not correctly applying h1 settings when page title bar is disabled
- FIXED: WooCommerce single product pages overflowing on mobiles


-----------------------------------------------------------------------------------------
Version 5.7 - October 01st, 2018
-----------------------------------------------------------------------------------------


- NEW: Fusion White Label Branding is updated to v1.1 with some awesome new features (see plugin changelog)
- NEW: Added container publishing status options, so containers can be drafted and published at specific set time
- NEW: Added an option to set the order of sidebars and content on mobile devices
- NEW: Added possibility to have transparent headers on mobiles
- NEW: Added possibility to add bg images to menu items in the flyout menu
- NEW: Added options for styling customization to title element
- NEW: Added pagination range option to control the amount of displayed page links
- NEW: Added the possibility to add menu icons in the vertical menu widget
- NEW: Added an option to control the subheading color in the Page Title Bar
- NEW: Added a setting to Lightbox Content option in gallery element which allows to only show image captions
- NEW: Added a new option to turn the mobile menu dashes on/off
- NEW: Added an option to enable CSS outlines for several elements like buttons and form inputs for accessibility reasons
- NEW: Added navigation, transition time and autoplay options to the testimonial element
- NEW: Added a glow and drop shadow blur option to the image element and improved the style color option
- NEW: Added mobile visibility settings to the text element
- NEW: Added first stage of Gutenberg compatibility
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Widget titles and descriptions in the backend are now translatable
- IMPROVEMENT: Output messages of the Envato server checks have been fine-tuned and additional info was added
- IMPROVEMENT: Product registration notices have been updated for better error diagnosis
- IMPROVEMENT: SVG icons can now be used for custom social icons in Theme Options
- IMPROVEMENT: Added the WooCommerce sorting on to the search results page
- IMPROVEMENT: Added a filter for sidebar settings on single posts of any post type
- IMPROVEMENT: Added a filter to customize the related posts fixed image size
- IMPROVEMENT: Icon picker search working faster now and allowing better keyword search
- IMPROVEMENT: All elements with image settings now fully support image translation through WPML
- IMPROVEMENT: Right click feature of Fusion Builder is now disabled on the container name edit area
- UPDATED: Font awesome now is on version 5.3.1
- FIXED: Position of the flyout menu icons on the right side
- FIXED: Some Page Options not working on sermon manager pages
- FIXED: Fusion Slider not being displayed when header is disabled on the WooCommerce main shop page
- FIXED: Inconsistent autoplay behavior of the WooCommerce gallery on mobile
- FIXED: Redirects on main WooCommerce shop page when number of items selector is used and only one page is needed
- FIXED: Cart page total value being displayed incorrectly when value is above 1000
- FIXED: Sliding bar not scrolling correctly on mobile devices
- FIXED: Google fonts transient not being correct on multi language sites
- FIXED: Addresses and venues showing on the same line on the Events Calendar archives
- FIXED: Sticky header logo not showing on mobile when using header v7 in certain cases
- FIXED: PHP notice on the portfolio archive template
- FIXED: Parallax background image in header being incorrectly displayed on mobiles
- FIXED: Some taxonomy entries not being correctly deleted from database when a Fusion Slider is deleted
- FIXED: Container background color not working correctly on mobiles, when fade effect is used
- FIXED: Button shape override in tagline element not working in all cases
- FIXED: ConvertPlus element not auto activated when the plugin is activated
- FIXED: Issue with ConvertPlus and auto loaded forms
- FIXED: Padding and margin values in columns being undefined if left empty
- FIXED: A rare header transparency issue on archive pages
- FIXED: A rare issue in Fusion Slider with slide auto advancing and video slides
- FIXED: Anchor scroll position not being correct on header v4/v5 on classic mobile menu when only having the menu sticky
- FIXED: Blog grid separator being displayed when no meta data is displayed below it
- FIXED: Title and caption from main image being used on lightbox image in image element context
- FIXED: Lightbox controls not working on single images, when using keyboard navigation and mouse scroll consecutively
- FIXED: Title element separator theme option setting having incorrect default set


-----------------------------------------------------------------------------------------
Version 5.6.2 - July 31th, 2018
-----------------------------------------------------------------------------------------


- IMPROVEMENT: Retina logos are now imported on demo import
- IMPROVEMENT: Added explanation box to the Gutenberg tryout panel
- IMPROVEMENT: Updated the Google maps element preview to display the API that is set
- IMPROVEMENT: Changed color overlay for Google maps static API to match the JS API
- FIXED: Fusion Builder demo pages zip archive unzipped even if already done
- FIXED: uberMenu mobile toggle being hidden
- FIXED: Avada desktop menu displayed on mobiles, when uberMenu is active but no menu is assigned
- FIXED: Display issue when using Events Calendar filter bar plugin in vertical mode
- FIXED: Updated Events Calendar venue widget template to remove deprecated function
- FIXED: Global element un-assignment issue with containers that are deleted from the library
- FIXED: Accessibility issue where menu item focus does not work on iOS
- FIXED: Anchor scrolling for anchors outside of post content not working when using scroll sections
- FIXED: Facebook social link missing noopener/noreferrer rel attribute
- FIXED: Social link widget links missing noopener/noreferrer rel attributes
- FIXED: Rule style Theme Option for the text element not being respected as element default
- FIXED: Charts element right padding incorrectly using top padding option
- FIXED: Icons on separators not vertically centered when using single seps with larger border size
- FIXED: Minor JS error on the Avada system status page
- FIXED: WooCommerce state field on mobile missing bottom margin
- FIXED: Sticky footer not being correct when content height changes on AJAX
- FIXED: Visibility options not working for Events element
- FIXED: Lightbox toolbar buttons (play, stop, fullscreen) not working correctly
- FIXED: Lightbox videos not always in correct order when using next/prev navigation buttons
- FIXED: Google maps element using static API not being responsive


-----------------------------------------------------------------------------------------
Version 5.6.1 - July 18th, 2018
-----------------------------------------------------------------------------------------


- NEW: Added Google Maps static API choice to Google maps element and contact page template
- NEW: Added a theme option to control the font size of form inputs site wide
- NEW: Fusion Builder right click context menu added to the element library
- IMPROVEMENT: "Save as draft" button added to the Fusion Builder sticky buttons for easier saving of non-published posts
- IMPROVEMENT: Timestamps removed from dynamic CSS filenames to improve caching performance
- IMPROVEMENT: Added gallery and image before/after element images to Yoast's XML sitemap
- UPDATED: Font awesome now is on version 5.1
- FIXED: Privacy bar options disabling container video backgrounds in some cases
- FIXED: Privacy bar not scrollable on mobiles, when height is larger than viewport
- FIXED: Accessibility issue with mobile menu sub menu toggles
- FIXED: Unboxed toggle icons not using hover accent color in toggle and FAQ elements
- FIXED: Icon only menu option not working correctly in top menu on mobile
- FIXED: Columns of WooCommerce shortcodes not being correct on the main shop page
- FIXED: "Phone" and "Email" on WooCommerce order review page not being translatable
- FIXED: Latest Gravity Forms versions forcing body font size on form inputs
- FIXED: Blog post featured image dimensions page option not being respected correctly
- FIXED: User login element using redirection link, even if login data was incorrect
- FIXED: Image before/after element using fade effect not being correctly displayed in IE11


-----------------------------------------------------------------------------------------
Version 5.6 - July 9th, 2018
-----------------------------------------------------------------------------------------


- NEW: 4 New Professionally Designed Demos
- NEW: Added right click context menu to Fusion Builder for easier element interactions and edits
- NEW: Fusion Builder element library admin screen to easily manage, and edit your saved elements
- NEW: Mobile menu search is now enabled for all headers
- NEW: GDPR feature: added a customizable privacy banner that can handle embeds, tracking codes and custom cookie content
- NEW: Added privacy settings support for the Theme Options tracking code field
- NEW: Added API choice to Google maps element and contact page template to allow unlimited free map loads
- NEW: Added option to choose the HTML heading size in content box element
- NEW: Added ability to easily remove global property of a single element instance in Fusion Builder
- NEW: Added option to load media query CSS files asynchronously improving performance especially on mobiles
- NEW: Added option to show dropdown indicator also on sub-menus
- NEW: Added option to set the size of the sub-menu and mega menu top highlight borders
- NEW: Added option to set divider lines between footer widget areas
- NEW: Added option to set left/right padding for footer widget areas
- NEW: Added options for column spacing, content padding, excerpt length and load more to the Events element
- NEW: Added content padding theme option for WooCommerce product boxes
- NEW: Added quantity boxes to WooCommerce products in cart on mobiles along with a new design
- NEW: Added option to set a font size for the Toggle element heading
- NEW: Added toggle icon box color and hover accent color options to the Toggle element
- NEW: Added border size, border type and border color options to the Gallery element
- NEW: Added advanced server response output for remote get requests for easier debugging
- NEW: Added option to Flip Box element to have buttons either span full width or default
- NEW: Compatibility with The Events Calendar 4.6.19 incl. new page title and font size Theme Options
- NEW: Compatibility with WooCommerce 3.4.3
- NEW: Checked and confirmed WCAG 2.1 compliance
- IMPROVEMENT: CSS caching is now no longer page driven but content driven, which will create less files and increases performance
- IMPROVEMENT: Reduced the amount of used media queries in CSS for better performance
- IMPROVEMENT: Added performance improvements to the PHP auto loader class
- IMPROVEMENT: Sub-menus on mobile are now using the mobile menu typography
- IMPROVEMENT: Added check for set privacy page to the privacy embed placeholders
- IMPROVEMENT: Sub-menus are now shown when a parent menu is accessed through keyboard tabs
- IMPROVEMENT: Removed logo spacing in header v7, if no logo is set in Theme Options
- IMPROVEMENT: Added custom notices to privacy element, if alert element is disabled
- IMPROVEMENT: Added more advanced plugin update error messages for easier debugging
- IMPROVEMENT: Added option dependency system to widget and menu options
- IMPROVEMENT: Padding of the months labels of blog timeline layouts now scale automatically with font size
- IMPROVEMENT: Search field in Fusion Builder element library now has auto focus for better UX
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Added new actions and filters for better customizability
- IMPROVEMENT: The deprecated avada_ipad_portrait_styles filter is removed
- IMPROVEMENT: Removed deprecated iPad.less stylesheet
- UPDATE: Changed admin screen permission to switch_themes for Envato compliance
- FIXED: Mobile menu font not correctly applied to menu items that are icon only on desktop
- FIXED: Events filter bar styling issues on tablets and mobiles
- FIXED: Top margins in Column element being collapsing sometimes
- FIXED: Wrong text domains used for the privacy embed placeholder strings
- FIXED: fusion_privacy_cookie_args filter not being at correct location
- FIXED: Flyout menu items sometimes hidden below header, when menu  is higher than viewport height
- FIXED: Incorrect border color check for page title bar when set through Page Options
- FIXED: WooCommerce shipping calculator on cart page missing the city/town input
- FIXED: Undefined variable in WooCommerce product loop template
- FIXED: WooCommerce star rating for review comments overlapping the figures on small screens
- FIXED: Issue with WooCommerce product sorting, when non default sorting is set in the WooCommerce options
- FIXED: Sticky header on scroll disappearing on iPads if disabled on mobiles but active on tablets
- FIXED: Small gap in Events Calendar navigation on mobiles
- FIXED: Menu items in mobile flyout menu not being vertically centered
- FIXED: Videos not always correctly auto playing in Chrome
- FIXED: Container background images with fixed parallax mode not working correctly in Chrome 67 (Chrome bug)
- FIXED: Double white space in blog meta data after author
- FIXED: Image element with bottom shadow or lift-up style taking up some white space, even if visibility settings hide element
- FIXED: Infinite loop on 404 page, if neither 404 or main menu are assigned
- FIXED: Modal window element height collapsing when floated content is used
- FIXED: Left side header in boxed layout on RTL overlapping content
- FIXED: Responsive type script in some cases interfering with responsive scripts of premium sliders
- FIXED: Full screen Fusion Slider not loading full screen when the slider is not in viewport on load time
- FIXED: PHP notice in class-avada-scripts.php
- FIXED: Auto created related post fixed image sizes not always updated or deleted correctly
- FIXED: Chrome browser incompatibility with background videos in containers
- FIXED: Undefined index PHP notice in social widget class
- FIXED: IE11 sometimes displaying small gaps when using section separators
- FIXED: Minified Vimeo JS script causing some compatibility issues in IE11
- FIXED: Events Calendar excerpt length being incorrect when loaded through AJAX
- FIXED: A few icons missing from font awesome icon picker
- FIXED: LinkedIn social icon tooltips not spelled with uppercase "I"
- FIXED: Mobile device check for parallax backgrounds not detecting all devices correctly
- FIXED: A parallax backgrounds performance issue on mobiles
- FIXED: Dependency check missing for scroll to anchor script if JS compiler is turned off
- FIXED: Notice about changed options showing on Theme Options load on tabs with typography elements
- FIXED: JS compiler being off notice in Theme Options showing after reload, if compiler was turned off by user
- FIXED: Fusion Builder search for columns issue
- FIXED: Check for Avada being active missing in the privacy class, which could cause fatal error
- FIXED: Small PHP 7.2 compatibility issue leading to a warning


-----------------------------------------------------------------------------------------
Version 5.5.2 - May 22nd, 2018
-----------------------------------------------------------------------------------------


- NEW: GDPR feature: Added possibility to host Google fonts directly on your server
- NEW: GDPR feature: Added new options to allow loading of all third party embeds only after user consent was given
- NEW: GDPR feature: Added a new privacy element to give users the ability to manage their social media consents
- NEW: GDPR feature: Added a new option to user registration element that allows for a custom message
- NEW: GDPR feature: Added new Theme Option to add a consent checkbox with custom text to the Avada contact form
- NEW: GDPR feature: Added the WP 4.9.6 native comment checkbox to the comment form template
- NEW: Full support of WooCommerce 3.4
- NEW: Support for WordPress 4.9.6
- NEW: Added a new author widget, that can display all kinds of information of an author and also date of current post
- NEW: Added options to set gutter width between sidebar and content area
- NEW: Added new Theme Option to control the header color and transparency for archive pages
- NEW: Added new Theme Options for the accent color of all alert box types
- NEW: Added WhatsApp social icon to social sharing box and social icons in Theme Options
- NEW: Added text alignment option (left/center/right) to blog element and archives
- NEW: Added full pagination option and text alignment option (left/center/right) to recent posts element
- NEW: Added new base font size option for bbPress that gives you control over main text site and auto calcs others
- NEW: Added an option to display Avatar images in squares or circles throughout the site
- NEW: Added "skip to content" link in header.php for better accessibility reasons, to easier get to main content
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: IE specific stylesheet is now minified
- IMPROVEMENT: Added new actions and filters for better customizability
- IMPROVEMENT: Added notices to backend pages with information about data that is sent to ThemeFusion, when loading demos, plugins etc.
- IMPROVEMENT: Added more keywords to the font awesome icon picker, for easier icon search
- IMPROVEMENT: Increased performance for backend element preview for gallery element, by using thumbnails
- IMPROVEMENT: Set protocol on redirect URL in user login element explicitly
- UPDATED: Font awesome now is on version 5.0.13
- UPDATED: Extended sub-pixel bug fix for masonry script to all grid layouts, to correct certain rounding errors
- UPDATED: All links in Avada's backend reflect the new URLs on our server
- FIXED: Added nonce check for saving Fusion Slider meta fields
- FIXED: Nested columns as saved element not keeping the set options correctly
- FIXED: Adding widget areas failing after a demo was imported and removed on a fresh install
- FIXED: Aspect ratio of preview thumbnails in lightbox not being correct for horizontal layout
- FIXED: Breadcrumbs "Tags:" prefix missing a white space before actual tags
- FIXED: Issue with Google fonts not selectable in Theme Options after update, if no Google font was set prior to last update
- FIXED: Font styles for fonts set to use normal not being correct, if body font uses non default styles
- FIXED: Page Title Bar border color transparency not working correctly in all browsers
- FIXED: Blog medium layouts not being displayed correctly in IE11
- FIXED: Portfolio element text layout padding Theme Option not being correctly respected as global default
- FIXED: Children in content box element having a custom icon width/height set by default, which defeats so parent inheritance
- FIXED: Vimeo video JS script being loaded, even when disabled in Theme Options
- FIXED: Vimeo video slides not always auto playing correctly
- FIXED: Rich snippets check for author in post meta data not being correct
- FIXED: Accessibility issue in the form field, with the label not being tied to the input
- FIXED: Usage of deprecated function with latest gravity forms version


-----------------------------------------------------------------------------------------
Version 5.5.1 - May 02nd, 2018
-----------------------------------------------------------------------------------------


- NEW: Added new border width and border radius options for form fields
- NEW: Added new "clean" design option for search forms across the site
- NEW: Added new text transform option to button element
- NEW: Added a Theme Option to set hover color for breadcrumb links
- NEW: Added new layout (floated inputs) to login/registration elements
- NEW: Added "remember me" checkbox option to login element
- NEW: Added max width option to image element, to control the maximum space an image would take up
- NEW: All option color pickers now support RGBA colors
- IMPROVEMENT: Doubled the performance of get_attachment_id_from_url() function for better page load times
- IMPROVEMENT: Removed a few not needed font awesome assets from package
- IMPROVEMENT: Made sure that WP's native comment-reply.js is always loaded in footer
- IMPROVEMENT: Updated several option descriptions and dependencies for better usability
- IMPROVEMENT: Container element now supports all CSS units for margin and padding options
- IMPROVEMENT: Added several UI improvements to the new chart element
- FIXED: Issue with menu icons stored in old format leading to display issues after font awesome 5 update
- FIXED: Incorrect parameter setup for fusion_is_hundred_percent_template filter
- FIXED: The Events Calendar activation redirection kicking in, when activating plugin on demo install screen
- FIXED: Tooltip arrow size and color on Events Calendar month view
- FIXED: Variation thumbnail size in Avada's WooCommerce gallery
- FIXED: Content box element horizontal timeline not being visible when boxes have non-transparent background
- FIXED: Content box element custom image icons not being fully centered on layouts with icon on top
- FIXED: Alignment option not working in image element, when bottom shadow styling is used
- FIXED: RTL issues on the WooCommerce my-account login page and on cart page
- FIXED: Display issue with the backend post table on screens below 782px
- FIXED: Added several icons that previously were font awesome based to our system icon font
- FIXED: Metadata container on blog archives not correctly removed when no metadata is displayed, causing some extra spacing
- FIXED: Issue in value sanitation class, when using CSS calc() in options
- FIXED: Modal element close icon not changing color correctly based on chosen background color
- FIXED: Login/registration elements adding heading tag markup even if no heading is set
- FIXED: Login/registration elements not respecting custom form field settings
- FIXED: Several plural forms for string translations
- FIXED: Compatibility issue with WP versions below 4.6 because of usage of wp_get_attachment_caption()
- FIXED: Compatibility issue with WP versions below 4.9 because of usage of wp_enqueue_code_editor()
- FIXED: Potential compatibility issue with other plugins in Avada's menu options script
- FIXED: Column lift up hover effect being partially hidden, when using animated columns
- FIXED: Mobile flyout menu causing gap when being closed while header is sticky and secondary header being used
- FIXED: Animation offset default not correctly set for nested columns


-----------------------------------------------------------------------------------------
Version 5.5 - April 23rd, 2018
-----------------------------------------------------------------------------------------


- NEW: 3 New Professionally Designed Demos
- NEW: Fusion Builder Chart element for rendering 6 different chart types along with dozens of customization options
- NEW: Fusion Builder Before / After and Image Switch element with various design styles, customization options and more
- NEW: Fusion Builder Syntax Highlighter element for front end code rendering the way you want it, click to copy, style it your way
- NEW: Fusion Builder Text element now allows to use split columns for running text and inline elements along with design options
- NEW: Fusion Builder Checklist element now has an options to set divider lines and divider colors and a new Theme Option to set the item size
- NEW: Fusion Builder Alert element has new options to align content (left/center/right) set text transform and to enable/disable the dismissal button
- NEW: Avada Tabs widget now offers both clean and classic design styles to fit your site design consistently
- NEW: Avada Tab Widget now offers a Post Design feature that allows you to display the featured image as a square / circle or no image with the date
- NEW: Added image hover types and link targets to the Avada 125x125 Ads widget
- NEW: Masonry layouts now support 2x2 images for extra large image rendering and more creative layouts
- NEW: Masonry aspect ratio settings (1x1/landscape/portrait/2x2) have been added for image attachments to allow total control over every image
- NEW: Integration of Font Awesome 5 which offers almost 300 more icons to use throughout the entire theme
- NEW: Sliding bar now has padding options for all layouts along with a new width option and column layout options for the left/right layouts
- NEW: Single post titles will automatically change to an H1 tag for better SEO when the page title bar is disabled
- NEW: Single post extra section headings automatically changing to an H2 tag for better SEO when the page title bar is disabled
- NEW: Added complete typography options (font family, size, weight, letter spacing, color, etc.) for post titles and single post page extra section headings
- NEW: Boxed mode outer background image settings can also be used on wide layouts now and are called "Page Background" settings in Theme Options
- NEW: Page Background settings now have full option overrides in Fusion Page Options
- NEW: Changed to new Vimeo embed API and removed usage of deprecated Froogaloop library
- NEW: Updated all premium bundled plugins to latest version as of release date
- NEW: Added Yoast SEO plugin to our Avada plugins page since it is fully supported, recommended and easier to install
- IMPROVEMENT: Image title and captions will now show in WooCommerce product image lightbox
- IMPROVEMENT: The .min suffix is now added to all compiler created JS and CSS files to improve 3rd party compatibility
- IMPROVEMENT: Added style integration for select2 drop downs
- IMPROVEMENT: WooCommerce My Account menu dropdown no longer closes on username auto completion
- IMPROVEMENT: Menu anchor scrolling for 100% height scrolling sections is now a lot smoother
- IMPROVEMENT: Added support for The Events Calendar customizer options
- IMPROVEMENT: Updated several descriptions to improve option explanations
- IMPROVEMENT: Updated URL protocol check implementation of dynamic CSS files for better compatibility with CDNs
- IMPROVEMENT: Alt attribute of slider fallback images is now auto pulled
- IMPROVEMENT: Added auto line breaks for very long URLs without hyphens in The Events Calendar sidebars to prevent overflow
- IMPROVEMENT: Dashboard performance is now optimized when using many tags or blog categories
- IMPROVEMENT: Added filters to change alt tag of the site logo image, blog element pagination, and compiled CSS/JS files
- IMPROVEMENT: Fusion Builder API - Icon picker option can now be used multiple times in one Fusion Builder element
- IMPROVEMENT: Fusion Builder API - Custom heading and description can now be set for sortable parent/child Fusion Builder elements
- FIXED: Blog medium layouts being incorrectly styled when using Fusion Builder in single posts and full post content on blog archive pages
- FIXED: Logo doubled on mobiles when using header v7 and dedicated sticky menu
- FIXED: Outer background image not being displayed correctly on archive pages when framed boxed layout is used
- FIXED: Dedicated sticky menu not being visible on mobile sticky flyout menu
- FIXED: Logo being behind overlay when mobile flyout menu is opened
- FIXED: WooCommerce product sorting not working correctly in v3.3 when default sorting is set to price
- FIXED: Overall price for product bundles not being correct in WooCommerce menu cart widget when using product bundles add-on
- FIXED: WooCommerce woocommerce_order_details_after_order_table_items filter missing from our override
- FIXED: WooCommerce single product shortcode using the WooCommerce default column amount setting
- FIXED: WooCommerce product image zoom not working on touch screen devices when tapping the images on single products
- FIXED: Displaying first feature image on pages being disabled by default in Fusion Page Options
- FIXED: Boxed icon background color option not always showing in social links widget
- FIXED: Link selector field missing posts under certain circumstances
- FIXED: Selection of pre defined theme color schemes in Theme Options resetting menu typography options
- FIXED: Navigation styling not respecting Theme Option styling settings when using the <nextpage> delimiter
- FIXED: Sticky sidebars on mobile causing page jump when scrolling down to page footer
- FIXED: Styling issue with element color pickers in RTL mode
- FIXED: A few RTL styling issues on back end admin pages
- FIXED: Fusion Builder sticky bar not always being correctly displayed on small screens and in one column view
- FIXED: Custom ID and class in gallery element not being applied on front end
- FIXED: Content boxes with vertical timeline layout and empty content area displaying timeline too long
- FIXED: Isotope layout being messed up after AJAX complete when using The Events Calendar shortcode with photo view
- FIXED: Previous/next navigation being incorrectly aligned on portfolio single post pages
- FIXED: Previous/next navigation being incorrect when using recent versions of Post Types Order plugin
- FIXED: Pagination using text display not having correct link color on the arrows
- FIXED: Content boxes animation settings inheritance from parent to child not working correctly
- FIXED: Flip boxes animation settings being restricted to icons only, which will be applied to full boxes now
- FIXED: Smooth height not working on post slider element
- FIXED: Google maps tooltips not closing for all markers when tooltips are set to be invisible on load
- FIXED: JS error when using YouTube and Vimeo videos in two consecutive slides when using Fusion Slider
- FIXED: Container element Vimeo background videos not correctly muted and autoplayed
- FIXED: Check for deprecated excerpt length parameter in blog element being wrong which caused very old shortcodes to render excerpts incorrectly
- FIXED: Fusion Slider loop issue when using YouTube video
- FIXED: Fusion Slider taxonomy being publicly queryable
- FIXED: Slider fallback images being added to the DOM even if no slider is shown
- FIXED: Missing backend icons when Avada is active without Fusion Builder
- FIXED: Font awesome element preview incorrectly displayed in Fusion Builder
- FIXED: Flickering of flip boxes in IE11 browser
- FIXED: Image elements with bottom shadow overflowing container in IE11 browser
- FIXED: Person element image lift up hover effect leading to overflow in IE11 browser
- FIXED: JS scripts added to text element being executed in text element preview
- FIXED: Font weight explicitly applied to "bypostauthor" class which resulted in styling issue for certain fonts
- FIXED: 100% height center content option not disabled on mobile even if 100% height is disabled
- FIXED: Sliding bar positioning issue when using right positioning together with smooth scroll
- FIXED: Auto update class not using function_exists check for get_plugins function which could cause potential errors
- FIXED: Invalid HTML markup being added to vertical menu widget if no menu was selected
- FIXED: Flickering issue in Theme Options when using search mode and hovering different tabs
- FIXED: JS file loading issue on Avada FAQ admin page
- FIXED: Recent posts element column rendering being incorrect
- FIXED: A few db queries that were not properly prepared
- FIXED: Bug in Fusion Builder custom CSS field that made deleting all contents when backslash is used impossible
- FIXED: Top menu sub-menus on deeper levels showing siblings instead of navigating to the actual page when being clicked
- FIXED: PHP 7.2 error notice regarding usage of count function on non array variable in class-avada-nav-walker.php
- FIXED: PHP 7.2.2 notice thrown in the ThemeFusion news widget in WP backend
- FIXED: Parent/child option dependencies not working correctly in some Fusion Builder elements
- FIXED: Option dependencies for grid color settings in portfolio element not being correct in all cases
- FIXED: Flip box element missing default for icon circle option
- FIXED: Compatibility issue on variable WooCommerce products caused by AliDropship Woo Plugin
- FIXED: Next/previous arrows in lightbox sometimes missing when lightbox was closed on first/last image and then reopened
- FIXED: Slider positioning through Fusion Page Options not working correctly on main WooCommerce shop page
- FIXED: Gallery isotope grid layouts messing blog/portfolio isotope layouts when used inside of them
- FIXED: When CSS compiler is off Fusion Builder enqueued non minified shortcode, animation and lightbox style files instead of minified
- FIXED: Menu being incorrectly resized after AJAX complete when sticky header is active and menu background style is used
- FIXED: Font Awesome icons floating out of wrappers in tabs, toggle and testimonial elements
- FIXED: Page background not being full page height when using 100% background image and sticky footer
- FIXED: Added width and height attributes to testimonial element images
- FIXED: One page scrolling from external page not working when anchor uses special chars
- FIXED: Icons in icon picker of Avada Menu Options popup being duplicated when same item is opened several times
- FIXED: H4 headings in footer and sidebars not inheriting all h4 typography settings of from Theme Options
- FIXED: Post meta data not displaying at all when set to be below title and title was disabled
- FIXED: Menu padding doubled on RTL sites when using background highlight style
- FIXED: PHP warning caused by the_title filter in breadcrumb class being applied with only one parameters
- FIXED: Portfolio load more button removal script hiding all load more buttons on page when portfolio is fully loaded
- FIXED: Portfolio infinite scroll not always loading next posts correctly when using masonry layout
- FIXED: Font awesome stylesheet being double enqueued
- FIXED: Sub-pixel bug in masonry script to correct layout issues on certain setups
- FIXED: Page title bar blog option not hiding bar correctly when retina image is used


-----------------------------------------------------------------------------------------
Version 5.4.2 - January 29th, 2018
-----------------------------------------------------------------------------------------


- NEW: Full support of WooCommerce 3.3
- NEW: Updated all premium bundled plugins to latest version as of release date
- NEW: Added a Theme Option to set a custom link URL for the site logo
- NEW: Added a Theme Option to set the icon circle bg color for separator element
- NEW: Added filter for easier changes of secondary (top) header content
- NEW: Replaced the select2 JS library with selectWoo library for better 3rd party compatibility
- IMPROVEMENT: Added the post ID as class to portfolio element posts to make CSS targetting easier
- IMPROVEMENT: Made Fusion Page Options available on Event Espresso single event screens
- FIXED: PHP fatal error when Fusion Builder is active without Avada
- FIXED: PHP fatal error on view order page, if a product of the order was already deleted from db
- FIXED: Border on tab missing on My-Account view order pages, when using WooCommerce horizontal tabs layout
- FIXED: Select2 library conflict with Events Calendar Pro list widget on backend
- FIXED: Links in lists inside the widget area element being displayed as block elements
- FIXED: Smooth scroll for on page anchors not working if header is turned off in Page Options
- FIXED: PHP fatal error on PHP 7+ in recent posts element, when retrieving posts by tags
- FIXED: PHP 7.2 compatibility issue happening on Theme Options save, causing a PHP notice
- FIXED: Page Option dependency with the rollover custom link icon
- FIXED: Smooth anchor scrolling to begin of 100% height scrolling section not working on setups like Adventure demo
- FIXED: Smooth anchor scrolling position incorrect on mobiles when anchor is inside 100% height scrolling section
- FIXED: Smooth anchor scrolling not working on mobiles when JS compiler is off
- FIXED: Flip boxes column alignment issue on desktop
- FIXED: Content boxes column alignment issue on tablet portrait mode
- FIXED: Icon circle bg color in separator element being used, even if circle was turned off
- FIXED: Default mobile menu font color not changing with color scheme


-----------------------------------------------------------------------------------------
Version 5.4.1 - January 16th, 2018
-----------------------------------------------------------------------------------------


- NEW: Added possibility to update bundled premium plugins outside of theme updates
- NEW: Updated Fusion White Label Branding Plugin To Latest Version As of Release Date
- NEW: Updated Advanced Custom Fields Pro Plugin To Latest Version As of Release Date
- NEW: Updated Convert Plus Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: It is now possible to link to a single tab directly, when using a smooth scroll anchor link on the same page
- IMPROVEMENT: Integrated the styling of featured events for The Events Calendar plugin
- IMPROVEMENT: Rendering of images in gallery element preview optimized when using a lot of images
- IMPROVEMENT: Cached queries are no longer language agnostic, to improve compatibility with mem cache plugins
- IMPROVEMENT: Updated error notices popup on plugin installation page for better UX
- IMPROVEMENT: Removed the Convert Plus registration nag to free admin pages from clutter
- IMPROVEMENT: Fusion Builder CPT now hidden from the link selector options for easier navigation
- FIXED: Added nonce check for Fusion Slider exports, so slider export can't be downloaded outside of backend
- FIXED: Spacing issue inside vertical timeline content boxes, when box title is linked
- FIXED: page contents height sometimes being too large when using parallax Fusion Slider together with parallax footer
- FIXED: Icon unboxed mode not working correctly in FAQ element
- FIXED: Indentation issue and missing arrows on vertical menu widget when using custom menu
- FIXED: Gallery element not being rendered when there is a URL scheme mismatch between actual URLS and site URL in WP settings
- FIXED: WooCommerce equal height products not working correctly in IE11
- FIXED: Content area being misaligned on WooCommerce MyAccount page when horizontal tabs layout is used
- FIXED: Compatibility issue with YITH WooCommerce Pre Order Premium plugin on single products page
- FIXED: Menu items linking to an anchor on same page not highlighted correctly in mobile menus when page is scrolled
- FIXED: Sticky header height calcs being incorrect when using very small headers and no sticky animation
- FIXED: Smooth scroll to anchor not working when header is turned off in Fusion Page Options
- FIXED: Content behind overlay moving up under certain circumstances when mobile flyout menu is used
- FIXED: Fusion Builder sticky button being labeled "Publish" even on a private post where it should be "Update" instead
- FIXED: Fusion Builder sticky update buttons getting added to WP dashboard when activity widget is used
- FIXED: Positioning issue of titles on single posts page on RTL setups
- FIXED: Image element not being able to render all foreign image file names, due to encoding
- FIXED: Portfolio using fusion-builder text domain instead of fusion-core
- FIXED: Small admin links separator showing on first post of bbPress topics when logged out
- FIXED: Minor styling issue with form inputs on iOS
- FIXED: Countdown element weeks default option value not being correctly shown in backend
- FIXED: "Imported" label in importer not being AJAX updated
- FIXED: Slider Revolution attachment not being correctly deleted, when a demo containing such a slider is removed
- FIXED: onYouTubeIframeAPIReady() function being called even if YouTube scripts are turned off in Theme Options
- FIXED: Rare issue with Fusion Builder global elements causing memory issue, if the template id was missing
- FIXED: Side header with sticky header enabled on mobile cannot scroll menu
- FIXED: Portfolio lightbox gallery not working correctly when set to show post images only, and All filter is deactivated


-----------------------------------------------------------------------------------------
Version 5.4 - December 19th, 2017
-----------------------------------------------------------------------------------------


- NEW: 3 New Professionally Designed Demos
- NEW: Added Advanced Custom Fields Pro plugin to our set of bundled premium plugins
- NEW: Added Fusion White Label Branding plugin to our set of bundled premium plugins
- NEW: Added Convert Plus plugin to our set of bundled premium plugins
- NEW: Added a Fusion Builder element for Convert Plus plugin
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Added sliding bar link hover color setting to Theme Options
- IMPROVEMENT: Related posts with fixed image size mode now make full use of responsive image setup
- IMPROVEMENT: Updated a few database queries that were not following WP coding standards
- IMPROVEMENT: Added new option to Fusion Slider to choose scroll down arrow or nav bullets, to avoid overlapping
- IMPROVEMENT: Fusion Slider now also showing in preview mode of scheduled posts
- IMPROVEMENT: Updated multiple featured image class to make meta box appearance the same across browsers if no image is yet chosen
- IMPROVEMENT: Updated links on Fusion Builder add-ons page to SSL
- IMPROVEMENT: Gallery pre-selection is now available on already created gallery elements
- IMPROVEMENT: Updated several descriptions to improve option explanations
- FIXED: 100% height scrolling sections being cut off on mobile, even if the 100% height option is disabled
- FIXED: Blog pagination not being able to go beyond 5 pages
- FIXED: Sliding bar icon on header v6 being visible, even if sliding bar was disabled
- FIXED: Compatibility issues with plugins adding custom fields to checkout page
- FIXED: Demo import only working for primary language when using WPML
- FIXED: Demo import failing when mbstring PHP extension is not loaded
- FIXED: Link selector in different Fusion Builder elements not working correctly in Firefox
- FIXED: Backend compatibility issue with Yoast SEO when horizontal menu widget is used in page contents
- FIXED: Arrow highlight indicator not working, when main menu item consists of an icon only
- FIXED: Dedicated sticky header menu not working for header v6
- FIXED: Vimeo video not pausing when moving to next frame in lightbox
- FIXED: Fusion Taxonomy Options for WooCommerce product archives not working correctly
- FIXED: A few styling issues in the vertical menu widget
- FIXED: Javascript error and rendering issue, when using elements with lightbox option where a sub element misses image
- FIXED: Styling issues on RTL setups for the tab element
- FIXED: Icon / heading alignment issue in content boxes element when using vertical timeline layout
- FIXED: Drop shadow not correctly working with zoom in/ zoom out image hover effects
- FIXED: Bottom shadow not correctly displayed on person element if image lift up hover type is chosen
- FIXED: Blog element padding setting from Theme Options not applied as default value for blog elements
- FIXED: Equal heights setting in containers causing height issue when using the Events Calendar element
- FIXED: Anchor scrolling on mobile not working correctly when triggered through sub-menu items
- FIXED: Facebook widget no correctly resizing with the available space in wrapping container
- FIXED: Fusion Taxonomy Options slider setting incorrectly copied to category pages from main shop page (upgrade fix only)
- FIXED: Popularity setting in tabs widget not working correctly for non English languages
- FIXED: Stored padding values for a few elements not being correctly read into the Fusion Builder settings popup
- FIXED: Social icons widget conditional options only working after widget was saved for the first time
- FIXED: PHP notice in social icon class if no title was set for custom icons
- FIXED: Blank page template alignment issue when using side header and sticky footer
- FIXED: Smooth anchor scrolling not respecting mobile sticky header when used on side header desktop layouts
- FIXED: Theme Option remote media warning notice showing on all admin pages
- FIXED: Overlay issue under certain circumstances when switching between shortcode generator and Fusion Builder


-----------------------------------------------------------------------------------------
Version 5.3.1 - November 29th, 2017
-----------------------------------------------------------------------------------------


- NEW: 100% width option added to WooCommerce single product pages
- NEW: Added the new tabs functionality to the Facebook widget
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Added a filter for developers for 100% width template check in header.php
- IMPROVEMENT: Email generated by the Avada contact page form are now RTL ready
- IMPROVEMENT: Version number comparison for auto updates to make sure update notice disappears correctly
- IMPROVEMENT: Made sure that bold and strong tags use same font-weight across browsers
- IMPROVEMENT: Fusion Cache reset confirmation box now uses standard alert box for easier usage
- IMPROVEMENT: Updated some option descriptions for better usability
- IMPROVEMENT: "Insert from URL" option in media uploader is now available for the Text Block element
- FIXED: Setting sidebar to "No Sidebar" in Fusion Page Options not working correctly for posts
- FIXED: Mega menu background images having 1px gap on the side for certain setups
- FIXED: Side header background color hiding background image on archive pages that don't use Fusion Taxonomy Options
- FIXED: Smooth scroll issue when using portfolio element with infinite scroll / load more button
- FIXED: Sliding bar always being open when used on right side of viewport together with smooth scroll
- FIXED: Compatibility issue with the Events Calendar shortcode for photo view, causing a JS error
- FIXED: Skype phone link not working correctly in Social Links widget
- FIXED: Avada Menu Options not being correctly saved when used in WP Customizer
- FIXED: Custom templates imported in Fusion Builder having an extra line break in text editor
- FIXED: Dedicated redirection link in Login element working even if a login error occurred (no security issue)
- FIXED: Images not showing for blog grid/masonry layouts, if excerpt length is set to 0 and also title and all meta data is hidden
- FIXED: Styling for WooCommerce search fields in select boxes
- FIXED: Images added to WooCommerce single product pages not being opened in lightbox, if corresponding Theme Options is active
- FIXED: Compatibility issue with WooCommerce Checkout Add-Ons plugin
- FIXED: Quotation marks not working in the contact form
- FIXED: bbPress plugin activation through importer causing import not working on first attempt
- FIXED: Rounding bug for navigation typography letter spacing in Theme Options
- FIXED: Link on demo import failure notice, so it correctly goes to System Status tab
- FIXED: Theme Option dependency description reading "Page Option" even for Fusion Builder Options
- FIXED: Compatibility issue on AJAX completion events with Fancy Product Designer plugin
- FIXED: New 5.3 demos not being available in the Fusion Builder single page imports
- FIXED: Facebook widget not being responsive on browser window resize
- FIXED: Encoding issue for some user inputs to elements using raw_textarea field, leading to element edit screen not being opened
- FIXED: Issue with WP category widget not loading selected category page
- FIXED: Two menus showing in mobile flyout menu, when a separate sticky menu is used
- FIXED: RTL issue with center aligned font awesome icons
- FIXED: RTL issue with blog element and large alternative layout
- FIXED: Compatibility issue with WP 4.6.8
- FIXED: Added compatibility with Borlabs cache plugin


-----------------------------------------------------------------------------------------
Version 5.3 - November 20th, 2017
-----------------------------------------------------------------------------------------


- NEW: 5 New Professionally Designed Demos
- NEW: Fusion Builder saved elements can now be used as globals, where any edits to the global will update contents on pages where the global is used
- NEW: Full screen scrolling sections with a side navigation graphic and fading animations between sections
- NEW: Added 100% height option to container element
- NEW: Sliding bar can be positioned on every side now (top/right/bottom/left)
- NEW: Sliding bar has new toggle layouts (floating circle / rectangle / menu item) and a set of new options, like sticky sliding bar
- NEW: Flyout menu is now available as additional mobile menu layout for all header versions
- NEW: Added import/export functionality to Fusion Page Options for easy usage of options across different posts/pages/sites
- NEW: Added set of page options to archive pages so that any archive can get individual styling (e.g. header, slider, page title bar)
- NEW: Added icon options to tabs element, so icons can be displayed on any side of the tab title and with an arbitrary size
- NEW: Added icon options to toggle element, so that icon alignment, size color and boxed/unboxed mode can be chosen
- NEW: Added a set of coloring options to pricing table element for deeper customization and to support new designs
- NEW: Added grid box background color, border color, separator style and separator color options to blog and portfolio elements
- NEW: Added grid box padding options for blog and portfolio archives and Fusion Builder elements
- NEW: Added full set of element and theme options to FAQ element so styling can be changed similar to toggle element
- NEW: Added sticky update/save and preview buttons to pages/posts using Fusion Builder for easier updating when page is scrolled
- NEW: Added Fusion Builder column options for deleting, cloning and resizing to nested columns element. Save icon cannot be added due to technical limitations
- NEW: Added parent level element options to content boxes, flip boxes, counter boxes and tabs elements for easier child item editing
- NEW: Revised our global sidebar setup to work more consistently with our option network
- NEW: Global sidebar assignments will work on all pages that use new "default" sidebar setting, even if forced global sidebars is off
- NEW: Side navigation setup (previously done via template) via the new vertical menu widget to display custom menu in sidebars and to simplify usage
- NEW: Added a full set of styling and alignment options for every widget that allows incredible new design possibilities
- NEW: Equal heights option is now available for blog and portfolio elements and archives in grid layout
- NEW: Equal heights option is now available for WooCommerce products on shop page
- NEW: Added Theme Option for choosing if WooCommerce shop page should be grid or list view by default
- NEW: Added Theme Option for choosing if the grid/list view buttons should be shown on WooCommerce shop page
- NEW: Added links to all user account page to the WooCommerce "My Account" main menu item
- NEW: Added margin options to font awesome element, so it can be positioned arbitrarily
- NEW: Added ordering options to portfolio element, so posts can be ordered by date, title, name, author, comment count, modified date, menu order or random
- NEW: Added options to order slides in Fusion Slider: post id, title, creation data, last updated or random
- NEW: Fusion Slider heading and caption can be set to any HTML heading tag (h1 - h6) for SEO optimization
- NEW: Option for Fusion Slider to display a downward arrow indicator on the slider which scrolls smoothly to page contents below slider
- NEW: Added preview images for Portfolio, FAQ and Fusion Slider post types in the dashboard list view
- NEW: Added options to recent posts element that allow meta data to be enabled/disabled individually
- NEW: Added a filter to Fusion Page Options so that developers can add their own tabs and use Avada specific UI
- NEW: Added filters for easily changing the portfolio strings like "Project Details", "Skills Needed" etc.
- NEW: Persistent object cache setups get cleared now on any kind of post manipulation to make sure changes are correctly reflected on front end
- NEW: Fusion Cache clearing functionality now can auto clear Autoptimize and LiteSpeed cache
- NEW: Added full set of mobile menu font typography options
- NEW: Full column link in column element now has option to choose if it should open in same or new tab
- NEW: Added notice about deprecation of PHP 5.2 support in Avada 6.0
- NEW: Added easy link selector support for options that take links, for better UX
- NEW: Added TinyMCE widget conversion for Fusion Builder elements when updating from Avada below version 5
- NEW: Avada grid image sizes can now be selected in the WP Media Library for easy usage
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: Added native support for Envato hosted platform for easier plug and play integration
- NEW: Added new raw textarea element, so that HTML contents can be stored in elements like Google maps or tagline box
- NEW: Added Content display option for blog archives and for blog element global
- NEW: Added version and author information to the Add-ons featured on Fusion Builder Add-ons page
- IMPROVEMENT: Retina logos are setup through srcset now and not through additional HTML markup
- IMPROVEMENT: Avada's advanced responsive images now also working when using file names that are WP specific for generated thumbnails
- IMPROVEMENT: Social icons widget and element now use set names for custom icons in title for a better understanding UX
- IMPROVEMENT: Added a loading spinner when Fusion Caches are cleared to indicate progress
- IMPROVEMENT: Fusion Cache clearing works in modules now, allowing to only clear certain parts
- IMPROVEMENT: Portfolio element now displays a placeholder on mobile when Avada is used together with WP touch plugin
- IMPROVEMENT: Logo margin will no longer apply on front end, if no logo is set in Theme Options
- IMPROVEMENT: Removed old compatibility styles for IE8
- IMPROVEMENT: Google maps custom info box content is now displayed on front end, even if custom styling is disabled
- IMPROVEMENT: When using full screen Fusion Slider above header, the header is now also shown on mobiles
- IMPROVEMENT: Prefixed TGM plugin class to ensure compatibility with third party plugins using same class
- IMPROVEMENT: The avada-noscroll class now works for buttons in content and tagline boxes
- IMPROVEMENT: All needed token options are auto checked now when using the link to token generation on the registration screen
- IMPROVEMENT: Update page no longer needs reloaded after theme auto update in order for the update notice to be dismissed
- IMPROVEMENT: Updated option descriptions and explanations for better UX and fixed some typos
- IMPROVEMENT: Continued maintenance update to increase overall performance
- IMPROVEMENT: UTF-8 encoding is now automatically done during demo import to support maximum compatibility for post contents
- IMPROVEMENT: All mega menu options update live now, so dependent options no longer need a reload to show
- IMPROVEMENT: Demo data is no longer deleted after import is done, but remains available, so less requests are made
- IMPROVEMENT: Conversion related settings now have their own section on the system status page
- IMPROVEMENT: Import of Theme Options will now also work with max_input_vars at low values
- IMPROVEMENT: Consolidated all spacings, borders, background colors and separator options for blog and portfolio grid layouts for perfect matching
- IMPROVEMENT: Minor styling adjustments on different admin screens for better UX
- IMPROVEMENT: Implementation of blog pagination is refactored to improve performance when the amount of pages is very high
- IMPROVEMENT: Added new "default" option to the separator element style setting, so theme option setting can be used easily
- IMPROVEMENT: Make image meta data, like image titles, work for image elements on sites that changed URL scheme
- IMPROVEMENT: Image frame element is now simply called image, which fits its purpose much better
- IMPROVEMENT: Fusion Builder development mode includes more assets now unminified for easier development work
- IMPROVEMENT: When grid element color is set to transparent, borders are no longer added
- IMPROVEMENT: Simplified portfolio element text options for easier usage
- IMPROVEMENT: Better support of WP admin color schemes inside of Avada and Fusion Builder
- IMPROVEMENT: Better styling of search box in Fusion Page Options selects with a large amount of options
- IMPROVEMENT: Content boxes read more links can now be used for smooth anchor scrolling
- IMPROVEMENT: The WooCommerce login form in the main menu is now compatible with WP Engine security block filter
- UPDATED: Flexslider script to latest version 2.6.4
- UPDATED: iLightbox to the latest version 2.2.2
- UPDATED: Main navigation highlight radius option now uses a dimension field for better UX
- UPDATED: Better style integration for the new Events Filter Bar 4.5
- UPDATED: Removed custom WooCommerce product sorting from search results page, as it is no longer supported by WooCommerce
- FIXED: WCAG 2.0 issue with search in main menu not being accessible using the tab key
- FIXED: WCAG 2.0 issue with secondary menu drop downs not being accessible  using the tab key
- FIXED: Lightbox thumbnail missing for portfolio posts that use a video URL for first featured image
- FIXED: Lightbox not correctly working on mobiles in some instances, when viewing in desktop mode
- FIXED: Menu cart widget being cut off through viewport when using side header when cart has a lot of items
- FIXED: Removed the loading spinner on variable products on WooCommerce shop page when select options button is clicked
- FIXED: Incorrect featured image from displaying when WooCommerce Product Bundles plugin is used
- FIXED: Theme options export URL not working
- FIXED: Direct tab links causing other tab elements on same page to be empty
- FIXED: Minor WooCommerce styling issue on single product page, when stock is down to only 1
- FIXED: Issue with sorting on WooCommerce shop page, where sorting direction is not always correct or requires two clicks
- FIXED: Issue with WooCommerce variable product attributes falling to one line in cart when updating the cart
- FIXED: Menu highlight arrow not working for the WooCommerce "My Account" main menu item
- FIXED: Variation name not correctly displayed on WooCommerce checkout page for variable products
- FIXED: Shipping address not being displayed on WooCommerce order received page
- FIXED: WooCommerce shop page shown in breadcrumb paths on archive pages, even when post type archives are disabled in Theme Options
- FIXED: Styling issue with YITH WooCommerce Product Add-Ons Premium
- FIXED: Issue with WMPL, where caption and alt tags were not translated when multiple featured images are used
- FIXED: Styling issues with Events Tickets Plus forms
- FIXED: YouTube background video on containers always looping, even if set to no
- FIXED: Display issue with social sharing by mail when using titles with special characters
- FIXED: Minor issue with form input height for the search bar in main menu when not using px as unit
- FIXED: Quotation marks in contact form appearing as HTML entities
- FIXED: Quantity boxes from third party plugins losing the up/down arrows
- FIXED: Compatibility issue between Avada Facebook widget and Facebook Comments Plugin
- FIXED: Infinite scroll for blog elements being auto triggered under some circumstances when using masonry layout
- FIXED: Small inconsistency with the flyout menu icon font size
- FIXED: Blog element not displaying content when masonry layout is used and set to one column
- FIXED: Flip boxes not flipping correctly in latest Edge browser version
- FIXED: Image sizes in image carousel element not always being correct when fixed mode is used
- FIXED: Custom classes added to nested column element being doubled in HTML markup
- FIXED: Navigation arrows not correctly aligned in Fusion Slider when parallax mode is used
- FIXED: Amount of columns not showing in backend blog element preview
- FIXED: Fusion Slider full screen non-parallax layout not always correctly positioned
- FIXED: Fusion Slider compatibility issue with Polylang
- FIXED: Page title bar theme option for main blog archive pages only working on main blog page
- FIXED: RTL contents positioning issue in Page Title Bar
- FIXED: Responsive images calculation for one column setups being underestimated
- FIXED: Video resize issue when using a video element inside a container with video background
- FIXED: Missing alt attributes in mega menu thumbnail images
- FIXED: Menu anchor scroll not working on mobiles when JS compiler is turned off
- FIXED: Smooth scroll not working correctly with portfolio filters and load more button
- FIXED: Compatibility issue with plugins using same color picker instantiation function
- FIXED: Issue in IE11 where sub menus where not correctly displayed when using arrow highlight option
- FIXED: Page title bar vertical alignment issue in IE11 on mobiles
- FIXED: Browser history state when using anchor links containing underscores
- FIXED: A few PHP notices coming up in very rare cases
- FIXED: Missing map marker file in Music demo
- FIXED: Number of posts option in portfolio element not being able to pull global theme option value
- FIXED: Featured images not being auto selected in library, when editing the image in dashboard
- FIXED: Alt attribute missing for featured images, if more than one featured image is displayed
- FIXED: Mobile secondary menu hamburger toggle being misaligned
- FIXED: WP native video embeds overflowing content area, if viewport width becomes too small
- FIXED: Fusion Builder saved elements using incorrect status variable, which can lead to plugin conflicts
- FIXED: Gallery element on pages without additional content disables sticky header on load
- FIXED: Image carousel element sometimes overflowing wrapping container when there is not enough space
- FIXED: Equal heights for content boxes not working properly on iPad
- FIXED: Content on blog medium layouts flowing into sidebar on iPad
- FIXED: Fusion Builder element modals being too large on small screens, improved responsiveness
- FIXED: Scrolling issue with open modals on iOS, where scrolling or closing the modal does not work
- FIXED: Scrolling issue and doubled scrollbars when opening modal and smooth scroll is used
- FIXED: Color picker issue that caused the icon element color theme option affect flip box element icon colors
- FIXED: Equal heights option together with infinite scroll and dynamically changing post content causing display issues in portfolio element
- FIXED: Issue in slider element when saving the slider after removal of all slides causes an error
- FIXED: Heading typography settings not applied to all title element heading sizes under some circumstances
- FIXED: Auto calculation of first and last column, when updating from Avada versions < 4.0
- FIXED: LayerSlider import causing error when the LayerSlider plugin is not active
- FIXED: Ads widget not being displayed correctly
- FIXED: Polylang language switcher flags misaligned on mobile menu
- FIXED: Menu ordering buttons not working on the admin menu edit screen
- FIXED: Fusion Slider buttons not exactly left/right aligned on corresponding content layouts
- FIXED: Responsive type theme option not correctly working when Fusion Slider is enabled
- FIXED: Responsive type sensitivity options not working correctly when multiple sliders are on one page
- FIXED: Counter circles element incorrectly set back to 100% on resize and modal open when count down is used
- FIXED: Right side header in boxed mode not correctly positioned, when sticky footer is used
- FIXED: Lightbox on open jumping to top of page when sticky footer is used
- FIXED: Menu dropdown indicator on secondary menu on side headers being misaligned
- FIXED: Side header width not correctly respected in site width calculation for responsive images
- FIXED: Events Calendar filter bar date picker being below header
- FIXED: Small issue Fusion Slider assignment on pages translated using WPML
- FIXED: Portfolio one column buttons being to large in width when using full width buttons
- FIXED: Small gap above image on Events Calendar listing page on mobile
- FIXED: Shortcode generator not always correctly being triggered in editor text mode
- FIXED: Mega menu horizontal divider not respecting Theme Option menu separator color setting
- FIXED: Events Calendar single post sidebar styling being incorrect
- FIXED: Demo import fails if WooCommerce is activated from the demo popup
- FIXED: Tag archives sometimes incorrectly identified as Events Calendar archives


-----------------------------------------------------------------------------------------
Version 5.2.3 - November 14th, 2017
-----------------------------------------------------------------------------------------


- NEW: Compatibility with WordPress 4.9
- NEW: WooCommerce 3.2.3 support
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- UPDATED: Change wp_remote_post() test URL to ensure system status page evaluates functionality correctly
- FIXED: Facebook social sharing link not working correctly
- FIXED: Portfolio archive text alignment Theme Options not working
- FIXED: Blog element not being displayed when using including/excluding posts based on tag on PHP 7.1+ setups
- FIXED: Issue within nested elements when added via the generator to other Fusion Builder parent elements, where options where not displayed
- FIXED: Content box icons being misaligned when using classic icon boxed layout
- FIXED: AJAX complete trigger issue in avada-header.js sometimes causing header height issues
- FIXED: JS Compiler creating too many files when google maps scripts are used
- FIXED: Incompatibility between Fusion Page Options and Events Calendar 4.6.4 select2 library


-----------------------------------------------------------------------------------------
Version 5.2.2 - August 7th, 2017
-----------------------------------------------------------------------------------------


- FIXED: Fusion Builder text editor color picker and heading dropdown being hidden on WordPress 4.8.1
- FIXED: WooCommerce product sorting not working correctly
- FIXED: Gallery element not displaying correctly inside of toggles
- FIXED: Alignment issue of content box icons using icon circles
- FIXED: "Text display" setting in recent posts element changing from "None" to "Full Content"
- FIXED: Bulk image upload from within advanced elements causing child element issue
- FIXED: Title size being incorrect on single blog posts when meta details are below title
- FIXED: Container and column background image not being visible in Chrome v60 (browser bug)
- FIXED: "View Cart" link on product rollover not always being clickable
- FIXED: Smooth scrolling to anchors not working for links on a different page
- FIXED: Toggle Active Box Color not working on non-boxed toggles
- FIXED: Demo removal issue (leading to empty Theme Option values) on clean installs when using PHP 7.1+
- FIXED: Header v6 WCAG issue for the slide out toggle
- FIXED: Image rollover not working on WooCommerce Featured Image element when using clean styling
- FIXED: Issue with nicescroll on pages that use infinite scrolling or load more AJAX options
- FIXED: RSS field automatically filled with same link as Twitter field in Social Links widget
- FIXED: Container element border Theme Option not working correctly in individual elements
- FIXED: Breadcrumbs post type for blog post archive pages always showing, even if disabled
- FIXED: Load more button background color setting not working for portfolio archives


-----------------------------------------------------------------------------------------
Version 5.2.1 - July 17th, 2017
-----------------------------------------------------------------------------------------


- NEW: Links and menu items now have a smooth hover transition effect
- NEW: Added new settings to Theme Options to enable/disable single rich snippets
- NEW: Added a note and a link to Theme Option setting on post edit screens for featured image boxes
- NEW: Added 'Settings" link to Fusion Builder on the WP plugins page
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- IMPROVED: Blog element excerpt / full content setting updated for easier choice
- IMPROVED: Post meta data saving to increase performance on post save
- IMPROVED: Google fonts now loaded before custom CSS to avoid issues when custom CSS is incorrect
- IMPROVED: Limit for custom social link icons raised to 50
- IMPROVED: Toggles in boxed mode can be collapsed/expanded now when clicking anywhere on the background
- IMPROVED: Added some new option dependencies for easier configuration
- IMPROVED: Removed several !important statements
- IMPROVED: Removed unneeded old importer script parts
- IMPROVED: Blog grid/timeline padding between title and content when meta data is disabled
- UPDATED: Added the 3 new 5.2 demos to the Fusion Builder single page imports
- UPDATED: jQuery Nicescroll script to version 3.7.4
- FIXED: WooCommerce checkout validation failing when selling to only one country
- FIXED: WooCommerce my-account billing address first name field label alignment
- FIXED: WooCommerce breadcrumb structured data missing
- FIXED: Portfolio archive number of items Theme Option not working
- FIXED: Facebook like widget not resizing correctly in sliding bar and undefined index issue
- FIXED: Boxed mode shadow not stretching over full content height when using sticky footer
- FIXED: Mega menu dropdowns not disappearing when anchor links are clicked on menu
- FIXED: Responsive image sizes sometimes being overestimated in columns when 100% width templates are used
- FIXED: Additional size in responsive images sizes attribute causing issue in Chrome
- FIXED: Dependency issue of animations JS causing script errors when animations are disabled
- FIXED: Toggle contents sometimes reaching edge when using boxed mode
- FIXED: 1px gap when using #home link for anchor scrolling in Chrome
- FIXED: 1px vertical gap between portfolio images in some browsers when 0 column spacing is chosen
- FIXED: Fusion admin news widget not working on some hosts
- FIXED: Fusion Slider full screen option not always working in Safari
- FIXED: main HTML5 tag not being supported in IE11 causing alignment and parallax issues
- FIXED: Long description not working when using LinkedIn for social sharing
- FIXED: Smooth scrolling issue in Firefox when using nicescroll
- FIXED: Comment form fields not being full width on mobiles
- FIXED: restore_current_blog() called incorrectly on Fusion cache clear and also double main blog clearing on multisite
- FIXED: A small styling issue with the element action buttons in Fusion Builder
- FIXED: Image preview of some elements in Fusion Builder to remove distortion
- FIXED: Child element icon search also affecting the parent icons in Fusion Builder elements
- FIXED: IE11 spacing issue with bg images in empty columns


-----------------------------------------------------------------------------------------
Version 5.2 - July 10th, 2017
-----------------------------------------------------------------------------------------


- NEW: 3 New Professionally Designed Demos
- NEW: Completely new demo importer user interface, that allows to partial install and also uninstall
- NEW: New demo importer allows to install individual portions of demos & uninstall demo content
- NEW: Added a new gallery element with several customization options with grid & masonry layouts
- NEW: Added masonry layout to blog and portfolio elements and archives
- NEW: Added sticky sidebars, which can be set sitewide, or page wide for one or both sidebars
- NEW: Added option for background images in megamenu, one image for full menu, or individual image per menu column
- NEW: Added menu highlight labels to main menu with several style options
- NEW: Google fonts added to dynamic CSS for performance enhancement due to fonts no longer showing up as render blocking files in speed tests
- NEW: Avada's advanced responsive images setup added to person and WooCommerce featured product element and WooCommerce Product Carousel
- NEW: Avada's advanced responsive images setup extended to content inside of column elements producing performance enhancements
- NEW: Added a new menu location for mobile menus so you can now assign a specific menu just for mobile
- NEW: WooCommerce 3.1 support
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: New WordPress media library now supported in Fusion Page Options
- NEW: New Featured Image setup that is code optimized, updated and fully maintained by us
- NEW: Added a complete set of portfolio global theme options for the portfolio element
- NEW: Post meta data can now be aligned directly below post title on single blog posts
- NEW: Posts in blog, recent posts and in portfolio element can now be pulled by tags
- NEW: Portfolio posts can now be sorted by tags in portfolio element
- NEW: Added option to select twitter icon color in twitter widget
- NEW: Added set of global Theme Options for each Alert element style
- NEW: Added option to align video elements left/center/right
- NEW: Added new setting to button element to add additional attributes like rel
- NEW: Added option for page title bar line height
- NEW: Added an option so toggles can also be used as accordions
- NEW: Added slider IDs to Fusion Page Option dropdowns
- NEW: System path added to system status page
- NEW: Support for Apple Pay on WooCommerce pages
- NEW: Column spacing is now officially supported for portfolio carousel layout
- NEW: Added support for 'transparent' as color in Theme Options
- IMPROVED: Now using smaller fitting srcset thumbnails in image frame element when possible
- IMPROVED: Replaced protocol relative asset URLs with absolute ones
- IMPROVED: Changed data structure of menu item options to improve menu saving performance
- IMPROVED: Added support for imports and caching on file systems using ftpext mode
- IMPROVED: Fusion Page Option ordering is the same now for different post types
- IMPROVED: Added several new HTML5 tags to the page markup
- IMPROVED: Added a new responsive image size to make sure images can stretch fully on large screens
- IMPROVED: Removed the ajax-functions.php
- IMPROVED: Added support for Yoast sitemap images
- IMPROVED: Grid elements in one column responsive mode now have the images centered
- IMPROVED: Font uploads in Theme Options will work on more environments due to updated MIME types
- IMPROVED: Added structured data to blog archives if blog meta data is deactivated
- IMPROVED: Made WooCommerce sorting boxes compatible with larger font size setups
- IMPROVED: Theme option value validation to avoid JS errors in Fusion Page Options
- IMPROVED: Fusion Slider transition after video slide ended
- IMPROVED: Events Calendar archive bar spacing for foreign languages
- IMPROVED: Disabled dynamic CSS caching automatically when using mobile theme plugins like WP Touch
- IMPROVED: WCAG: Dropdown menus now work using tabs
- IMPROVED: Added more spacing for titles in vertical tabs
- IMPROVED: Added automatic spacing between content and sidebars in responsive mode
- IMPROVED: Added timestamps for cached CSS and JS files for better compatibility with caching plugins
- IMPROVED: Added parent category to breadcrumbs path, when multiple sub categories share same parent
- IMPROVED: Added conditional loading for some admin meta boxes for performance improvements
- IMPROVED: Product registration is solid due to several changes while working with Envato
- IMPROVED: Don't load lightbox CSS when lightbox is disabled in Theme Options
- IMPROVED: Some RTL styling issues on Theme Options page
- IMPROVED: Breadcrumbs now support posts page output on post archives and search page parent post types are linked now
- IMPROVED: Admin messages and notices for demo imports etc. are not localized
- UPDATED: WordPress importer script
- UPDATED: Changelog link now directly available in the theme's update nag
- UPDATED: Several Theme Options, Page Options and also element descriptions for better explanations
- UPDATED: Removed no longer needed mobile bottom margin on #content container
- FIXED: Tooltips not disappearing after an outbound link was clicked on mobiles
- FIXED: Lightbox not working for portfolio elements added through AJAX
- FIXED: Importer not converting menu URLs correctly
- FIXED: Dynamic CSS being cached even if turned off
- FIXED: Blog grid and portfolio boxed layouts not always using same separator colors
- FIXED: PHP notice on update page
- FIXED: Load more button on portfolio elements staying, even after all posts were loaded
- FIXED: Dynamic CSS path issue on multisite installs
- FIXED: JS not working on iPhone/iPad when cookies are deactivated
- FIXED: Layout issue with WPML language switcher
- FIXED: Anchor scrolling not working on WPML sites when the language name is used as param
- FIXED: Longer page title breaking early to 2 lines in page title bar when no secondary content is used
- FIXED: WooCommerce text strings that changed
- FIXED: WooCommerce clean design add to cart animation layout
- FIXED: Rare WooCommerce archive layout issue, when using CSS file compiler
- FIXED: Dependency for avada-header.js is no longer conditional
- FIXED: WooCommerce PHP notice
- FIXED: Quantities not showing correctly on WooCommerce order page
- FIXED: WooCommerce checkout page doesn't advance now, when there are input errors on one of the tabs
- FIXED: WooCommerce one page checkout not scrolling fully up to display input errors
- FIXED: WooCommerce shipping methods sometimes overflowing container on checkout page
- FIXED: WooCommerce grouped product quantity input being displayed incorrectly on mobile
- FIXED: WooCommerce double zoom icon on variation change in Safari
- FIXED: WooCommerce carousel element scrolling issue on mobile
- FIXED: WooCommerce bundled products showing sub-products in the menu cart widget
- FIXED: Menu cart widget on side header not being auto positioned when widget hits bottom of viewport
- FIXED: Spacing issue in WooCommerce check out notes when using HTML markup
- FIXED: Removed additional PHP closing tag in social sharing box template.
- FIXED: PHP notice in column element when REST API is used
- FIXED: Header background images not working on WooCommerce archive pages
- FIXED: Sale and out of stock badges overlapping on WooCommerce Shop page
- FIXED: Search page sidebar sometimes being incorrect when doing product searches
- FIXED: Images overlapping content on tablets in single product image gallery
- FIXED: Content box hover animation being incorrect when parent or Theme Option setting is transparent
- FIXED: RTL styling issue with classic mobile menu
- FIXED: RTL alignment issue with font awesome element
- FIXED: Fusion Slider navigation position being not correctly positioned
- FIXED: Issue with video inside of a modal popup
- FIXED: Active plugin list sometimes having incorrect plugin names
- FIXED: Font names being duplicated in CSS when standard fonts are used
- FIXED: Content box heading class name being doubled
- FIXED: Link issue in flickr widget
- FIXED: Content box icon hover pulsate animation only working once in Firefox
- FIXED: Page title bar alignment in mobile mode not working in Firefox
- FIXED: Fusion Slider sometimes not auto playing videos when autoplay is enabled
- FIXED: Vertical timeline mode animation issue in content boxes
- FIXED: Side header menu padding issue on IE11
- FIXED: Column background image not always being correct in IE11
- FIXED: Vertical column centering not working in IE
- FIXED: Blockquotes in comments not respecting primary color for highlights
- FIXED: Sticky header on short pages being sometimes triggered
- FIXED: Rare sticky header scroll issue
- FIXED: Random export issue in Fusion Slider
- FIXED: Fusion Slider pausing on touch or swipe on mobile devices
- FIXED: Fusion Slider transition not working on youtube video slide
- FIXED: Fusion Slider parallax effect not working in IE11 when a touchscreen is used
- FIXED: Excerpt issue when using The Events Calendar tribe_event_inline shortcode
- FIXED: A few structured data issue with The Events Calendar
- FIXED: Rare error where Events Calendar pages rendered very slowly
- FIXED: Google maps using custom infobox content when set, even if default styling is chosen
- FIXED: Unfiltered the_title usage in breadcrumb class
- FIXED: Form scrolling on mobiles inside of modals
- FIXED: Backend compatibility conflict with some plugins that also use select2 library
- FIXED made sure dropdown menu disappears when an anchor link is clicked
- FIXED: possible W3C markup errors
- FIXED: Column bg image in empty columns not correctly shown when column uses cetntered content option
- FIXED: Flyout header menu entries height changing on AJAX complete events


-----------------------------------------------------------------------------------------
Version 5.1.6 - April 17th, 2017
-----------------------------------------------------------------------------------------


- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
- NEW: Updated Slider Revolution Plugin To Latest Version As of Release Date
- NEW: When using anchor scrolling, the current anchors are updated in the browser address bar
- NEW: Countdown element can now user 3 digits for weeks and 4 digits for days
- IMPROVED: Added a fallback for CSS compiler if file contents can't be read
- IMPROVED: Timestamp for CSS compiler
- IMPROVED: The Fusion Library path constant was updated to also work on non standard WP installs
- IMPROVED: Error messages on product registration page
- IMPROVED: Added additional styling for Fusion Page Option dropdowns on Events post edit screen
- IMPROVED: Added a notice on registration page, if token does not have all needed permissions set
- UPDATED: All WooCommerce translation strings are compatible with WooCommerce 3.0.3 now
- FIXED: Small W3C validation error in menus
- FIXED: WooCommerce 3.0 compatibility issue, where new products didn't show in carousel elements
- FIXED: WooCommerce product quantity +/- buttons removed in product can only be boughty individually
- FIXED: WooCommerce product images not being displayed on shop page after deactivation / reactivation
- FIXED: WooCommerce shop_messages shortcode not being updated to new name
- FIXED: Infinite scroll not working on blog archive pages
- FIXED: 404 console error on portfolio pages that use infinite scroll
- FIXED: Insert from URL option in WP upload dialog not working for image frame element
- FIXED: WPML issue, where Theme Options were not loaded correctly on frontend when default language is not English
- FIXED: Portfolio Slug Theme Options not being applied on frontend
- FIXED: Buttons not being displayed correctly on portfolio archive pages when full content is used
- FIXED: Patches not being applied correctly on multisite installs
- FIXED: Breadcrumb issue when on search page of a custom post type
- FIXED: Sidebar Map now being full width on Events Calendar Single Post pages
- FIXED: Removed portfolio grid layout from the archive layout setting in Theme Options
- FIXED: Events Calendar post excerpts displaying shortcode markup on frontend archive pages
- FIXED: Theme Option search not working correctly for Fusion Builder elements
- FIXED: Some setting values being incorrect on archive pages due to incorrectly returned page id
- FIXED: Menu setup issue on Technology demo
- FIXED: Pixelated logo on construction demo import
- FIXED: Code Block Encoding setting in Theme Options not working correctly
- FIXED: Styles missing on WooCommerce main shop page under certain circumstances
- FIXED: Side header issue in IE11, where menu icons were not aligned correctly
- FIXED: PHP error in demo importer when no Fusion Slider is part of the demo
- FIXED: Fusion Builder being disabled after update from a pre Avada 4.0 version


-----------------------------------------------------------------------------------------
Version 5.1.5 - April 4th, 2017
-----------------------------------------------------------------------------------------


- NEW: Modal element can now be triggered from a menu item
- NEW: Updated Layer Slider Plugin To Latest Version As of Release Date
       (Please see their changelog as this update involves security issues
       https://support.kreaturamedia.com/docs/layersliderwp/documentation.html#release-log)
- NEW: Comments are off message no longer shown in related posts and projects
- NEW: Fusion Builder and Fusion Core plugins can be updated using WP-CLI
- NEW: Support for upcoming WooCommerce 3.0 (previously 2.7 RC was supported, which WooCommerce did not release)
- IMPROVED: Countdown element now has a date picker for easier use
- IMPROVED: Added several performance tweaks for faster loading
- IMPROVED: Error reporting for unsuccessful demo import
- IMPROVED: Compatibility of internal libraries for sites that have changed names of WP core folders
- IMPROVED: Transparent header fallback for archive pages now using fulltone header background color
- IMPROVED: Tagline element now using vertical centering when only title and button are used
- IMPROVED: Better styling integration for Events Calendar tickets
- IMPROVED: Added back possibility to set a fallback image for Fusion Slider on mobiles in Fusion Page Options
- IMPROVED: Equal heights for columns is now correct on resize even for dynamic content
- IMPROVED: Filenames for exported content and templates are now different in Fusion Builder
- UPDATED: Modernizr script library to version 3.4.0
- FIXED: Security fix to prevent additional calls to permalink structure (XSS)
- FIXED: Security fix that adds AJAX request verification for Fusion Builder content importer
- FIXED: Issue with Fusion Cache clearing and Fusion Compilers which led to rendering issues on some sites
- FIXED: Compatibility issue with uberMenu set to full width
- FIXED: Footer widgets being removed when disabled in Theme Options
- FIXED: Sidebar classes set in dashboard, not being used on frontend
- FIXED: Icon pulsate animation not working in all browsers
- FIXED: Fusion Builder demo pages not always using correct image placeholders
- FIXED: Lightbox not working for image tags on single post and portfolio pages
- FIXED: Blog slideshow smooth height not being respected for AJAX loaded posts
- FIXED: Menu highlight bar being displayed on top of button style menu entries
- FIXED: Option dependency issue for main content background image in Fusion Page Options
- FIXED: Infinite Scroll being triggered too early on page load
